
#ifndef VisContainerInterface2PtrFUNCTIONTYPES_H
#define VisContainerInterface2PtrFUNCTIONTYPES_H

#include "eliproto.h"

/* include header file defining VisContainerInterface2Ptr if VisBasicCode is set: */
#define EMPTYVisBasicCodeHDR
#ifndef EMPTYHDR
#include "VisBasicCode.h"
#endif
#undef EMPTYVisBasicCodeHDR

typedef int (*VisContainerInterface2PtrCmpFctType) ELI_ARG((VisContainerInterface2Ptr, VisContainerInterface2Ptr));
/* Functions that compare two VisContainerInterface2Ptr values
 *   If the left argument is less than the right then on exit-
 *     VisContainerInterface2PtrCmpFctType = -1
 *   Else if the arguments are equal then on exit-
 *     VisContainerInterface2PtrCmpFctType = 0
 *   Else on exit-
 *     VisContainerInterface2PtrCmpFctType = 1
 ***/

typedef VisContainerInterface2Ptr (*VisContainerInterface2PtrMapFct) ELI_ARG((VisContainerInterface2Ptr));
/* Functions that map one VisContainerInterface2Ptr value into another
 *   On exit-
 *     VisContainerInterface2PtrMapFct = image of the argument under the map
 ***/

typedef VisContainerInterface2Ptr (*VisContainerInterface2PtrSumFct) ELI_ARG((VisContainerInterface2Ptr, VisContainerInterface2Ptr));
/* Functions that combine two VisContainerInterface2Ptr values
 *   On exit-
 *     VisContainerInterface2PtrSumFct = combination of the two arguments
 ***/

#endif
