/* implementation of monitoring support for attribution */

#ifdef MONITOR

#include "node.h"
#include "treecon.h"
#include"nodecode.h"

char *dataBaseView_abs_prods[] = {
  "{LST_0pdataBaseView_DataBase_dataSources} {LST_dataBaseView_DataBase_dataSources} \"[list]\"",
  "{LST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources} {LST_dataBaseView_DataBase_dataSources} \"[list dataBaseView_DataSourceTable LST_dataBaseView_DataBase_dataSources]\"",
  "{LST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources} {LST_dataBaseView_DataBase_dataSources} \"[list dataBaseView_DataSourceProjection LST_dataBaseView_DataBase_dataSources]\"",
  "{LST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources} {LST_dataBaseView_DataBase_dataSources} \"[list dataBaseView_LimitDataSource LST_dataBaseView_DataBase_dataSources]\"",
  "{LST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources} {LST_dataBaseView_DataBase_dataSources} \"[list dataBaseView_OrderedDataSource LST_dataBaseView_DataBase_dataSources]\"",
  "{LST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources} {LST_dataBaseView_DataBase_dataSources} \"[list dataBaseView_DataSourceJoin LST_dataBaseView_DataBase_dataSources]\"",
  "{pdataBaseView_DataSourceJoin} {dataBaseView_DataSourceJoin} \"[list ID dataBaseView_DataSourceJoin_name dataBaseView_DataSourceJoin_joinOperator dataBaseView_DataSourceJoin_connection1 dataBaseView_DataSourceJoin_connection2]\"",
  "{pdataBaseView_OrderedDataSource} {dataBaseView_OrderedDataSource} \"[list ID dataBaseView_OrderedDataSource_name dataBaseView_OrderedDataSource_orderColumns dataBaseView_OrderedDataSource_connection]\"",
  "{pdataBaseView_LimitDataSource} {dataBaseView_LimitDataSource} \"[list ID dataBaseView_LimitDataSource_name dataBaseView_LimitDataSource_formalParameters dataBaseView_LimitDataSource_condition dataBaseView_LimitDataSource_connection]\"",
  "{pdataBaseView_DataSourceProjection} {dataBaseView_DataSourceProjection} \"[list ID dataBaseView_DataSourceProjection_name dataBaseView_DataSourceProjection_formalParameters dataBaseView_DataSourceProjection_projectionColumns dataBaseView_DataSourceProjection_condition dataBaseView_DataSourceProjection_connection]\"",
  "{LST_0pdataBaseView_DataSourceTable_columns} {LST_dataBaseView_DataSourceTable_columns} \"[list]\"",
  "{LST_0pdataBaseView_DataBase_dataSourceModifications} {LST_dataBaseView_DataBase_dataSourceModifications} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceDelete_formalParams} {LST_dataBaseView_DataSourceDelete_formalParams} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceUpdate_values} {LST_dataBaseView_DataSourceUpdate_values} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceUpdate_formalParams} {LST_dataBaseView_DataSourceUpdate_formalParams} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceInsert_values} {LST_dataBaseView_DataSourceInsert_values} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceInsert_formalParams} {LST_dataBaseView_DataSourceInsert_formalParams} \"[list]\"",
  "{LST_0pdataBaseView_OrderedDataSource_orderColumns} {LST_dataBaseView_OrderedDataSource_orderColumns} \"[list]\"",
  "{LST_0pdataBaseView_LimitDataSource_formalParameters} {LST_dataBaseView_LimitDataSource_formalParameters} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceProjection_projectionColumns} {LST_dataBaseView_DataSourceProjection_projectionColumns} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceProjection_formalParameters} {LST_dataBaseView_DataSourceProjection_formalParameters} \"[list]\"",
  "{LST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns} {LST_dataBaseView_DataSourceTable_columns} \"[list dataBaseView_DBColumn LST_dataBaseView_DataSourceTable_columns]\"",
  "{LST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications} {LST_dataBaseView_DataBase_dataSourceModifications} \"[list dataBaseView_DataSourceInsert LST_dataBaseView_DataBase_dataSourceModifications]\"",
  "{LST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications} {LST_dataBaseView_DataBase_dataSourceModifications} \"[list dataBaseView_DataSourceUpdate LST_dataBaseView_DataBase_dataSourceModifications]\"",
  "{LST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications} {LST_dataBaseView_DataBase_dataSourceModifications} \"[list dataBaseView_DataSourceDelete LST_dataBaseView_DataBase_dataSourceModifications]\"",
  "{LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams} {LST_dataBaseView_DataSourceDelete_formalParams} \"[list dataBaseView_DataSourceFormalParam LST_dataBaseView_DataSourceDelete_formalParams]\"",
  "{LST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values} {LST_dataBaseView_DataSourceUpdate_values} \"[list dataBaseView_DataSourceValue LST_dataBaseView_DataSourceUpdate_values]\"",
  "{LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams} {LST_dataBaseView_DataSourceUpdate_formalParams} \"[list dataBaseView_DataSourceFormalParam LST_dataBaseView_DataSourceUpdate_formalParams]\"",
  "{LST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values} {LST_dataBaseView_DataSourceInsert_values} \"[list dataBaseView_DataSourceValue LST_dataBaseView_DataSourceInsert_values]\"",
  "{LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams} {LST_dataBaseView_DataSourceInsert_formalParams} \"[list dataBaseView_DataSourceFormalParam LST_dataBaseView_DataSourceInsert_formalParams]\"",
  "{LST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns} {LST_dataBaseView_OrderedDataSource_orderColumns} \"[list dataBaseView_OrderColumn LST_dataBaseView_OrderedDataSource_orderColumns]\"",
  "{LST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters} {LST_dataBaseView_LimitDataSource_formalParameters} \"[list dataBaseView_DataSourceFormalParam LST_dataBaseView_LimitDataSource_formalParameters]\"",
  "{LST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns} {LST_dataBaseView_DataSourceProjection_projectionColumns} \"[list dataBaseView_ColumnProjection LST_dataBaseView_DataSourceProjection_projectionColumns]\"",
  "{LST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns} {LST_dataBaseView_DataSourceProjection_projectionColumns} \"[list dataBaseView_ComputationProjection LST_dataBaseView_DataSourceProjection_projectionColumns]\"",
  "{LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters} {LST_dataBaseView_DataSourceProjection_formalParameters} \"[list dataBaseView_DataSourceFormalParam LST_dataBaseView_DataSourceProjection_formalParameters]\"",
  "{pdataBaseView_OrderColumn} {dataBaseView_OrderColumn} \"[list ID dataBaseView_OrderColumn_orderColumn dataBaseView_OrderColumn_order]\"",
  "{pdataBaseView_DataSourceTable} {dataBaseView_DataSourceTable} \"[list ID dataBaseView_DataSourceTable_name dataBaseView_DataSourceTable_position dataBaseView_DataSourceTable_columns]\"",
  "{pdataBaseView_DataBase_dataSources} {dataBaseView_DataBase_dataSources} \"[list LST_dataBaseView_DataBase_dataSources]\"",
  "{pdataBaseView_DataSourceDelete} {dataBaseView_DataSourceDelete} \"[list ID dataBaseView_DataSourceDelete_name dataBaseView_DataSourceDelete_formalParams dataBaseView_DataSourceDelete_conditions dataBaseView_DataSourceDelete_connection]\"",
  "{pdataBaseView_DataSourceUpdate} {dataBaseView_DataSourceUpdate} \"[list ID dataBaseView_DataSourceUpdate_name dataBaseView_DataSourceUpdate_formalParams dataBaseView_DataSourceUpdate_values dataBaseView_DataSourceUpdate_conditions dataBaseView_DataSourceUpdate_connection]\"",
  "{pdataBaseView_DataSourceInsert} {dataBaseView_DataSourceInsert} \"[list ID dataBaseView_DataSourceInsert_name dataBaseView_DataSourceInsert_formalParams dataBaseView_DataSourceInsert_values dataBaseView_DataSourceInsert_connection]\"",
  "{pdataBaseView_DBColumn} {dataBaseView_DBColumn} \"[list ID dataBaseView_DBColumn_modifier dataBaseView_DBColumn_name dataBaseView_DBColumn_delim dataBaseView_DBColumn_type]\"",
  "{pdataBaseView_DataSourceValue} {dataBaseView_DataSourceValue} \"[list ID dataBaseView_DataSourceValue_column dataBaseView_DataSourceValue_keyword1 dataBaseView_DataSourceValue_expression]\"",
  "{pdataBaseView_ComputationProjection} {dataBaseView_ComputationProjection} \"[list ID dataBaseView_ComputationProjection_computation dataBaseView_ComputationProjection_keyword1 dataBaseView_ComputationProjection_column dataBaseView_ComputationProjection_keyword2 dataBaseView_ComputationProjection_name]\"",
  "{pdataBaseView_ColumnProjection} {dataBaseView_ColumnProjection} \"[list ID dataBaseView_ColumnProjection_column dataBaseView_ColumnProjection_keyword1 dataBaseView_ColumnProjection_name]\"",
  "{pdataBaseView_DataSourceFormalParam} {dataBaseView_DataSourceFormalParam} \"[list ID dataBaseView_DataSourceFormalParam_name dataBaseView_DataSourceFormalParam_keyword1 dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_0pdataBaseView_DataSourceDelete_conditions} {LST_dataBaseView_DataSourceDelete_conditions} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceUpdate_conditions} {LST_dataBaseView_DataSourceUpdate_conditions} \"[list]\"",
  "{LST_0pdataBaseView_LimitDataSource_maxRows} {LST_dataBaseView_LimitDataSource_maxRows} \"[list]\"",
  "{LST_0pdataBaseView_LimitDataSource_firstRow} {LST_dataBaseView_LimitDataSource_firstRow} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceProjection_condition} {LST_dataBaseView_DataSourceProjection_condition} \"[list]\"",
  "{LST_0pdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceValue_expression} {LST_dataBaseView_DataSourceValue_expression} \"[list]\"",
  "{LST_0pdataBaseView_UnaryExpression_operand} {LST_dataBaseView_UnaryExpression_operand} \"[list]\"",
  "{LST_0pdataBaseView_BinaryExpression_rightOperand} {LST_dataBaseView_BinaryExpression_rightOperand} \"[list]\"",
  "{LST_0pdataBaseView_BinaryExpression_leftOperand} {LST_dataBaseView_BinaryExpression_leftOperand} \"[list]\"",
  "{LST_0pdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list]\"",
  "{LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions} {LST_dataBaseView_DataSourceDelete_conditions} \"[list dataBaseView_BinaryExpression LST_dataBaseView_DataSourceDelete_conditions]\"",
  "{LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions} {LST_dataBaseView_DataSourceDelete_conditions} \"[list dataBaseView_UnaryExpression LST_dataBaseView_DataSourceDelete_conditions]\"",
  "{LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions} {LST_dataBaseView_DataSourceDelete_conditions} \"[list dataBaseView_PredefinedExpression LST_dataBaseView_DataSourceDelete_conditions]\"",
  "{LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions} {LST_dataBaseView_DataSourceDelete_conditions} \"[list dataBaseView_ConstantExpression LST_dataBaseView_DataSourceDelete_conditions]\"",
  "{LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions} {LST_dataBaseView_DataSourceDelete_conditions} \"[list dataBaseView_ColumnValueExpression LST_dataBaseView_DataSourceDelete_conditions]\"",
  "{LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions} {LST_dataBaseView_DataSourceDelete_conditions} \"[list dataBaseView_ProjectionColumnValueExpression LST_dataBaseView_DataSourceDelete_conditions]\"",
  "{LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions} {LST_dataBaseView_DataSourceDelete_conditions} \"[list dataBaseView_ParameterValueExpression LST_dataBaseView_DataSourceDelete_conditions]\"",
  "{LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions} {LST_dataBaseView_DataSourceDelete_conditions} \"[list dataBaseView_ComputationExpression LST_dataBaseView_DataSourceDelete_conditions]\"",
  "{LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions} {LST_dataBaseView_DataSourceUpdate_conditions} \"[list dataBaseView_BinaryExpression LST_dataBaseView_DataSourceUpdate_conditions]\"",
  "{LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions} {LST_dataBaseView_DataSourceUpdate_conditions} \"[list dataBaseView_UnaryExpression LST_dataBaseView_DataSourceUpdate_conditions]\"",
  "{LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions} {LST_dataBaseView_DataSourceUpdate_conditions} \"[list dataBaseView_PredefinedExpression LST_dataBaseView_DataSourceUpdate_conditions]\"",
  "{LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions} {LST_dataBaseView_DataSourceUpdate_conditions} \"[list dataBaseView_ConstantExpression LST_dataBaseView_DataSourceUpdate_conditions]\"",
  "{LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions} {LST_dataBaseView_DataSourceUpdate_conditions} \"[list dataBaseView_ColumnValueExpression LST_dataBaseView_DataSourceUpdate_conditions]\"",
  "{LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions} {LST_dataBaseView_DataSourceUpdate_conditions} \"[list dataBaseView_ProjectionColumnValueExpression LST_dataBaseView_DataSourceUpdate_conditions]\"",
  "{LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions} {LST_dataBaseView_DataSourceUpdate_conditions} \"[list dataBaseView_ParameterValueExpression LST_dataBaseView_DataSourceUpdate_conditions]\"",
  "{LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions} {LST_dataBaseView_DataSourceUpdate_conditions} \"[list dataBaseView_ComputationExpression LST_dataBaseView_DataSourceUpdate_conditions]\"",
  "{LST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows} {LST_dataBaseView_LimitDataSource_maxRows} \"[list dataBaseView_BinaryExpression LST_dataBaseView_LimitDataSource_maxRows]\"",
  "{LST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows} {LST_dataBaseView_LimitDataSource_maxRows} \"[list dataBaseView_UnaryExpression LST_dataBaseView_LimitDataSource_maxRows]\"",
  "{LST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows} {LST_dataBaseView_LimitDataSource_maxRows} \"[list dataBaseView_PredefinedExpression LST_dataBaseView_LimitDataSource_maxRows]\"",
  "{LST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows} {LST_dataBaseView_LimitDataSource_maxRows} \"[list dataBaseView_ConstantExpression LST_dataBaseView_LimitDataSource_maxRows]\"",
  "{LST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows} {LST_dataBaseView_LimitDataSource_maxRows} \"[list dataBaseView_ColumnValueExpression LST_dataBaseView_LimitDataSource_maxRows]\"",
  "{LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows} {LST_dataBaseView_LimitDataSource_maxRows} \"[list dataBaseView_ProjectionColumnValueExpression LST_dataBaseView_LimitDataSource_maxRows]\"",
  "{LST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows} {LST_dataBaseView_LimitDataSource_maxRows} \"[list dataBaseView_ParameterValueExpression LST_dataBaseView_LimitDataSource_maxRows]\"",
  "{LST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows} {LST_dataBaseView_LimitDataSource_maxRows} \"[list dataBaseView_ComputationExpression LST_dataBaseView_LimitDataSource_maxRows]\"",
  "{LST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow} {LST_dataBaseView_LimitDataSource_firstRow} \"[list dataBaseView_BinaryExpression LST_dataBaseView_LimitDataSource_firstRow]\"",
  "{LST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow} {LST_dataBaseView_LimitDataSource_firstRow} \"[list dataBaseView_UnaryExpression LST_dataBaseView_LimitDataSource_firstRow]\"",
  "{LST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow} {LST_dataBaseView_LimitDataSource_firstRow} \"[list dataBaseView_PredefinedExpression LST_dataBaseView_LimitDataSource_firstRow]\"",
  "{LST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow} {LST_dataBaseView_LimitDataSource_firstRow} \"[list dataBaseView_ConstantExpression LST_dataBaseView_LimitDataSource_firstRow]\"",
  "{LST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow} {LST_dataBaseView_LimitDataSource_firstRow} \"[list dataBaseView_ColumnValueExpression LST_dataBaseView_LimitDataSource_firstRow]\"",
  "{LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow} {LST_dataBaseView_LimitDataSource_firstRow} \"[list dataBaseView_ProjectionColumnValueExpression LST_dataBaseView_LimitDataSource_firstRow]\"",
  "{LST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow} {LST_dataBaseView_LimitDataSource_firstRow} \"[list dataBaseView_ParameterValueExpression LST_dataBaseView_LimitDataSource_firstRow]\"",
  "{LST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow} {LST_dataBaseView_LimitDataSource_firstRow} \"[list dataBaseView_ComputationExpression LST_dataBaseView_LimitDataSource_firstRow]\"",
  "{LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition} {LST_dataBaseView_DataSourceProjection_condition} \"[list dataBaseView_BinaryExpression LST_dataBaseView_DataSourceProjection_condition]\"",
  "{LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition} {LST_dataBaseView_DataSourceProjection_condition} \"[list dataBaseView_UnaryExpression LST_dataBaseView_DataSourceProjection_condition]\"",
  "{LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition} {LST_dataBaseView_DataSourceProjection_condition} \"[list dataBaseView_PredefinedExpression LST_dataBaseView_DataSourceProjection_condition]\"",
  "{LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition} {LST_dataBaseView_DataSourceProjection_condition} \"[list dataBaseView_ConstantExpression LST_dataBaseView_DataSourceProjection_condition]\"",
  "{LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition} {LST_dataBaseView_DataSourceProjection_condition} \"[list dataBaseView_ColumnValueExpression LST_dataBaseView_DataSourceProjection_condition]\"",
  "{LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition} {LST_dataBaseView_DataSourceProjection_condition} \"[list dataBaseView_ProjectionColumnValueExpression LST_dataBaseView_DataSourceProjection_condition]\"",
  "{LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition} {LST_dataBaseView_DataSourceProjection_condition} \"[list dataBaseView_ParameterValueExpression LST_dataBaseView_DataSourceProjection_condition]\"",
  "{LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition} {LST_dataBaseView_DataSourceProjection_condition} \"[list dataBaseView_ComputationExpression LST_dataBaseView_DataSourceProjection_condition]\"",
  "{LST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBHasOne LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBHasManypdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBHasMany LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBStringpdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBString LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBTextpdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBText LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBInteger LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBLongpdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBLong LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBFloatpdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBFloat LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBDoublepdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBDouble LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBBigInt LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBDatepdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBDate LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBTimeStamp LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBBoolean LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_DBBlobpdataBaseView_DBColumn_type} {LST_dataBaseView_DBColumn_type} \"[list dataBaseView_DBBlob LST_dataBaseView_DBColumn_type]\"",
  "{LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression} {LST_dataBaseView_DataSourceValue_expression} \"[list dataBaseView_BinaryExpression LST_dataBaseView_DataSourceValue_expression]\"",
  "{LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression} {LST_dataBaseView_DataSourceValue_expression} \"[list dataBaseView_UnaryExpression LST_dataBaseView_DataSourceValue_expression]\"",
  "{LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression} {LST_dataBaseView_DataSourceValue_expression} \"[list dataBaseView_PredefinedExpression LST_dataBaseView_DataSourceValue_expression]\"",
  "{LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression} {LST_dataBaseView_DataSourceValue_expression} \"[list dataBaseView_ConstantExpression LST_dataBaseView_DataSourceValue_expression]\"",
  "{LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression} {LST_dataBaseView_DataSourceValue_expression} \"[list dataBaseView_ColumnValueExpression LST_dataBaseView_DataSourceValue_expression]\"",
  "{LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression} {LST_dataBaseView_DataSourceValue_expression} \"[list dataBaseView_ProjectionColumnValueExpression LST_dataBaseView_DataSourceValue_expression]\"",
  "{LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression} {LST_dataBaseView_DataSourceValue_expression} \"[list dataBaseView_ParameterValueExpression LST_dataBaseView_DataSourceValue_expression]\"",
  "{LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression} {LST_dataBaseView_DataSourceValue_expression} \"[list dataBaseView_ComputationExpression LST_dataBaseView_DataSourceValue_expression]\"",
  "{LST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand} {LST_dataBaseView_UnaryExpression_operand} \"[list dataBaseView_BinaryExpression LST_dataBaseView_UnaryExpression_operand]\"",
  "{LST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand} {LST_dataBaseView_UnaryExpression_operand} \"[list dataBaseView_UnaryExpression LST_dataBaseView_UnaryExpression_operand]\"",
  "{LST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand} {LST_dataBaseView_UnaryExpression_operand} \"[list dataBaseView_PredefinedExpression LST_dataBaseView_UnaryExpression_operand]\"",
  "{LST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand} {LST_dataBaseView_UnaryExpression_operand} \"[list dataBaseView_ConstantExpression LST_dataBaseView_UnaryExpression_operand]\"",
  "{LST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand} {LST_dataBaseView_UnaryExpression_operand} \"[list dataBaseView_ColumnValueExpression LST_dataBaseView_UnaryExpression_operand]\"",
  "{LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand} {LST_dataBaseView_UnaryExpression_operand} \"[list dataBaseView_ProjectionColumnValueExpression LST_dataBaseView_UnaryExpression_operand]\"",
  "{LST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand} {LST_dataBaseView_UnaryExpression_operand} \"[list dataBaseView_ParameterValueExpression LST_dataBaseView_UnaryExpression_operand]\"",
  "{LST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand} {LST_dataBaseView_UnaryExpression_operand} \"[list dataBaseView_ComputationExpression LST_dataBaseView_UnaryExpression_operand]\"",
  "{LST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand} {LST_dataBaseView_BinaryExpression_rightOperand} \"[list dataBaseView_BinaryExpression LST_dataBaseView_BinaryExpression_rightOperand]\"",
  "{LST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand} {LST_dataBaseView_BinaryExpression_rightOperand} \"[list dataBaseView_UnaryExpression LST_dataBaseView_BinaryExpression_rightOperand]\"",
  "{LST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand} {LST_dataBaseView_BinaryExpression_rightOperand} \"[list dataBaseView_PredefinedExpression LST_dataBaseView_BinaryExpression_rightOperand]\"",
  "{LST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand} {LST_dataBaseView_BinaryExpression_rightOperand} \"[list dataBaseView_ConstantExpression LST_dataBaseView_BinaryExpression_rightOperand]\"",
  "{LST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand} {LST_dataBaseView_BinaryExpression_rightOperand} \"[list dataBaseView_ColumnValueExpression LST_dataBaseView_BinaryExpression_rightOperand]\"",
  "{LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand} {LST_dataBaseView_BinaryExpression_rightOperand} \"[list dataBaseView_ProjectionColumnValueExpression LST_dataBaseView_BinaryExpression_rightOperand]\"",
  "{LST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand} {LST_dataBaseView_BinaryExpression_rightOperand} \"[list dataBaseView_ParameterValueExpression LST_dataBaseView_BinaryExpression_rightOperand]\"",
  "{LST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand} {LST_dataBaseView_BinaryExpression_rightOperand} \"[list dataBaseView_ComputationExpression LST_dataBaseView_BinaryExpression_rightOperand]\"",
  "{LST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand} {LST_dataBaseView_BinaryExpression_leftOperand} \"[list dataBaseView_BinaryExpression LST_dataBaseView_BinaryExpression_leftOperand]\"",
  "{LST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand} {LST_dataBaseView_BinaryExpression_leftOperand} \"[list dataBaseView_UnaryExpression LST_dataBaseView_BinaryExpression_leftOperand]\"",
  "{LST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand} {LST_dataBaseView_BinaryExpression_leftOperand} \"[list dataBaseView_PredefinedExpression LST_dataBaseView_BinaryExpression_leftOperand]\"",
  "{LST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand} {LST_dataBaseView_BinaryExpression_leftOperand} \"[list dataBaseView_ConstantExpression LST_dataBaseView_BinaryExpression_leftOperand]\"",
  "{LST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand} {LST_dataBaseView_BinaryExpression_leftOperand} \"[list dataBaseView_ColumnValueExpression LST_dataBaseView_BinaryExpression_leftOperand]\"",
  "{LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand} {LST_dataBaseView_BinaryExpression_leftOperand} \"[list dataBaseView_ProjectionColumnValueExpression LST_dataBaseView_BinaryExpression_leftOperand]\"",
  "{LST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand} {LST_dataBaseView_BinaryExpression_leftOperand} \"[list dataBaseView_ParameterValueExpression LST_dataBaseView_BinaryExpression_leftOperand]\"",
  "{LST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand} {LST_dataBaseView_BinaryExpression_leftOperand} \"[list dataBaseView_ComputationExpression LST_dataBaseView_BinaryExpression_leftOperand]\"",
  "{LST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBHasOne LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBHasMany LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBString LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBText LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBInteger LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBLong LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBFloat LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBDouble LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBBigInt LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBDate LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBTimeStamp LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBBoolean LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{LST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type} {LST_dataBaseView_DataSourceFormalParam_type} \"[list dataBaseView_DBBlob LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{pdataBaseView_OrderColumn_orderColumn} {dataBaseView_OrderColumn_orderColumn} \"[list]\"",
  "{pdataBaseView_DataSourceTable_columns} {dataBaseView_DataSourceTable_columns} \"[list LST_dataBaseView_DataSourceTable_columns]\"",
  "{pdataBaseView_DataSourceTable_name} {dataBaseView_DataSourceTable_name} \"[list]\"",
  "{pdataBaseView_DataBase_dataSourceModifications} {dataBaseView_DataBase_dataSourceModifications} \"[list LST_dataBaseView_DataBase_dataSourceModifications]\"",
  "{pdataBaseView_DataBase_userName} {dataBaseView_DataBase_userName} \"[list]\"",
  "{pdataBaseView_DataSourceDelete_targetDataSource} {dataBaseView_DataSourceDelete_targetDataSource} \"[list]\"",
  "{pdataBaseView_DataSourceDelete_from} {dataBaseView_DataSourceDelete_from} \"[list]\"",
  "{pdataBaseView_DataSourceDelete_conditions} {dataBaseView_DataSourceDelete_conditions} \"[list LST_dataBaseView_DataSourceDelete_conditions]\"",
  "{pdataBaseView_DataSourceDelete_formalParams} {dataBaseView_DataSourceDelete_formalParams} \"[list LST_dataBaseView_DataSourceDelete_formalParams]\"",
  "{pdataBaseView_DataSourceDelete_name} {dataBaseView_DataSourceDelete_name} \"[list]\"",
  "{pdataBaseView_DataSourceUpdate_targetDataSource} {dataBaseView_DataSourceUpdate_targetDataSource} \"[list]\"",
  "{pdataBaseView_DataSourceUpdate_from} {dataBaseView_DataSourceUpdate_from} \"[list]\"",
  "{pdataBaseView_DataSourceUpdate_conditions} {dataBaseView_DataSourceUpdate_conditions} \"[list LST_dataBaseView_DataSourceUpdate_conditions]\"",
  "{pdataBaseView_DataSourceUpdate_values} {dataBaseView_DataSourceUpdate_values} \"[list LST_dataBaseView_DataSourceUpdate_values]\"",
  "{pdataBaseView_DataSourceUpdate_formalParams} {dataBaseView_DataSourceUpdate_formalParams} \"[list LST_dataBaseView_DataSourceUpdate_formalParams]\"",
  "{pdataBaseView_DataSourceUpdate_name} {dataBaseView_DataSourceUpdate_name} \"[list]\"",
  "{pdataBaseView_DataSourceInsert_targetDataSource} {dataBaseView_DataSourceInsert_targetDataSource} \"[list]\"",
  "{pdataBaseView_DataSourceInsert_from} {dataBaseView_DataSourceInsert_from} \"[list]\"",
  "{pdataBaseView_DataSourceInsert_values} {dataBaseView_DataSourceInsert_values} \"[list LST_dataBaseView_DataSourceInsert_values]\"",
  "{pdataBaseView_DataSourceInsert_formalParams} {dataBaseView_DataSourceInsert_formalParams} \"[list LST_dataBaseView_DataSourceInsert_formalParams]\"",
  "{pdataBaseView_DataSourceInsert_name} {dataBaseView_DataSourceInsert_name} \"[list]\"",
  "{pdataBaseView_DataSourceJoin_dataSource2} {dataBaseView_DataSourceJoin_dataSource2} \"[list]\"",
  "{pdataBaseView_DataSourceJoin_from2} {dataBaseView_DataSourceJoin_from2} \"[list]\"",
  "{pdataBaseView_DataSourceJoin_dataSource1} {dataBaseView_DataSourceJoin_dataSource1} \"[list]\"",
  "{pdataBaseView_DataSourceJoin_from1} {dataBaseView_DataSourceJoin_from1} \"[list]\"",
  "{pdataBaseView_DataSourceJoin_joinOperator} {dataBaseView_DataSourceJoin_joinOperator} \"[list]\"",
  "{pdataBaseView_DataSourceJoin_name} {dataBaseView_DataSourceJoin_name} \"[list]\"",
  "{pdataBaseView_OrderedDataSource_sourceDataSource} {dataBaseView_OrderedDataSource_sourceDataSource} \"[list]\"",
  "{pdataBaseView_OrderedDataSource_from} {dataBaseView_OrderedDataSource_from} \"[list]\"",
  "{pdataBaseView_OrderedDataSource_orderColumns} {dataBaseView_OrderedDataSource_orderColumns} \"[list LST_dataBaseView_OrderedDataSource_orderColumns]\"",
  "{pdataBaseView_OrderedDataSource_name} {dataBaseView_OrderedDataSource_name} \"[list]\"",
  "{pdataBaseView_LimitDataSource_sourceDataSource} {dataBaseView_LimitDataSource_sourceDataSource} \"[list]\"",
  "{pdataBaseView_LimitDataSource_from} {dataBaseView_LimitDataSource_from} \"[list]\"",
  "{pdataBaseView_LimitDataSource_condition} {dataBaseView_LimitDataSource_condition} \"[list dataBaseView_LimitDataSource_firstRow dataBaseView_LimitDataSource_dots dataBaseView_LimitDataSource_maxRows]\"",
  "{pdataBaseView_LimitDataSource_maxRows} {dataBaseView_LimitDataSource_maxRows} \"[list LST_dataBaseView_LimitDataSource_maxRows]\"",
  "{pdataBaseView_LimitDataSource_dots} {dataBaseView_LimitDataSource_dots} \"[list]\"",
  "{pdataBaseView_LimitDataSource_firstRow} {dataBaseView_LimitDataSource_firstRow} \"[list LST_dataBaseView_LimitDataSource_firstRow]\"",
  "{pdataBaseView_LimitDataSource_formalParameters} {dataBaseView_LimitDataSource_formalParameters} \"[list LST_dataBaseView_LimitDataSource_formalParameters]\"",
  "{pdataBaseView_LimitDataSource_name} {dataBaseView_LimitDataSource_name} \"[list]\"",
  "{pdataBaseView_DataSourceProjection_sourceDataSource} {dataBaseView_DataSourceProjection_sourceDataSource} \"[list]\"",
  "{pdataBaseView_DataSourceProjection_from} {dataBaseView_DataSourceProjection_from} \"[list]\"",
  "{pdataBaseView_DataSourceProjection_condition} {dataBaseView_DataSourceProjection_condition} \"[list LST_dataBaseView_DataSourceProjection_condition]\"",
  "{pdataBaseView_DataSourceProjection_projectionColumns} {dataBaseView_DataSourceProjection_projectionColumns} \"[list LST_dataBaseView_DataSourceProjection_projectionColumns]\"",
  "{pdataBaseView_DataSourceProjection_formalParameters} {dataBaseView_DataSourceProjection_formalParameters} \"[list LST_dataBaseView_DataSourceProjection_formalParameters]\"",
  "{pdataBaseView_DataSourceProjection_name} {dataBaseView_DataSourceProjection_name} \"[list]\"",
  "{pdataBaseView_DBColumn_type} {dataBaseView_DBColumn_type} \"[list LST_dataBaseView_DBColumn_type]\"",
  "{pdataBaseView_DBColumn_delim} {dataBaseView_DBColumn_delim} \"[list]\"",
  "{pdataBaseView_DBColumn_name} {dataBaseView_DBColumn_name} \"[list]\"",
  "{pdataBaseView_DBColumn_modifier} {dataBaseView_DBColumn_modifier} \"[list]\"",
  "{pdataBaseView_DataSourceValue_expression} {dataBaseView_DataSourceValue_expression} \"[list LST_dataBaseView_DataSourceValue_expression]\"",
  "{pdataBaseView_DataSourceValue_keyword1} {dataBaseView_DataSourceValue_keyword1} \"[list]\"",
  "{pdataBaseView_DataSourceValue_column} {dataBaseView_DataSourceValue_column} \"[list]\"",
  "{pdataBaseView_DBHasMany_dataSourceTable} {dataBaseView_DBHasMany_dataSourceTable} \"[list]\"",
  "{pdataBaseView_DBHasMany_keyword1} {dataBaseView_DBHasMany_keyword1} \"[list]\"",
  "{pdataBaseView_DBHasMany} {dataBaseView_DBHasMany} \"[list ID dataBaseView_DBHasMany_keyword1 dataBaseView_DBHasMany_dataSourceTable]\"",
  "{pdataBaseView_DBHasOne_dataSourceTable} {dataBaseView_DBHasOne_dataSourceTable} \"[list]\"",
  "{pdataBaseView_DBHasOne_keyword1} {dataBaseView_DBHasOne_keyword1} \"[list]\"",
  "{pdataBaseView_DBHasOne} {dataBaseView_DBHasOne} \"[list ID dataBaseView_DBHasOne_keyword1 dataBaseView_DBHasOne_dataSourceTable]\"",
  "{pdataBaseView_DBBlob_keyword1} {dataBaseView_DBBlob_keyword1} \"[list]\"",
  "{pdataBaseView_DBBlob} {dataBaseView_DBBlob} \"[list ID dataBaseView_DBBlob_keyword1]\"",
  "{pdataBaseView_DBBoolean_keyword1} {dataBaseView_DBBoolean_keyword1} \"[list]\"",
  "{pdataBaseView_DBBoolean} {dataBaseView_DBBoolean} \"[list ID dataBaseView_DBBoolean_keyword1]\"",
  "{pdataBaseView_DBTimeStamp_keyword1} {dataBaseView_DBTimeStamp_keyword1} \"[list]\"",
  "{pdataBaseView_DBTimeStamp} {dataBaseView_DBTimeStamp} \"[list ID dataBaseView_DBTimeStamp_keyword1]\"",
  "{pdataBaseView_DBDate_keyword1} {dataBaseView_DBDate_keyword1} \"[list]\"",
  "{pdataBaseView_DBDate} {dataBaseView_DBDate} \"[list ID dataBaseView_DBDate_keyword1]\"",
  "{pdataBaseView_DBBigInt_keyword1} {dataBaseView_DBBigInt_keyword1} \"[list]\"",
  "{pdataBaseView_DBBigInt} {dataBaseView_DBBigInt} \"[list ID dataBaseView_DBBigInt_keyword1]\"",
  "{pdataBaseView_DBDouble_keyword1} {dataBaseView_DBDouble_keyword1} \"[list]\"",
  "{pdataBaseView_DBDouble} {dataBaseView_DBDouble} \"[list ID dataBaseView_DBDouble_keyword1]\"",
  "{pdataBaseView_DBFloat_keyword1} {dataBaseView_DBFloat_keyword1} \"[list]\"",
  "{pdataBaseView_DBFloat} {dataBaseView_DBFloat} \"[list ID dataBaseView_DBFloat_keyword1]\"",
  "{pdataBaseView_DBLong_keyword1} {dataBaseView_DBLong_keyword1} \"[list]\"",
  "{pdataBaseView_DBLong} {dataBaseView_DBLong} \"[list ID dataBaseView_DBLong_keyword1]\"",
  "{pdataBaseView_DBInteger_keyword1} {dataBaseView_DBInteger_keyword1} \"[list]\"",
  "{pdataBaseView_DBInteger} {dataBaseView_DBInteger} \"[list ID dataBaseView_DBInteger_keyword1]\"",
  "{pdataBaseView_DBText_keyword1} {dataBaseView_DBText_keyword1} \"[list]\"",
  "{pdataBaseView_DBText} {dataBaseView_DBText} \"[list ID dataBaseView_DBText_keyword1]\"",
  "{pdataBaseView_DBString_keyword1} {dataBaseView_DBString_keyword1} \"[list]\"",
  "{pdataBaseView_DBString} {dataBaseView_DBString} \"[list ID dataBaseView_DBString_keyword1]\"",
  "{pdataBaseView_ComputationExpression_keyword2} {dataBaseView_ComputationExpression_keyword2} \"[list]\"",
  "{pdataBaseView_ComputationExpression_column} {dataBaseView_ComputationExpression_column} \"[list]\"",
  "{pdataBaseView_ComputationExpression_keyword1} {dataBaseView_ComputationExpression_keyword1} \"[list]\"",
  "{pdataBaseView_ComputationExpression_computation} {dataBaseView_ComputationExpression_computation} \"[list]\"",
  "{pdataBaseView_ComputationExpression} {dataBaseView_ComputationExpression} \"[list ID dataBaseView_ComputationExpression_computation dataBaseView_ComputationExpression_keyword1 dataBaseView_ComputationExpression_column dataBaseView_ComputationExpression_keyword2]\"",
  "{pdataBaseView_ParameterValueExpression_parameter} {dataBaseView_ParameterValueExpression_parameter} \"[list]\"",
  "{pdataBaseView_ParameterValueExpression} {dataBaseView_ParameterValueExpression} \"[list ID dataBaseView_ParameterValueExpression_parameter]\"",
  "{pdataBaseView_ProjectionColumnValueExpression_column} {dataBaseView_ProjectionColumnValueExpression_column} \"[list]\"",
  "{pdataBaseView_ProjectionColumnValueExpression} {dataBaseView_ProjectionColumnValueExpression} \"[list ID dataBaseView_ProjectionColumnValueExpression_column]\"",
  "{pdataBaseView_ColumnValueExpression_column} {dataBaseView_ColumnValueExpression_column} \"[list]\"",
  "{pdataBaseView_ColumnValueExpression} {dataBaseView_ColumnValueExpression} \"[list ID dataBaseView_ColumnValueExpression_column]\"",
  "{pdataBaseView_ConstantExpression_keyword2} {dataBaseView_ConstantExpression_keyword2} \"[list]\"",
  "{pdataBaseView_ConstantExpression_value} {dataBaseView_ConstantExpression_value} \"[list]\"",
  "{pdataBaseView_ConstantExpression_keyword1} {dataBaseView_ConstantExpression_keyword1} \"[list]\"",
  "{pdataBaseView_ConstantExpression} {dataBaseView_ConstantExpression} \"[list ID dataBaseView_ConstantExpression_keyword1 dataBaseView_ConstantExpression_value dataBaseView_ConstantExpression_keyword2]\"",
  "{pdataBaseView_PredefinedExpression_value} {dataBaseView_PredefinedExpression_value} \"[list]\"",
  "{pdataBaseView_PredefinedExpression} {dataBaseView_PredefinedExpression} \"[list ID dataBaseView_PredefinedExpression_value]\"",
  "{pdataBaseView_UnaryExpression_operand} {dataBaseView_UnaryExpression_operand} \"[list LST_dataBaseView_UnaryExpression_operand]\"",
  "{pdataBaseView_UnaryExpression_operator} {dataBaseView_UnaryExpression_operator} \"[list]\"",
  "{pdataBaseView_UnaryExpression} {dataBaseView_UnaryExpression} \"[list ID dataBaseView_UnaryExpression_operator dataBaseView_UnaryExpression_operand]\"",
  "{pdataBaseView_BinaryExpression_keyword2} {dataBaseView_BinaryExpression_keyword2} \"[list]\"",
  "{pdataBaseView_BinaryExpression_rightOperand} {dataBaseView_BinaryExpression_rightOperand} \"[list LST_dataBaseView_BinaryExpression_rightOperand]\"",
  "{pdataBaseView_BinaryExpression_operator} {dataBaseView_BinaryExpression_operator} \"[list]\"",
  "{pdataBaseView_BinaryExpression_leftOperand} {dataBaseView_BinaryExpression_leftOperand} \"[list LST_dataBaseView_BinaryExpression_leftOperand]\"",
  "{pdataBaseView_BinaryExpression_keyword1} {dataBaseView_BinaryExpression_keyword1} \"[list]\"",
  "{pdataBaseView_BinaryExpression} {dataBaseView_BinaryExpression} \"[list ID dataBaseView_BinaryExpression_keyword1 dataBaseView_BinaryExpression_leftOperand dataBaseView_BinaryExpression_operator dataBaseView_BinaryExpression_rightOperand dataBaseView_BinaryExpression_keyword2]\"",
  "{pdataBaseView_ComputationProjection_name} {dataBaseView_ComputationProjection_name} \"[list]\"",
  "{pdataBaseView_ComputationProjection_keyword2} {dataBaseView_ComputationProjection_keyword2} \"[list]\"",
  "{pdataBaseView_ComputationProjection_column} {dataBaseView_ComputationProjection_column} \"[list]\"",
  "{pdataBaseView_ComputationProjection_keyword1} {dataBaseView_ComputationProjection_keyword1} \"[list]\"",
  "{pdataBaseView_ComputationProjection_computation} {dataBaseView_ComputationProjection_computation} \"[list]\"",
  "{pdataBaseView_ColumnProjection_name} {dataBaseView_ColumnProjection_name} \"[list]\"",
  "{pdataBaseView_ColumnProjection_keyword1} {dataBaseView_ColumnProjection_keyword1} \"[list]\"",
  "{pdataBaseView_ColumnProjection_column} {dataBaseView_ColumnProjection_column} \"[list]\"",
  "{pdataBaseView_DataSourceFormalParam_type} {dataBaseView_DataSourceFormalParam_type} \"[list LST_dataBaseView_DataSourceFormalParam_type]\"",
  "{pdataBaseView_DataSourceFormalParam_keyword1} {dataBaseView_DataSourceFormalParam_keyword1} \"[list]\"",
  "{pdataBaseView_DataSourceFormalParam_name} {dataBaseView_DataSourceFormalParam_name} \"[list]\"",
  "{pdataBaseView_OrderColumn_order} {dataBaseView_OrderColumn_order} \"[list]\"",
  "{pdataBaseView_DataSourceTable_position} {dataBaseView_DataSourceTable_position} \"[list]\"",
  "{pdataBaseView_DataBase_modifySetSize} {dataBaseView_DataBase_modifySetSize} \"[list]\"",
  "{pdataBaseView_DataBase_setSize} {dataBaseView_DataBase_setSize} \"[list]\"",
  "{pdataBaseView_DataBase_prefix} {dataBaseView_DataBase_prefix} \"[list]\"",
  "{pdataBaseView_DataBase_dataBaseType} {dataBaseView_DataBase_dataBaseType} \"[list]\"",
  "{pdataBaseView_DataBase_port} {dataBaseView_DataBase_port} \"[list]\"",
  "{pdataBaseView_DataBase_hostName} {dataBaseView_DataBase_hostName} \"[list]\"",
  "{pdataBaseView_DataBase_userPassword} {dataBaseView_DataBase_userPassword} \"[list]\"",
  "{pdataBaseView_DataBase_name} {dataBaseView_DataBase_name} \"[list]\"",
  "{pdataBaseView_DataBase} {dataBaseView_DataBase} \"[list ID dataBaseView_DataBase_name dataBaseView_DataBase_userName dataBaseView_DataBase_userPassword dataBaseView_DataBase_hostName dataBaseView_DataBase_port dataBaseView_DataBase_dataBaseType dataBaseView_DataBase_prefix dataBaseView_DataBase_dataSources dataBaseView_DataBase_dataSourceModifications dataBaseView_DataBase_setSize dataBaseView_DataBase_modifySetSize]\"",
  "{pdataBaseView_DataSourceDelete_connection} {dataBaseView_DataSourceDelete_connection} \"[list dataBaseView_DataSourceDelete_from dataBaseView_DataSourceDelete_targetDataSource]\"",
  "{pdataBaseView_DataSourceUpdate_connection} {dataBaseView_DataSourceUpdate_connection} \"[list dataBaseView_DataSourceUpdate_from dataBaseView_DataSourceUpdate_targetDataSource]\"",
  "{pdataBaseView_DataSourceInsert_connection} {dataBaseView_DataSourceInsert_connection} \"[list dataBaseView_DataSourceInsert_from dataBaseView_DataSourceInsert_targetDataSource]\"",
  "{pdataBaseView_DataSourceJoin_connection2} {dataBaseView_DataSourceJoin_connection2} \"[list dataBaseView_DataSourceJoin_from2 dataBaseView_DataSourceJoin_dataSource2]\"",
  "{pdataBaseView_DataSourceJoin_connection1} {dataBaseView_DataSourceJoin_connection1} \"[list dataBaseView_DataSourceJoin_from1 dataBaseView_DataSourceJoin_dataSource1]\"",
  "{pdataBaseView_OrderedDataSource_connection} {dataBaseView_OrderedDataSource_connection} \"[list dataBaseView_OrderedDataSource_from dataBaseView_OrderedDataSource_sourceDataSource]\"",
  "{pdataBaseView_LimitDataSource_connection} {dataBaseView_LimitDataSource_connection} \"[list dataBaseView_LimitDataSource_from dataBaseView_LimitDataSource_sourceDataSource]\"",
  "{pdataBaseView_DataSourceProjection_connection} {dataBaseView_DataSourceProjection_connection} \"[list dataBaseView_DataSourceProjection_from dataBaseView_DataSourceProjection_sourceDataSource]\"",
  "{pVIEWROOT_dataBaseView} {VIEWROOT} \"[list dataBaseView_DataBase]\"",
  "{pEmpty} {VIEWROOT} \"[list]\"",
  (char *) 0
};

int dataBaseView_abs_nchild[] = {
  0,
  2,
  2,
  2,
  2,
  2,
  4,
  3,
  4,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  3,
  1,
  4,
  5,
  4,
  4,
  3,
  5,
  3,
  3,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  0,
  1,
  0,
  1,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  1,
  1,
  1,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  3,
  1,
  0,
  1,
  1,
  0,
  0,
  0,
  1,
  1,
  1,
  0,
  1,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  0,
  0,
  0,
  4,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  0,
  0,
  3,
  0,
  1,
  1,
  0,
  2,
  0,
  1,
  0,
  1,
  0,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  11,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  1,
  0,
};


#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_abs_child (NODEPTR n, int c)
#else
NODEPTR dataBaseView_abs_child (n, c)
  NODEPTR n;
  int c;
#endif
{
  switch (n->_prod) {
    case dataBaseView_RULELST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources: {
      dataBaseView__TPPLST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources m = (dataBaseView__TPPLST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources: {
      dataBaseView__TPPLST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources m = (dataBaseView__TPPLST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources: {
      dataBaseView__TPPLST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources m = (dataBaseView__TPPLST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources: {
      dataBaseView__TPPLST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources m = (dataBaseView__TPPLST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources: {
      dataBaseView__TPPLST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources m = (dataBaseView__TPPLST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceJoin: {
      dataBaseView__TPPpdataBaseView_DataSourceJoin m = (dataBaseView__TPPpdataBaseView_DataSourceJoin) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_OrderedDataSource: {
      dataBaseView__TPPpdataBaseView_OrderedDataSource m = (dataBaseView__TPPpdataBaseView_OrderedDataSource) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_LimitDataSource: {
      dataBaseView__TPPpdataBaseView_LimitDataSource m = (dataBaseView__TPPpdataBaseView_LimitDataSource) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceProjection: {
      dataBaseView__TPPpdataBaseView_DataSourceProjection m = (dataBaseView__TPPpdataBaseView_DataSourceProjection) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns: {
      dataBaseView__TPPLST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns m = (dataBaseView__TPPLST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications: {
      dataBaseView__TPPLST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications m = (dataBaseView__TPPLST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications: {
      dataBaseView__TPPLST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications m = (dataBaseView__TPPLST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications: {
      dataBaseView__TPPLST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications m = (dataBaseView__TPPLST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams: {
      dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams m = (dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values: {
      dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values m = (dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams: {
      dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams m = (dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values: {
      dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values m = (dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams: {
      dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams m = (dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns: {
      dataBaseView__TPPLST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns m = (dataBaseView__TPPLST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters: {
      dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters m = (dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns: {
      dataBaseView__TPPLST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns m = (dataBaseView__TPPLST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns: {
      dataBaseView__TPPLST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns m = (dataBaseView__TPPLST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters: {
      dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters m = (dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_OrderColumn: {
      dataBaseView__TPPpdataBaseView_OrderColumn m = (dataBaseView__TPPpdataBaseView_OrderColumn) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceTable: {
      dataBaseView__TPPpdataBaseView_DataSourceTable m = (dataBaseView__TPPpdataBaseView_DataSourceTable) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataBase_dataSources: {
      dataBaseView__TPPpdataBaseView_DataBase_dataSources m = (dataBaseView__TPPpdataBaseView_DataBase_dataSources) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceDelete: {
      dataBaseView__TPPpdataBaseView_DataSourceDelete m = (dataBaseView__TPPpdataBaseView_DataSourceDelete) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceUpdate: {
      dataBaseView__TPPpdataBaseView_DataSourceUpdate m = (dataBaseView__TPPpdataBaseView_DataSourceUpdate) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceInsert: {
      dataBaseView__TPPpdataBaseView_DataSourceInsert m = (dataBaseView__TPPpdataBaseView_DataSourceInsert) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBColumn: {
      dataBaseView__TPPpdataBaseView_DBColumn m = (dataBaseView__TPPpdataBaseView_DBColumn) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceValue: {
      dataBaseView__TPPpdataBaseView_DataSourceValue m = (dataBaseView__TPPpdataBaseView_DataSourceValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_ComputationProjection: {
      dataBaseView__TPPpdataBaseView_ComputationProjection m = (dataBaseView__TPPpdataBaseView_ComputationProjection) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_ColumnProjection: {
      dataBaseView__TPPpdataBaseView_ColumnProjection m = (dataBaseView__TPPpdataBaseView_ColumnProjection) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceFormalParam: {
      dataBaseView__TPPpdataBaseView_DataSourceFormalParam m = (dataBaseView__TPPpdataBaseView_DataSourceFormalParam) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions: {
      dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions m = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions: {
      dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions m = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions: {
      dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions m = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions: {
      dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions m = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions: {
      dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions m = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions: {
      dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions m = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions: {
      dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions m = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions: {
      dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions m = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions: {
      dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions m = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions: {
      dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions m = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions: {
      dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions m = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions: {
      dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions m = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions: {
      dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions m = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions: {
      dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions m = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions: {
      dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions m = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions: {
      dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions m = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows: {
      dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows m = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows: {
      dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows m = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows: {
      dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows m = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows: {
      dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows m = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows: {
      dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows m = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows: {
      dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows m = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows: {
      dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows m = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows: {
      dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows m = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow: {
      dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow m = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow: {
      dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow m = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow: {
      dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow m = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow: {
      dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow m = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow: {
      dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow m = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow: {
      dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow m = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow: {
      dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow m = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow: {
      dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow m = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition: {
      dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition m = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition: {
      dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition m = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition: {
      dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition m = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition: {
      dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition m = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition: {
      dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition m = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition: {
      dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition m = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition: {
      dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition m = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition: {
      dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition m = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBHasManypdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBStringpdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBTextpdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBLongpdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBFloatpdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBDoublepdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBDatepdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBBlobpdataBaseView_DBColumn_type: {
      dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DBColumn_type m = (dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression: {
      dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression m = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression: {
      dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression m = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression: {
      dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression m = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression: {
      dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression m = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression: {
      dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression m = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression: {
      dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression m = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression: {
      dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression m = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression: {
      dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression m = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand: {
      dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand m = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand: {
      dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand m = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand: {
      dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand m = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand: {
      dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand m = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand: {
      dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand m = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand: {
      dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand m = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand: {
      dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand m = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand: {
      dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand m = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand: {
      dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand m = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand: {
      dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand m = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand: {
      dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand m = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand: {
      dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand m = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand: {
      dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand m = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand: {
      dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand m = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand: {
      dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand m = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand: {
      dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand m = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand: {
      dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand m = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand: {
      dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand m = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand: {
      dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand m = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand: {
      dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand m = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand: {
      dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand m = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand: {
      dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand m = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand: {
      dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand m = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand: {
      dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand m = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULELST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceTable_columns: {
      dataBaseView__TPPpdataBaseView_DataSourceTable_columns m = (dataBaseView__TPPpdataBaseView_DataSourceTable_columns) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataBase_dataSourceModifications: {
      dataBaseView__TPPpdataBaseView_DataBase_dataSourceModifications m = (dataBaseView__TPPpdataBaseView_DataBase_dataSourceModifications) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceDelete_conditions: {
      dataBaseView__TPPpdataBaseView_DataSourceDelete_conditions m = (dataBaseView__TPPpdataBaseView_DataSourceDelete_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceDelete_formalParams: {
      dataBaseView__TPPpdataBaseView_DataSourceDelete_formalParams m = (dataBaseView__TPPpdataBaseView_DataSourceDelete_formalParams) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceUpdate_conditions: {
      dataBaseView__TPPpdataBaseView_DataSourceUpdate_conditions m = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_conditions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceUpdate_values: {
      dataBaseView__TPPpdataBaseView_DataSourceUpdate_values m = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_values) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceUpdate_formalParams: {
      dataBaseView__TPPpdataBaseView_DataSourceUpdate_formalParams m = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_formalParams) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceInsert_values: {
      dataBaseView__TPPpdataBaseView_DataSourceInsert_values m = (dataBaseView__TPPpdataBaseView_DataSourceInsert_values) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceInsert_formalParams: {
      dataBaseView__TPPpdataBaseView_DataSourceInsert_formalParams m = (dataBaseView__TPPpdataBaseView_DataSourceInsert_formalParams) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_OrderedDataSource_orderColumns: {
      dataBaseView__TPPpdataBaseView_OrderedDataSource_orderColumns m = (dataBaseView__TPPpdataBaseView_OrderedDataSource_orderColumns) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_LimitDataSource_condition: {
      dataBaseView__TPPpdataBaseView_LimitDataSource_condition m = (dataBaseView__TPPpdataBaseView_LimitDataSource_condition) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_LimitDataSource_maxRows: {
      dataBaseView__TPPpdataBaseView_LimitDataSource_maxRows m = (dataBaseView__TPPpdataBaseView_LimitDataSource_maxRows) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_LimitDataSource_firstRow: {
      dataBaseView__TPPpdataBaseView_LimitDataSource_firstRow m = (dataBaseView__TPPpdataBaseView_LimitDataSource_firstRow) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_LimitDataSource_formalParameters: {
      dataBaseView__TPPpdataBaseView_LimitDataSource_formalParameters m = (dataBaseView__TPPpdataBaseView_LimitDataSource_formalParameters) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceProjection_condition: {
      dataBaseView__TPPpdataBaseView_DataSourceProjection_condition m = (dataBaseView__TPPpdataBaseView_DataSourceProjection_condition) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceProjection_projectionColumns: {
      dataBaseView__TPPpdataBaseView_DataSourceProjection_projectionColumns m = (dataBaseView__TPPpdataBaseView_DataSourceProjection_projectionColumns) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceProjection_formalParameters: {
      dataBaseView__TPPpdataBaseView_DataSourceProjection_formalParameters m = (dataBaseView__TPPpdataBaseView_DataSourceProjection_formalParameters) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBColumn_type: {
      dataBaseView__TPPpdataBaseView_DBColumn_type m = (dataBaseView__TPPpdataBaseView_DBColumn_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceValue_expression: {
      dataBaseView__TPPpdataBaseView_DataSourceValue_expression m = (dataBaseView__TPPpdataBaseView_DataSourceValue_expression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBHasMany: {
      dataBaseView__TPPpdataBaseView_DBHasMany m = (dataBaseView__TPPpdataBaseView_DBHasMany) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBHasOne: {
      dataBaseView__TPPpdataBaseView_DBHasOne m = (dataBaseView__TPPpdataBaseView_DBHasOne) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBBlob: {
      dataBaseView__TPPpdataBaseView_DBBlob m = (dataBaseView__TPPpdataBaseView_DBBlob) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBBoolean: {
      dataBaseView__TPPpdataBaseView_DBBoolean m = (dataBaseView__TPPpdataBaseView_DBBoolean) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBTimeStamp: {
      dataBaseView__TPPpdataBaseView_DBTimeStamp m = (dataBaseView__TPPpdataBaseView_DBTimeStamp) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBDate: {
      dataBaseView__TPPpdataBaseView_DBDate m = (dataBaseView__TPPpdataBaseView_DBDate) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBBigInt: {
      dataBaseView__TPPpdataBaseView_DBBigInt m = (dataBaseView__TPPpdataBaseView_DBBigInt) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBDouble: {
      dataBaseView__TPPpdataBaseView_DBDouble m = (dataBaseView__TPPpdataBaseView_DBDouble) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBFloat: {
      dataBaseView__TPPpdataBaseView_DBFloat m = (dataBaseView__TPPpdataBaseView_DBFloat) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBLong: {
      dataBaseView__TPPpdataBaseView_DBLong m = (dataBaseView__TPPpdataBaseView_DBLong) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBInteger: {
      dataBaseView__TPPpdataBaseView_DBInteger m = (dataBaseView__TPPpdataBaseView_DBInteger) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBText: {
      dataBaseView__TPPpdataBaseView_DBText m = (dataBaseView__TPPpdataBaseView_DBText) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DBString: {
      dataBaseView__TPPpdataBaseView_DBString m = (dataBaseView__TPPpdataBaseView_DBString) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_ComputationExpression: {
      dataBaseView__TPPpdataBaseView_ComputationExpression m = (dataBaseView__TPPpdataBaseView_ComputationExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_ParameterValueExpression: {
      dataBaseView__TPPpdataBaseView_ParameterValueExpression m = (dataBaseView__TPPpdataBaseView_ParameterValueExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_ProjectionColumnValueExpression: {
      dataBaseView__TPPpdataBaseView_ProjectionColumnValueExpression m = (dataBaseView__TPPpdataBaseView_ProjectionColumnValueExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_ColumnValueExpression: {
      dataBaseView__TPPpdataBaseView_ColumnValueExpression m = (dataBaseView__TPPpdataBaseView_ColumnValueExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_ConstantExpression: {
      dataBaseView__TPPpdataBaseView_ConstantExpression m = (dataBaseView__TPPpdataBaseView_ConstantExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_PredefinedExpression: {
      dataBaseView__TPPpdataBaseView_PredefinedExpression m = (dataBaseView__TPPpdataBaseView_PredefinedExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_UnaryExpression_operand: {
      dataBaseView__TPPpdataBaseView_UnaryExpression_operand m = (dataBaseView__TPPpdataBaseView_UnaryExpression_operand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_UnaryExpression: {
      dataBaseView__TPPpdataBaseView_UnaryExpression m = (dataBaseView__TPPpdataBaseView_UnaryExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_BinaryExpression_rightOperand: {
      dataBaseView__TPPpdataBaseView_BinaryExpression_rightOperand m = (dataBaseView__TPPpdataBaseView_BinaryExpression_rightOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_BinaryExpression_leftOperand: {
      dataBaseView__TPPpdataBaseView_BinaryExpression_leftOperand m = (dataBaseView__TPPpdataBaseView_BinaryExpression_leftOperand) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_BinaryExpression: {
      dataBaseView__TPPpdataBaseView_BinaryExpression m = (dataBaseView__TPPpdataBaseView_BinaryExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceFormalParam_type: {
      dataBaseView__TPPpdataBaseView_DataSourceFormalParam_type m = (dataBaseView__TPPpdataBaseView_DataSourceFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataBase: {
      dataBaseView__TPPpdataBaseView_DataBase m = (dataBaseView__TPPpdataBaseView_DataBase) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        case 6: return (NODEPTR) m->_desc6; break;
        case 7: return (NODEPTR) m->_desc7; break;
        case 8: return (NODEPTR) m->_desc8; break;
        case 9: return (NODEPTR) m->_desc9; break;
        case 10: return (NODEPTR) m->_desc10; break;
        case 11: return (NODEPTR) m->_desc11; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceDelete_connection: {
      dataBaseView__TPPpdataBaseView_DataSourceDelete_connection m = (dataBaseView__TPPpdataBaseView_DataSourceDelete_connection) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceUpdate_connection: {
      dataBaseView__TPPpdataBaseView_DataSourceUpdate_connection m = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_connection) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceInsert_connection: {
      dataBaseView__TPPpdataBaseView_DataSourceInsert_connection m = (dataBaseView__TPPpdataBaseView_DataSourceInsert_connection) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceJoin_connection2: {
      dataBaseView__TPPpdataBaseView_DataSourceJoin_connection2 m = (dataBaseView__TPPpdataBaseView_DataSourceJoin_connection2) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceJoin_connection1: {
      dataBaseView__TPPpdataBaseView_DataSourceJoin_connection1 m = (dataBaseView__TPPpdataBaseView_DataSourceJoin_connection1) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_OrderedDataSource_connection: {
      dataBaseView__TPPpdataBaseView_OrderedDataSource_connection m = (dataBaseView__TPPpdataBaseView_OrderedDataSource_connection) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_LimitDataSource_connection: {
      dataBaseView__TPPpdataBaseView_LimitDataSource_connection m = (dataBaseView__TPPpdataBaseView_LimitDataSource_connection) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpdataBaseView_DataSourceProjection_connection: {
      dataBaseView__TPPpdataBaseView_DataSourceProjection_connection m = (dataBaseView__TPPpdataBaseView_DataSourceProjection_connection) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case dataBaseView_RULEpVIEWROOT_dataBaseView: {
      dataBaseView__TPPpVIEWROOT_dataBaseView m = (dataBaseView__TPPpVIEWROOT_dataBaseView) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    default:
        return (NODEPTR) 0;
  }
}

#else
/* To avoid messages about empty files */
static int _dapto;
#endif
