
/* encoding of tree node types and symbols */

#ifndef feDlg_NODECODE_H
#define feDlg_NODECODE_H

extern int feDlg_LHSMAP[];

#define feDlg_IsSymb(_n,_c) (feDlg_LHSMAP[(_n)->_prod] == (_c))

#define feDlg_SYMBVIEWROOT 0
#define feDlg_SYMBfeDlg_FormularTextElement 1
#define feDlg_SYMBfeDlg_FormularTextElement_name 2
#define feDlg_SYMBfeDlg_FormularTextElement_label 3
#define feDlg_SYMBfeDlg_FormularTextElement_description 4
#define feDlg_SYMBfeDlg_FormularTextElement_pvalue 5
#define feDlg_SYMBfeDlg_FormularTextElement_required 6
#define feDlg_SYMBfeDlg_FormularTextElement_validator 7
#define feDlg_SYMBfeDlg_FormularTextElement_converter 8
#define feDlg_SYMBfeDlg_DoubleRangeValidator 9
#define feDlg_SYMBfeDlg_LongRangeValidator 10
#define feDlg_SYMBfeDlg_StringLengthValidator 11
#define feDlg_SYMBfeDlg_RegExprValidator 12
#define feDlg_SYMBfeDlg_CreditCardValidator 13
#define feDlg_SYMBfeDlg_EmailValidator 14
#define feDlg_SYMBfeDlg_PatternConverter 15
#define feDlg_SYMBfeDlg_DateTimeConverter 16
#define feDlg_SYMBfeDlg_BooleanConverter 17
#define feDlg_SYMBfeDlg_DoubleConverter 18
#define feDlg_SYMBfeDlg_FloatConverter 19
#define feDlg_SYMBfeDlg_BigIntegerConverter 20
#define feDlg_SYMBfeDlg_LongConverter 21
#define feDlg_SYMBfeDlg_IntegerConverter 22
#define feDlg_SYMBfeDlg_DoubleNumberConverter 23
#define feDlg_SYMBfeDlg_IntegerNumberConverter 24
#define feDlg_SYMBfeDlg_RegExprValidator_pattern 25
#define feDlg_SYMBfeDlg_StringLengthValidator_min 26
#define feDlg_SYMBfeDlg_StringLengthValidator_max 27
#define feDlg_SYMBfeDlg_LongRangeValidator_min 28
#define feDlg_SYMBfeDlg_LongRangeValidator_max 29
#define feDlg_SYMBfeDlg_DoubleRangeValidator_min 30
#define feDlg_SYMBfeDlg_DoubleRangeValidator_max 31
#define feDlg_SYMBfeDlg_IntegerNumberConverter_minIntegerDigits 32
#define feDlg_SYMBfeDlg_IntegerNumberConverter_maxIntegerDigits 33
#define feDlg_SYMBfeDlg_DoubleNumberConverter_minIntegerDigits 34
#define feDlg_SYMBfeDlg_DoubleNumberConverter_maxIntegerDigits 35
#define feDlg_SYMBfeDlg_DoubleNumberConverter_minFractionDigits 36
#define feDlg_SYMBfeDlg_DoubleNumberConverter_maxFractionDigits 37
#define feDlg_SYMBfeDlg_PatternConverter_pattern 38
#define feDlg_SYMBLST_feDlg_FormularTextElement_validator 39
#define feDlg_SYMBLST_feDlg_FormularTextElement_converter 40
#define feDlg_RULELST_0pfeDlg_FormularTextElement_converter 0
#define feDlg_RULELST_0pfeDlg_FormularTextElement_validator 1
#define feDlg_RULELST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter 2
#define feDlg_RULELST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter 3
#define feDlg_RULELST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter 4
#define feDlg_RULELST_feDlg_LongConverterpfeDlg_FormularTextElement_converter 5
#define feDlg_RULELST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter 6
#define feDlg_RULELST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter 7
#define feDlg_RULELST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter 8
#define feDlg_RULELST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter 9
#define feDlg_RULELST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter 10
#define feDlg_RULELST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter 11
#define feDlg_RULELST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator 12
#define feDlg_RULELST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator 13
#define feDlg_RULELST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator 14
#define feDlg_RULELST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator 15
#define feDlg_RULELST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator 16
#define feDlg_RULELST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator 17
#define feDlg_RULEpfeDlg_PatternConverter_pattern 18
#define feDlg_RULEpfeDlg_PatternConverter 19
#define feDlg_RULEpfeDlg_DateTimeConverter 20
#define feDlg_RULEpfeDlg_BooleanConverter 21
#define feDlg_RULEpfeDlg_DoubleConverter 22
#define feDlg_RULEpfeDlg_FloatConverter 23
#define feDlg_RULEpfeDlg_BigIntegerConverter 24
#define feDlg_RULEpfeDlg_LongConverter 25
#define feDlg_RULEpfeDlg_IntegerConverter 26
#define feDlg_RULEpfeDlg_DoubleNumberConverter_maxFractionDigits 27
#define feDlg_RULEpfeDlg_DoubleNumberConverter_minFractionDigits 28
#define feDlg_RULEpfeDlg_DoubleNumberConverter_maxIntegerDigits 29
#define feDlg_RULEpfeDlg_DoubleNumberConverter_minIntegerDigits 30
#define feDlg_RULEpfeDlg_DoubleNumberConverter 31
#define feDlg_RULEpfeDlg_IntegerNumberConverter_maxIntegerDigits 32
#define feDlg_RULEpfeDlg_IntegerNumberConverter_minIntegerDigits 33
#define feDlg_RULEpfeDlg_IntegerNumberConverter 34
#define feDlg_RULEpfeDlg_DoubleRangeValidator_max 35
#define feDlg_RULEpfeDlg_DoubleRangeValidator_min 36
#define feDlg_RULEpfeDlg_DoubleRangeValidator 37
#define feDlg_RULEpfeDlg_LongRangeValidator_max 38
#define feDlg_RULEpfeDlg_LongRangeValidator_min 39
#define feDlg_RULEpfeDlg_LongRangeValidator 40
#define feDlg_RULEpfeDlg_StringLengthValidator_max 41
#define feDlg_RULEpfeDlg_StringLengthValidator_min 42
#define feDlg_RULEpfeDlg_StringLengthValidator 43
#define feDlg_RULEpfeDlg_RegExprValidator_pattern 44
#define feDlg_RULEpfeDlg_RegExprValidator 45
#define feDlg_RULEpfeDlg_CreditCardValidator 46
#define feDlg_RULEpfeDlg_EmailValidator 47
#define feDlg_RULEpfeDlg_FormularTextElement_converter 48
#define feDlg_RULEpfeDlg_FormularTextElement_validator 49
#define feDlg_RULEpfeDlg_FormularTextElement_required 50
#define feDlg_RULEpfeDlg_FormularTextElement_pvalue 51
#define feDlg_RULEpfeDlg_FormularTextElement_description 52
#define feDlg_RULEpfeDlg_FormularTextElement_label 53
#define feDlg_RULEpfeDlg_FormularTextElement_name 54
#define feDlg_RULEpfeDlg_FormularTextElement 55
#define feDlg_RULEpVIEWROOT_feDlg 56
#define feDlg_RULEpEmpty 57
#endif
