
/* encoding of tree node types and symbols */

#ifndef fetDlg_NODECODE_H
#define fetDlg_NODECODE_H

extern int fetDlg_LHSMAP[];

#define fetDlg_IsSymb(_n,_c) (fetDlg_LHSMAP[(_n)->_prod] == (_c))

#define fetDlg_SYMBVIEWROOT 0
#define fetDlg_SYMBfetDlg_FormularTextAreaElement 1
#define fetDlg_SYMBfetDlg_FormularTextAreaElement_name 2
#define fetDlg_SYMBfetDlg_FormularTextAreaElement_label 3
#define fetDlg_SYMBfetDlg_FormularTextAreaElement_description 4
#define fetDlg_SYMBfetDlg_FormularTextAreaElement_rows 5
#define fetDlg_SYMBfetDlg_FormularTextAreaElement_pvalue 6
#define fetDlg_SYMBfetDlg_FormularTextAreaElement_required 7
#define fetDlg_SYMBfetDlg_FormularTextAreaElement_validator 8
#define fetDlg_SYMBfetDlg_FormularTextAreaElement_converter 9
#define fetDlg_SYMBfetDlg_DoubleRangeValidator 10
#define fetDlg_SYMBfetDlg_LongRangeValidator 11
#define fetDlg_SYMBfetDlg_StringLengthValidator 12
#define fetDlg_SYMBfetDlg_RegExprValidator 13
#define fetDlg_SYMBfetDlg_CreditCardValidator 14
#define fetDlg_SYMBfetDlg_EmailValidator 15
#define fetDlg_SYMBfetDlg_PatternConverter 16
#define fetDlg_SYMBfetDlg_DateTimeConverter 17
#define fetDlg_SYMBfetDlg_BooleanConverter 18
#define fetDlg_SYMBfetDlg_DoubleConverter 19
#define fetDlg_SYMBfetDlg_FloatConverter 20
#define fetDlg_SYMBfetDlg_BigIntegerConverter 21
#define fetDlg_SYMBfetDlg_LongConverter 22
#define fetDlg_SYMBfetDlg_IntegerConverter 23
#define fetDlg_SYMBfetDlg_DoubleNumberConverter 24
#define fetDlg_SYMBfetDlg_IntegerNumberConverter 25
#define fetDlg_SYMBfetDlg_RegExprValidator_pattern 26
#define fetDlg_SYMBfetDlg_StringLengthValidator_min 27
#define fetDlg_SYMBfetDlg_StringLengthValidator_max 28
#define fetDlg_SYMBfetDlg_LongRangeValidator_min 29
#define fetDlg_SYMBfetDlg_LongRangeValidator_max 30
#define fetDlg_SYMBfetDlg_DoubleRangeValidator_min 31
#define fetDlg_SYMBfetDlg_DoubleRangeValidator_max 32
#define fetDlg_SYMBfetDlg_IntegerNumberConverter_minIntegerDigits 33
#define fetDlg_SYMBfetDlg_IntegerNumberConverter_maxIntegerDigits 34
#define fetDlg_SYMBfetDlg_DoubleNumberConverter_minIntegerDigits 35
#define fetDlg_SYMBfetDlg_DoubleNumberConverter_maxIntegerDigits 36
#define fetDlg_SYMBfetDlg_DoubleNumberConverter_minFractionDigits 37
#define fetDlg_SYMBfetDlg_DoubleNumberConverter_maxFractionDigits 38
#define fetDlg_SYMBfetDlg_PatternConverter_pattern 39
#define fetDlg_SYMBLST_fetDlg_FormularTextAreaElement_validator 40
#define fetDlg_SYMBLST_fetDlg_FormularTextAreaElement_converter 41
#define fetDlg_RULELST_0pfetDlg_FormularTextAreaElement_converter 0
#define fetDlg_RULELST_0pfetDlg_FormularTextAreaElement_validator 1
#define fetDlg_RULELST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter 2
#define fetDlg_RULELST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter 3
#define fetDlg_RULELST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter 4
#define fetDlg_RULELST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter 5
#define fetDlg_RULELST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter 6
#define fetDlg_RULELST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter 7
#define fetDlg_RULELST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter 8
#define fetDlg_RULELST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter 9
#define fetDlg_RULELST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter 10
#define fetDlg_RULELST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter 11
#define fetDlg_RULELST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator 12
#define fetDlg_RULELST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator 13
#define fetDlg_RULELST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator 14
#define fetDlg_RULELST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator 15
#define fetDlg_RULELST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator 16
#define fetDlg_RULELST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator 17
#define fetDlg_RULEpfetDlg_PatternConverter_pattern 18
#define fetDlg_RULEpfetDlg_PatternConverter 19
#define fetDlg_RULEpfetDlg_DoubleNumberConverter_maxFractionDigits 20
#define fetDlg_RULEpfetDlg_DoubleNumberConverter_minFractionDigits 21
#define fetDlg_RULEpfetDlg_DoubleNumberConverter_maxIntegerDigits 22
#define fetDlg_RULEpfetDlg_DoubleNumberConverter_minIntegerDigits 23
#define fetDlg_RULEpfetDlg_DoubleNumberConverter 24
#define fetDlg_RULEpfetDlg_IntegerNumberConverter_maxIntegerDigits 25
#define fetDlg_RULEpfetDlg_IntegerNumberConverter_minIntegerDigits 26
#define fetDlg_RULEpfetDlg_IntegerNumberConverter 27
#define fetDlg_RULEpfetDlg_DoubleRangeValidator_max 28
#define fetDlg_RULEpfetDlg_DoubleRangeValidator_min 29
#define fetDlg_RULEpfetDlg_DoubleRangeValidator 30
#define fetDlg_RULEpfetDlg_LongRangeValidator_max 31
#define fetDlg_RULEpfetDlg_LongRangeValidator_min 32
#define fetDlg_RULEpfetDlg_LongRangeValidator 33
#define fetDlg_RULEpfetDlg_StringLengthValidator_max 34
#define fetDlg_RULEpfetDlg_StringLengthValidator_min 35
#define fetDlg_RULEpfetDlg_StringLengthValidator 36
#define fetDlg_RULEpfetDlg_RegExprValidator_pattern 37
#define fetDlg_RULEpfetDlg_RegExprValidator 38
#define fetDlg_RULEpfetDlg_FormularTextAreaElement_converter 39
#define fetDlg_RULEpfetDlg_FormularTextAreaElement_validator 40
#define fetDlg_RULEpfetDlg_FormularTextAreaElement_required 41
#define fetDlg_RULEpfetDlg_FormularTextAreaElement_pvalue 42
#define fetDlg_RULEpfetDlg_FormularTextAreaElement_rows 43
#define fetDlg_RULEpfetDlg_FormularTextAreaElement_description 44
#define fetDlg_RULEpfetDlg_FormularTextAreaElement_label 45
#define fetDlg_RULEpfetDlg_FormularTextAreaElement_name 46
#define fetDlg_RULEpfetDlg_DateTimeConverter 47
#define fetDlg_RULEpfetDlg_BooleanConverter 48
#define fetDlg_RULEpfetDlg_DoubleConverter 49
#define fetDlg_RULEpfetDlg_FloatConverter 50
#define fetDlg_RULEpfetDlg_BigIntegerConverter 51
#define fetDlg_RULEpfetDlg_LongConverter 52
#define fetDlg_RULEpfetDlg_IntegerConverter 53
#define fetDlg_RULEpfetDlg_CreditCardValidator 54
#define fetDlg_RULEpfetDlg_EmailValidator 55
#define fetDlg_RULEpfetDlg_FormularTextAreaElement 56
#define fetDlg_RULEpVIEWROOT_fetDlg 57
#define fetDlg_RULEpEmpty 58
#endif
