
/* interface of tree construction functions */

#ifndef fetDlg_TREECON_H
#define fetDlg_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "fetDlg_nodeptr.h"

#include "HEAD.h"


extern void fetDlg_InitTree ELI_ARG((void));

extern void fetDlg_FreeTree ELI_ARG((void));

extern NODEPTR fetDlg_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_rows ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_DoubleRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_LongRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_StringLengthValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_RegExprValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_CreditCardValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_EmailValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_PatternConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_DateTimeConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_BooleanConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_DoubleConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_FloatConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_BigIntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_LongConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_IntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_IntegerNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_RegExprValidator_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_StringLengthValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_StringLengthValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_LongRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_LongRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkfetDlg_PatternConverter_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fetDlg_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpVIEWROOT_fetDlg ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_rows ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_required ELI_ARG((POSITION *_coordref));
#define fetDlg_Mk0pfetDlg_FormularTextAreaElement_validator(_coordref) NULLNODEPTR
extern NODEPTR fetDlg_Mk2pfetDlg_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define fetDlg_Mk0pfetDlg_FormularTextAreaElement_converter(_coordref) NULLNODEPTR
extern NODEPTR fetDlg_Mk2pfetDlg_FormularTextAreaElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR fetDlg_MkpfetDlg_EmailValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fetDlg_MkpfetDlg_CreditCardValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fetDlg_MkpfetDlg_RegExprValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR fetDlg_MkpfetDlg_RegExprValidator_pattern ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_StringLengthValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR fetDlg_MkpfetDlg_StringLengthValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_StringLengthValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_LongRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR fetDlg_MkpfetDlg_LongRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_LongRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_DoubleRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR fetDlg_MkpfetDlg_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_IntegerNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR fetDlg_MkpfetDlg_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fetDlg_MkpfetDlg_IntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fetDlg_MkpfetDlg_LongConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fetDlg_MkpfetDlg_BigIntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fetDlg_MkpfetDlg_FloatConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fetDlg_MkpfetDlg_DoubleConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fetDlg_MkpfetDlg_BooleanConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fetDlg_MkpfetDlg_DateTimeConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fetDlg_MkpfetDlg_PatternConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR fetDlg_MkpfetDlg_PatternConverter_pattern ELI_ARG((POSITION *_coordref));
#define fetDlg_MkID(pos,val) (val)
#endif
