
/* definition of tree node structure */

#ifndef listOutputView_NODE_H
#define listOutputView_NODE_H
#include "err.h"
#include "listOutputView_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef listOutputView_NODEPTRSUBSTRUCT
#define listOutputView_NODEPTRSUBSTRUCT
struct listOutputView_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct listOutputView__TSVIEWROOT* listOutputView__TSPVIEWROOT;
typedef struct listOutputView__TSlistOutputView_ListOutputElement* listOutputView__TSPlistOutputView_ListOutputElement;
typedef struct listOutputView__TSlistOutputView_ListOutputActualParam* listOutputView__TSPlistOutputView_ListOutputActualParam;
typedef struct listOutputView__TSlistOutputView_ListOutputActualParam_formalParam* listOutputView__TSPlistOutputView_ListOutputActualParam_formalParam;
typedef struct listOutputView__TSlistOutputView_ListOutputActualParam_keyword1* listOutputView__TSPlistOutputView_ListOutputActualParam_keyword1;
typedef struct listOutputView__TSlistOutputView_ListOutputActualParam_expression* listOutputView__TSPlistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TSlistOutputView_ComputationExpression* listOutputView__TSPlistOutputView_ComputationExpression;
typedef struct listOutputView__TSlistOutputView_ParameterValueExpression* listOutputView__TSPlistOutputView_ParameterValueExpression;
typedef struct listOutputView__TSlistOutputView_ProjectionColumnValueExpression* listOutputView__TSPlistOutputView_ProjectionColumnValueExpression;
typedef struct listOutputView__TSlistOutputView_ColumnValueExpression* listOutputView__TSPlistOutputView_ColumnValueExpression;
typedef struct listOutputView__TSlistOutputView_ConstantExpression* listOutputView__TSPlistOutputView_ConstantExpression;
typedef struct listOutputView__TSlistOutputView_PredefinedExpression* listOutputView__TSPlistOutputView_PredefinedExpression;
typedef struct listOutputView__TSlistOutputView_UnaryExpression* listOutputView__TSPlistOutputView_UnaryExpression;
typedef struct listOutputView__TSlistOutputView_BinaryExpression* listOutputView__TSPlistOutputView_BinaryExpression;
typedef struct listOutputView__TSlistOutputView_DataSourceActualParam* listOutputView__TSPlistOutputView_DataSourceActualParam;
typedef struct listOutputView__TSlistOutputView_DataSourceActualParam_formalParam* listOutputView__TSPlistOutputView_DataSourceActualParam_formalParam;
typedef struct listOutputView__TSlistOutputView_DataSourceActualParam_keyword1* listOutputView__TSPlistOutputView_DataSourceActualParam_keyword1;
typedef struct listOutputView__TSlistOutputView_DataSourceActualParam_expressions* listOutputView__TSPlistOutputView_DataSourceActualParam_expressions;
typedef struct listOutputView__TSlistOutputView_WebNodeSessionExpression* listOutputView__TSPlistOutputView_WebNodeSessionExpression;
typedef struct listOutputView__TSlistOutputView_WebNodeVariableExpression* listOutputView__TSPlistOutputView_WebNodeVariableExpression;
typedef struct listOutputView__TSlistOutputView_WebNodeConstantExpression* listOutputView__TSPlistOutputView_WebNodeConstantExpression;
typedef struct listOutputView__TSlistOutputView_BinaryExpression_keyword1* listOutputView__TSPlistOutputView_BinaryExpression_keyword1;
typedef struct listOutputView__TSlistOutputView_BinaryExpression_leftOperand* listOutputView__TSPlistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TSlistOutputView_BinaryExpression_operator* listOutputView__TSPlistOutputView_BinaryExpression_operator;
typedef struct listOutputView__TSlistOutputView_BinaryExpression_rightOperand* listOutputView__TSPlistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TSlistOutputView_BinaryExpression_keyword2* listOutputView__TSPlistOutputView_BinaryExpression_keyword2;
typedef struct listOutputView__TSlistOutputView_UnaryExpression_operator* listOutputView__TSPlistOutputView_UnaryExpression_operator;
typedef struct listOutputView__TSlistOutputView_UnaryExpression_operand* listOutputView__TSPlistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TSlistOutputView_PredefinedExpression_value* listOutputView__TSPlistOutputView_PredefinedExpression_value;
typedef struct listOutputView__TSlistOutputView_ConstantExpression_keyword1* listOutputView__TSPlistOutputView_ConstantExpression_keyword1;
typedef struct listOutputView__TSlistOutputView_ConstantExpression_value* listOutputView__TSPlistOutputView_ConstantExpression_value;
typedef struct listOutputView__TSlistOutputView_ConstantExpression_keyword2* listOutputView__TSPlistOutputView_ConstantExpression_keyword2;
typedef struct listOutputView__TSlistOutputView_ColumnValueExpression_column* listOutputView__TSPlistOutputView_ColumnValueExpression_column;
typedef struct listOutputView__TSlistOutputView_ProjectionColumnValueExpression_column* listOutputView__TSPlistOutputView_ProjectionColumnValueExpression_column;
typedef struct listOutputView__TSlistOutputView_ParameterValueExpression_parameter* listOutputView__TSPlistOutputView_ParameterValueExpression_parameter;
typedef struct listOutputView__TSlistOutputView_ComputationExpression_computation* listOutputView__TSPlistOutputView_ComputationExpression_computation;
typedef struct listOutputView__TSlistOutputView_ComputationExpression_keyword1* listOutputView__TSPlistOutputView_ComputationExpression_keyword1;
typedef struct listOutputView__TSlistOutputView_ComputationExpression_column* listOutputView__TSPlistOutputView_ComputationExpression_column;
typedef struct listOutputView__TSlistOutputView_ComputationExpression_keyword2* listOutputView__TSPlistOutputView_ComputationExpression_keyword2;
typedef struct listOutputView__TSlistOutputView_MD5Modifier* listOutputView__TSPlistOutputView_MD5Modifier;
typedef struct listOutputView__TSlistOutputView_JoinModifier* listOutputView__TSPlistOutputView_JoinModifier;
typedef struct listOutputView__TSlistOutputView_JoinModifier_separator* listOutputView__TSPlistOutputView_JoinModifier_separator;
typedef struct listOutputView__TSlistOutputView_WebNodeConstantExpression_modifier* listOutputView__TSPlistOutputView_WebNodeConstantExpression_modifier;
typedef struct listOutputView__TSlistOutputView_WebNodeConstantExpression_value* listOutputView__TSPlistOutputView_WebNodeConstantExpression_value;
typedef struct listOutputView__TSlistOutputView_WebNodeVariableExpression_modifier* listOutputView__TSPlistOutputView_WebNodeVariableExpression_modifier;
typedef struct listOutputView__TSlistOutputView_WebNodeVariableExpression_content* listOutputView__TSPlistOutputView_WebNodeVariableExpression_content;
typedef struct listOutputView__TSlistOutputView_WebNodeSessionExpression_modifier* listOutputView__TSPlistOutputView_WebNodeSessionExpression_modifier;
typedef struct listOutputView__TSlistOutputView_WebNodeSessionExpression_content* listOutputView__TSPlistOutputView_WebNodeSessionExpression_content;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_styleSheetBlock* listOutputView__TSPlistOutputView_ListOutputElement_styleSheetBlock;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_name* listOutputView__TSPlistOutputView_ListOutputElement_name;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_dataSourceActualParams* listOutputView__TSPlistOutputView_ListOutputElement_dataSourceActualParams;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_dataSource* listOutputView__TSPlistOutputView_ListOutputElement_dataSource;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_maxNumberOfElements* listOutputView__TSPlistOutputView_ListOutputElement_maxNumberOfElements;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_renderAs* listOutputView__TSPlistOutputView_ListOutputElement_renderAs;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_navigationElement* listOutputView__TSPlistOutputView_ListOutputElement_navigationElement;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_columns* listOutputView__TSPlistOutputView_ListOutputElement_columns;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_headerStyleClass* listOutputView__TSPlistOutputView_ListOutputElement_headerStyleClass;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_evenRowStyleClass* listOutputView__TSPlistOutputView_ListOutputElement_evenRowStyleClass;
typedef struct listOutputView__TSlistOutputView_ListOutputElement_oddRowStyleClass* listOutputView__TSPlistOutputView_ListOutputElement_oddRowStyleClass;
typedef struct listOutputView__TSlistOutputView_ListOutputColumn* listOutputView__TSPlistOutputView_ListOutputColumn;
typedef struct listOutputView__TSlistOutputView_ListOutputColumn_header* listOutputView__TSPlistOutputView_ListOutputColumn_header;
typedef struct listOutputView__TSlistOutputView_ListOutputColumn_content* listOutputView__TSPlistOutputView_ListOutputColumn_content;
typedef struct listOutputView__TSlistOutputView_ListOutputActionConnectionsContent* listOutputView__TSPlistOutputView_ListOutputActionConnectionsContent;
typedef struct listOutputView__TSlistOutputView_ListOutputNumerationContent* listOutputView__TSPlistOutputView_ListOutputNumerationContent;
typedef struct listOutputView__TSlistOutputView_ListOutputProjectionContent* listOutputView__TSPlistOutputView_ListOutputProjectionContent;
typedef struct listOutputView__TSlistOutputView_ListOutputRefContent* listOutputView__TSPlistOutputView_ListOutputRefContent;
typedef struct listOutputView__TSlistOutputView_ListOutputConstantContent* listOutputView__TSPlistOutputView_ListOutputConstantContent;
typedef struct listOutputView__TSlistOutputView_ListOutputConstantContent_value* listOutputView__TSPlistOutputView_ListOutputConstantContent_value;
typedef struct listOutputView__TSlistOutputView_ListOutputRefContent_column* listOutputView__TSPlistOutputView_ListOutputRefContent_column;
typedef struct listOutputView__TSlistOutputView_ListOutputProjectionContent_column* listOutputView__TSPlistOutputView_ListOutputProjectionContent_column;
typedef struct listOutputView__TSlistOutputView_ListOutputNumerationContent_name* listOutputView__TSPlistOutputView_ListOutputNumerationContent_name;
typedef struct listOutputView__TSlistOutputView_ListOutputActionConnectionsContent_actionConnections* listOutputView__TSPlistOutputView_ListOutputActionConnectionsContent_actionConnections;
typedef struct listOutputView__TSlistOutputView_ActionConnection* listOutputView__TSPlistOutputView_ActionConnection;
typedef struct listOutputView__TSlistOutputView_ActionConnection_action* listOutputView__TSPlistOutputView_ActionConnection_action;
typedef struct listOutputView__TSlistOutputView_ActionConnection_imageName* listOutputView__TSPlistOutputView_ActionConnection_imageName;
typedef struct listOutputView__TSlistOutputView_ActionConnection_text* listOutputView__TSPlistOutputView_ActionConnection_text;
typedef struct listOutputView__TSlistOutputView_ActionConnection_actualParams* listOutputView__TSPlistOutputView_ActionConnection_actualParams;
typedef struct listOutputView__TSLST_listOutputView_ListOutputActualParam_expression* listOutputView__TSPLST_listOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TSLST_listOutputView_DataSourceActualParam_expressions* listOutputView__TSPLST_listOutputView_DataSourceActualParam_expressions;
typedef struct listOutputView__TSLST_listOutputView_BinaryExpression_leftOperand* listOutputView__TSPLST_listOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TSLST_listOutputView_BinaryExpression_rightOperand* listOutputView__TSPLST_listOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TSLST_listOutputView_UnaryExpression_operand* listOutputView__TSPLST_listOutputView_UnaryExpression_operand;
typedef struct listOutputView__TSLST_listOutputView_WebNodeConstantExpression_modifier* listOutputView__TSPLST_listOutputView_WebNodeConstantExpression_modifier;
typedef struct listOutputView__TSLST_listOutputView_WebNodeVariableExpression_modifier* listOutputView__TSPLST_listOutputView_WebNodeVariableExpression_modifier;
typedef struct listOutputView__TSLST_listOutputView_WebNodeSessionExpression_modifier* listOutputView__TSPLST_listOutputView_WebNodeSessionExpression_modifier;
typedef struct listOutputView__TSLST_listOutputView_ListOutputElement_dataSourceActualParams* listOutputView__TSPLST_listOutputView_ListOutputElement_dataSourceActualParams;
typedef struct listOutputView__TSLST_listOutputView_ListOutputElement_columns* listOutputView__TSPLST_listOutputView_ListOutputElement_columns;
typedef struct listOutputView__TSLST_listOutputView_ListOutputColumn_content* listOutputView__TSPLST_listOutputView_ListOutputColumn_content;
typedef struct listOutputView__TSLST_listOutputView_ListOutputActionConnectionsContent_actionConnections* listOutputView__TSPLST_listOutputView_ListOutputActionConnectionsContent_actionConnections;
typedef struct listOutputView__TSLST_listOutputView_ActionConnection_actualParams* listOutputView__TSPLST_listOutputView_ActionConnection_actualParams;
typedef struct listOutputView__TPpEmpty* listOutputView__TPPpEmpty;
typedef struct listOutputView__TPpVIEWROOT_listOutputView* listOutputView__TPPpVIEWROOT_listOutputView;
typedef struct listOutputView__TPplistOutputView_ListOutputActualParam* listOutputView__TPPplistOutputView_ListOutputActualParam;
typedef struct listOutputView__TPplistOutputView_ListOutputActualParam_formalParam* listOutputView__TPPplistOutputView_ListOutputActualParam_formalParam;
typedef struct listOutputView__TPplistOutputView_ListOutputActualParam_keyword1* listOutputView__TPPplistOutputView_ListOutputActualParam_keyword1;
typedef struct listOutputView__TPplistOutputView_ListOutputActualParam_expression* listOutputView__TPPplistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TPplistOutputView_DataSourceActualParam* listOutputView__TPPplistOutputView_DataSourceActualParam;
typedef struct listOutputView__TPplistOutputView_DataSourceActualParam_formalParam* listOutputView__TPPplistOutputView_DataSourceActualParam_formalParam;
typedef struct listOutputView__TPplistOutputView_DataSourceActualParam_keyword1* listOutputView__TPPplistOutputView_DataSourceActualParam_keyword1;
typedef struct listOutputView__TPplistOutputView_DataSourceActualParam_expressions* listOutputView__TPPplistOutputView_DataSourceActualParam_expressions;
typedef struct listOutputView__TPplistOutputView_BinaryExpression* listOutputView__TPPplistOutputView_BinaryExpression;
typedef struct listOutputView__TPplistOutputView_BinaryExpression_keyword1* listOutputView__TPPplistOutputView_BinaryExpression_keyword1;
typedef struct listOutputView__TPplistOutputView_BinaryExpression_leftOperand* listOutputView__TPPplistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TPplistOutputView_BinaryExpression_operator* listOutputView__TPPplistOutputView_BinaryExpression_operator;
typedef struct listOutputView__TPplistOutputView_BinaryExpression_rightOperand* listOutputView__TPPplistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TPplistOutputView_BinaryExpression_keyword2* listOutputView__TPPplistOutputView_BinaryExpression_keyword2;
typedef struct listOutputView__TPplistOutputView_UnaryExpression* listOutputView__TPPplistOutputView_UnaryExpression;
typedef struct listOutputView__TPplistOutputView_UnaryExpression_operator* listOutputView__TPPplistOutputView_UnaryExpression_operator;
typedef struct listOutputView__TPplistOutputView_UnaryExpression_operand* listOutputView__TPPplistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TPplistOutputView_PredefinedExpression* listOutputView__TPPplistOutputView_PredefinedExpression;
typedef struct listOutputView__TPplistOutputView_PredefinedExpression_value* listOutputView__TPPplistOutputView_PredefinedExpression_value;
typedef struct listOutputView__TPplistOutputView_ConstantExpression* listOutputView__TPPplistOutputView_ConstantExpression;
typedef struct listOutputView__TPplistOutputView_ConstantExpression_keyword1* listOutputView__TPPplistOutputView_ConstantExpression_keyword1;
typedef struct listOutputView__TPplistOutputView_ConstantExpression_value* listOutputView__TPPplistOutputView_ConstantExpression_value;
typedef struct listOutputView__TPplistOutputView_ConstantExpression_keyword2* listOutputView__TPPplistOutputView_ConstantExpression_keyword2;
typedef struct listOutputView__TPplistOutputView_ColumnValueExpression* listOutputView__TPPplistOutputView_ColumnValueExpression;
typedef struct listOutputView__TPplistOutputView_ColumnValueExpression_column* listOutputView__TPPplistOutputView_ColumnValueExpression_column;
typedef struct listOutputView__TPplistOutputView_ProjectionColumnValueExpression* listOutputView__TPPplistOutputView_ProjectionColumnValueExpression;
typedef struct listOutputView__TPplistOutputView_ProjectionColumnValueExpression_column* listOutputView__TPPplistOutputView_ProjectionColumnValueExpression_column;
typedef struct listOutputView__TPplistOutputView_ParameterValueExpression* listOutputView__TPPplistOutputView_ParameterValueExpression;
typedef struct listOutputView__TPplistOutputView_ParameterValueExpression_parameter* listOutputView__TPPplistOutputView_ParameterValueExpression_parameter;
typedef struct listOutputView__TPplistOutputView_ComputationExpression* listOutputView__TPPplistOutputView_ComputationExpression;
typedef struct listOutputView__TPplistOutputView_ComputationExpression_computation* listOutputView__TPPplistOutputView_ComputationExpression_computation;
typedef struct listOutputView__TPplistOutputView_ComputationExpression_keyword1* listOutputView__TPPplistOutputView_ComputationExpression_keyword1;
typedef struct listOutputView__TPplistOutputView_ComputationExpression_column* listOutputView__TPPplistOutputView_ComputationExpression_column;
typedef struct listOutputView__TPplistOutputView_ComputationExpression_keyword2* listOutputView__TPPplistOutputView_ComputationExpression_keyword2;
typedef struct listOutputView__TPplistOutputView_MD5Modifier* listOutputView__TPPplistOutputView_MD5Modifier;
typedef struct listOutputView__TPplistOutputView_JoinModifier* listOutputView__TPPplistOutputView_JoinModifier;
typedef struct listOutputView__TPplistOutputView_JoinModifier_separator* listOutputView__TPPplistOutputView_JoinModifier_separator;
typedef struct listOutputView__TPplistOutputView_WebNodeConstantExpression* listOutputView__TPPplistOutputView_WebNodeConstantExpression;
typedef struct listOutputView__TPplistOutputView_WebNodeConstantExpression_modifier* listOutputView__TPPplistOutputView_WebNodeConstantExpression_modifier;
typedef struct listOutputView__TPplistOutputView_WebNodeConstantExpression_value* listOutputView__TPPplistOutputView_WebNodeConstantExpression_value;
typedef struct listOutputView__TPplistOutputView_WebNodeVariableExpression* listOutputView__TPPplistOutputView_WebNodeVariableExpression;
typedef struct listOutputView__TPplistOutputView_WebNodeVariableExpression_modifier* listOutputView__TPPplistOutputView_WebNodeVariableExpression_modifier;
typedef struct listOutputView__TPplistOutputView_WebNodeVariableExpression_content* listOutputView__TPPplistOutputView_WebNodeVariableExpression_content;
typedef struct listOutputView__TPplistOutputView_WebNodeSessionExpression* listOutputView__TPPplistOutputView_WebNodeSessionExpression;
typedef struct listOutputView__TPplistOutputView_WebNodeSessionExpression_modifier* listOutputView__TPPplistOutputView_WebNodeSessionExpression_modifier;
typedef struct listOutputView__TPplistOutputView_WebNodeSessionExpression_content* listOutputView__TPPplistOutputView_WebNodeSessionExpression_content;
typedef struct listOutputView__TPplistOutputView_ListOutputElement* listOutputView__TPPplistOutputView_ListOutputElement;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_styleSheetBlock* listOutputView__TPPplistOutputView_ListOutputElement_styleSheetBlock;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_name* listOutputView__TPPplistOutputView_ListOutputElement_name;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_dataSourceActualParams* listOutputView__TPPplistOutputView_ListOutputElement_dataSourceActualParams;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_dataSource* listOutputView__TPPplistOutputView_ListOutputElement_dataSource;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_maxNumberOfElements* listOutputView__TPPplistOutputView_ListOutputElement_maxNumberOfElements;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_renderAs* listOutputView__TPPplistOutputView_ListOutputElement_renderAs;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_navigationElement* listOutputView__TPPplistOutputView_ListOutputElement_navigationElement;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_columns* listOutputView__TPPplistOutputView_ListOutputElement_columns;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_headerStyleClass* listOutputView__TPPplistOutputView_ListOutputElement_headerStyleClass;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_evenRowStyleClass* listOutputView__TPPplistOutputView_ListOutputElement_evenRowStyleClass;
typedef struct listOutputView__TPplistOutputView_ListOutputElement_oddRowStyleClass* listOutputView__TPPplistOutputView_ListOutputElement_oddRowStyleClass;
typedef struct listOutputView__TPplistOutputView_ListOutputColumn* listOutputView__TPPplistOutputView_ListOutputColumn;
typedef struct listOutputView__TPplistOutputView_ListOutputColumn_header* listOutputView__TPPplistOutputView_ListOutputColumn_header;
typedef struct listOutputView__TPplistOutputView_ListOutputColumn_content* listOutputView__TPPplistOutputView_ListOutputColumn_content;
typedef struct listOutputView__TPplistOutputView_ListOutputConstantContent* listOutputView__TPPplistOutputView_ListOutputConstantContent;
typedef struct listOutputView__TPplistOutputView_ListOutputConstantContent_value* listOutputView__TPPplistOutputView_ListOutputConstantContent_value;
typedef struct listOutputView__TPplistOutputView_ListOutputRefContent* listOutputView__TPPplistOutputView_ListOutputRefContent;
typedef struct listOutputView__TPplistOutputView_ListOutputRefContent_column* listOutputView__TPPplistOutputView_ListOutputRefContent_column;
typedef struct listOutputView__TPplistOutputView_ListOutputProjectionContent* listOutputView__TPPplistOutputView_ListOutputProjectionContent;
typedef struct listOutputView__TPplistOutputView_ListOutputProjectionContent_column* listOutputView__TPPplistOutputView_ListOutputProjectionContent_column;
typedef struct listOutputView__TPplistOutputView_ListOutputNumerationContent* listOutputView__TPPplistOutputView_ListOutputNumerationContent;
typedef struct listOutputView__TPplistOutputView_ListOutputNumerationContent_name* listOutputView__TPPplistOutputView_ListOutputNumerationContent_name;
typedef struct listOutputView__TPplistOutputView_ListOutputActionConnectionsContent* listOutputView__TPPplistOutputView_ListOutputActionConnectionsContent;
typedef struct listOutputView__TPplistOutputView_ListOutputActionConnectionsContent_actionConnections* listOutputView__TPPplistOutputView_ListOutputActionConnectionsContent_actionConnections;
typedef struct listOutputView__TPplistOutputView_ActionConnection* listOutputView__TPPplistOutputView_ActionConnection;
typedef struct listOutputView__TPplistOutputView_ActionConnection_action* listOutputView__TPPplistOutputView_ActionConnection_action;
typedef struct listOutputView__TPplistOutputView_ActionConnection_imageName* listOutputView__TPPplistOutputView_ActionConnection_imageName;
typedef struct listOutputView__TPplistOutputView_ActionConnection_text* listOutputView__TPPplistOutputView_ActionConnection_text;
typedef struct listOutputView__TPplistOutputView_ActionConnection_actualParams* listOutputView__TPPplistOutputView_ActionConnection_actualParams;
typedef struct listOutputView__TPLST_listOutputView_ComputationExpressionplistOutputView_ListOutputActualParam_expression* listOutputView__TPPLST_listOutputView_ComputationExpressionplistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TPLST_listOutputView_ParameterValueExpressionplistOutputView_ListOutputActualParam_expression* listOutputView__TPPLST_listOutputView_ParameterValueExpressionplistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_ListOutputActualParam_expression* listOutputView__TPPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TPLST_listOutputView_ColumnValueExpressionplistOutputView_ListOutputActualParam_expression* listOutputView__TPPLST_listOutputView_ColumnValueExpressionplistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TPLST_listOutputView_ConstantExpressionplistOutputView_ListOutputActualParam_expression* listOutputView__TPPLST_listOutputView_ConstantExpressionplistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TPLST_listOutputView_PredefinedExpressionplistOutputView_ListOutputActualParam_expression* listOutputView__TPPLST_listOutputView_PredefinedExpressionplistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TPLST_listOutputView_UnaryExpressionplistOutputView_ListOutputActualParam_expression* listOutputView__TPPLST_listOutputView_UnaryExpressionplistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TPLST_listOutputView_BinaryExpressionplistOutputView_ListOutputActualParam_expression* listOutputView__TPPLST_listOutputView_BinaryExpressionplistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TPLST_listOutputView_WebNodeSessionExpressionplistOutputView_DataSourceActualParam_expressions* listOutputView__TPPLST_listOutputView_WebNodeSessionExpressionplistOutputView_DataSourceActualParam_expressions;
typedef struct listOutputView__TPLST_listOutputView_WebNodeVariableExpressionplistOutputView_DataSourceActualParam_expressions* listOutputView__TPPLST_listOutputView_WebNodeVariableExpressionplistOutputView_DataSourceActualParam_expressions;
typedef struct listOutputView__TPLST_listOutputView_WebNodeConstantExpressionplistOutputView_DataSourceActualParam_expressions* listOutputView__TPPLST_listOutputView_WebNodeConstantExpressionplistOutputView_DataSourceActualParam_expressions;
typedef struct listOutputView__TPLST_listOutputView_ComputationExpressionplistOutputView_BinaryExpression_leftOperand* listOutputView__TPPLST_listOutputView_ComputationExpressionplistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TPLST_listOutputView_ParameterValueExpressionplistOutputView_BinaryExpression_leftOperand* listOutputView__TPPLST_listOutputView_ParameterValueExpressionplistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_BinaryExpression_leftOperand* listOutputView__TPPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TPLST_listOutputView_ColumnValueExpressionplistOutputView_BinaryExpression_leftOperand* listOutputView__TPPLST_listOutputView_ColumnValueExpressionplistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TPLST_listOutputView_ConstantExpressionplistOutputView_BinaryExpression_leftOperand* listOutputView__TPPLST_listOutputView_ConstantExpressionplistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TPLST_listOutputView_PredefinedExpressionplistOutputView_BinaryExpression_leftOperand* listOutputView__TPPLST_listOutputView_PredefinedExpressionplistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TPLST_listOutputView_UnaryExpressionplistOutputView_BinaryExpression_leftOperand* listOutputView__TPPLST_listOutputView_UnaryExpressionplistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TPLST_listOutputView_BinaryExpressionplistOutputView_BinaryExpression_leftOperand* listOutputView__TPPLST_listOutputView_BinaryExpressionplistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TPLST_listOutputView_ComputationExpressionplistOutputView_BinaryExpression_rightOperand* listOutputView__TPPLST_listOutputView_ComputationExpressionplistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TPLST_listOutputView_ParameterValueExpressionplistOutputView_BinaryExpression_rightOperand* listOutputView__TPPLST_listOutputView_ParameterValueExpressionplistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_BinaryExpression_rightOperand* listOutputView__TPPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TPLST_listOutputView_ColumnValueExpressionplistOutputView_BinaryExpression_rightOperand* listOutputView__TPPLST_listOutputView_ColumnValueExpressionplistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TPLST_listOutputView_ConstantExpressionplistOutputView_BinaryExpression_rightOperand* listOutputView__TPPLST_listOutputView_ConstantExpressionplistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TPLST_listOutputView_PredefinedExpressionplistOutputView_BinaryExpression_rightOperand* listOutputView__TPPLST_listOutputView_PredefinedExpressionplistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TPLST_listOutputView_UnaryExpressionplistOutputView_BinaryExpression_rightOperand* listOutputView__TPPLST_listOutputView_UnaryExpressionplistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TPLST_listOutputView_BinaryExpressionplistOutputView_BinaryExpression_rightOperand* listOutputView__TPPLST_listOutputView_BinaryExpressionplistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TPLST_listOutputView_ComputationExpressionplistOutputView_UnaryExpression_operand* listOutputView__TPPLST_listOutputView_ComputationExpressionplistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TPLST_listOutputView_ParameterValueExpressionplistOutputView_UnaryExpression_operand* listOutputView__TPPLST_listOutputView_ParameterValueExpressionplistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_UnaryExpression_operand* listOutputView__TPPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TPLST_listOutputView_ColumnValueExpressionplistOutputView_UnaryExpression_operand* listOutputView__TPPLST_listOutputView_ColumnValueExpressionplistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TPLST_listOutputView_ConstantExpressionplistOutputView_UnaryExpression_operand* listOutputView__TPPLST_listOutputView_ConstantExpressionplistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TPLST_listOutputView_PredefinedExpressionplistOutputView_UnaryExpression_operand* listOutputView__TPPLST_listOutputView_PredefinedExpressionplistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TPLST_listOutputView_UnaryExpressionplistOutputView_UnaryExpression_operand* listOutputView__TPPLST_listOutputView_UnaryExpressionplistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TPLST_listOutputView_BinaryExpressionplistOutputView_UnaryExpression_operand* listOutputView__TPPLST_listOutputView_BinaryExpressionplistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TPLST_listOutputView_JoinModifierplistOutputView_WebNodeConstantExpression_modifier* listOutputView__TPPLST_listOutputView_JoinModifierplistOutputView_WebNodeConstantExpression_modifier;
typedef struct listOutputView__TPLST_listOutputView_MD5ModifierplistOutputView_WebNodeConstantExpression_modifier* listOutputView__TPPLST_listOutputView_MD5ModifierplistOutputView_WebNodeConstantExpression_modifier;
typedef struct listOutputView__TPLST_listOutputView_JoinModifierplistOutputView_WebNodeVariableExpression_modifier* listOutputView__TPPLST_listOutputView_JoinModifierplistOutputView_WebNodeVariableExpression_modifier;
typedef struct listOutputView__TPLST_listOutputView_MD5ModifierplistOutputView_WebNodeVariableExpression_modifier* listOutputView__TPPLST_listOutputView_MD5ModifierplistOutputView_WebNodeVariableExpression_modifier;
typedef struct listOutputView__TPLST_listOutputView_JoinModifierplistOutputView_WebNodeSessionExpression_modifier* listOutputView__TPPLST_listOutputView_JoinModifierplistOutputView_WebNodeSessionExpression_modifier;
typedef struct listOutputView__TPLST_listOutputView_MD5ModifierplistOutputView_WebNodeSessionExpression_modifier* listOutputView__TPPLST_listOutputView_MD5ModifierplistOutputView_WebNodeSessionExpression_modifier;
typedef struct listOutputView__TPLST_listOutputView_DataSourceActualParamplistOutputView_ListOutputElement_dataSourceActualParams* listOutputView__TPPLST_listOutputView_DataSourceActualParamplistOutputView_ListOutputElement_dataSourceActualParams;
typedef struct listOutputView__TPLST_listOutputView_ListOutputColumnplistOutputView_ListOutputElement_columns* listOutputView__TPPLST_listOutputView_ListOutputColumnplistOutputView_ListOutputElement_columns;
typedef struct listOutputView__TPLST_listOutputView_ListOutputActionConnectionsContentplistOutputView_ListOutputColumn_content* listOutputView__TPPLST_listOutputView_ListOutputActionConnectionsContentplistOutputView_ListOutputColumn_content;
typedef struct listOutputView__TPLST_listOutputView_ListOutputNumerationContentplistOutputView_ListOutputColumn_content* listOutputView__TPPLST_listOutputView_ListOutputNumerationContentplistOutputView_ListOutputColumn_content;
typedef struct listOutputView__TPLST_listOutputView_ListOutputProjectionContentplistOutputView_ListOutputColumn_content* listOutputView__TPPLST_listOutputView_ListOutputProjectionContentplistOutputView_ListOutputColumn_content;
typedef struct listOutputView__TPLST_listOutputView_ListOutputRefContentplistOutputView_ListOutputColumn_content* listOutputView__TPPLST_listOutputView_ListOutputRefContentplistOutputView_ListOutputColumn_content;
typedef struct listOutputView__TPLST_listOutputView_ListOutputConstantContentplistOutputView_ListOutputColumn_content* listOutputView__TPPLST_listOutputView_ListOutputConstantContentplistOutputView_ListOutputColumn_content;
typedef struct listOutputView__TPLST_listOutputView_ActionConnectionplistOutputView_ListOutputActionConnectionsContent_actionConnections* listOutputView__TPPLST_listOutputView_ActionConnectionplistOutputView_ListOutputActionConnectionsContent_actionConnections;
typedef struct listOutputView__TPLST_listOutputView_ListOutputActualParamplistOutputView_ActionConnection_actualParams* listOutputView__TPPLST_listOutputView_ListOutputActualParamplistOutputView_ActionConnection_actualParams;
typedef struct listOutputView__TPLST_0plistOutputView_ListOutputActualParam_expression* listOutputView__TPPLST_0plistOutputView_ListOutputActualParam_expression;
typedef struct listOutputView__TPLST_0plistOutputView_DataSourceActualParam_expressions* listOutputView__TPPLST_0plistOutputView_DataSourceActualParam_expressions;
typedef struct listOutputView__TPLST_0plistOutputView_BinaryExpression_leftOperand* listOutputView__TPPLST_0plistOutputView_BinaryExpression_leftOperand;
typedef struct listOutputView__TPLST_0plistOutputView_BinaryExpression_rightOperand* listOutputView__TPPLST_0plistOutputView_BinaryExpression_rightOperand;
typedef struct listOutputView__TPLST_0plistOutputView_UnaryExpression_operand* listOutputView__TPPLST_0plistOutputView_UnaryExpression_operand;
typedef struct listOutputView__TPLST_0plistOutputView_WebNodeConstantExpression_modifier* listOutputView__TPPLST_0plistOutputView_WebNodeConstantExpression_modifier;
typedef struct listOutputView__TPLST_0plistOutputView_WebNodeVariableExpression_modifier* listOutputView__TPPLST_0plistOutputView_WebNodeVariableExpression_modifier;
typedef struct listOutputView__TPLST_0plistOutputView_WebNodeSessionExpression_modifier* listOutputView__TPPLST_0plistOutputView_WebNodeSessionExpression_modifier;
typedef struct listOutputView__TPLST_0plistOutputView_ListOutputElement_dataSourceActualParams* listOutputView__TPPLST_0plistOutputView_ListOutputElement_dataSourceActualParams;
typedef struct listOutputView__TPLST_0plistOutputView_ListOutputElement_columns* listOutputView__TPPLST_0plistOutputView_ListOutputElement_columns;
typedef struct listOutputView__TPLST_0plistOutputView_ListOutputColumn_content* listOutputView__TPPLST_0plistOutputView_ListOutputColumn_content;
typedef struct listOutputView__TPLST_0plistOutputView_ListOutputActionConnectionsContent_actionConnections* listOutputView__TPPLST_0plistOutputView_ListOutputActionConnectionsContent_actionConnections;
typedef struct listOutputView__TPLST_0plistOutputView_ActionConnection_actualParams* listOutputView__TPPLST_0plistOutputView_ActionConnection_actualParams;

struct listOutputView__TSVIEWROOT
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_ListOutputElement
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputElementPtr _ATobjPtr;
VLString _ATpers_renderAs;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ListOutputActualParam
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputActualParamPtr _ATobjPtr;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct listOutputView__TSlistOutputView_ListOutputActualParam_formalParam
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ListOutputActualParam_keyword1
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ComputationExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEComputationExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ParameterValueExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEParameterValueExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ProjectionColumnValueExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEProjectionColumnValueExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ColumnValueExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColumnValueExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ConstantExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEConstantExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_PredefinedExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPredefinedExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_UnaryExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEUnaryExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_BinaryExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEBinaryExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_DataSourceActualParam
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceActualParamPtr _ATobjPtr;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct listOutputView__TSlistOutputView_DataSourceActualParam_formalParam
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_DataSourceActualParam_keyword1
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_WebNodeSessionExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeSessionExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_WebNodeVariableExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeVariableExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_WebNodeConstantExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeConstantExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_BinaryExpression_keyword1
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_BinaryExpression_operator
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_BinaryExpression_keyword2
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_UnaryExpression_operator
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_PredefinedExpression_value
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ConstantExpression_keyword1
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ConstantExpression_value
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ConstantExpression_keyword2
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ColumnValueExpression_column
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ProjectionColumnValueExpression_column
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ParameterValueExpression_parameter
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ComputationExpression_computation
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ComputationExpression_keyword1
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ComputationExpression_column
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ComputationExpression_keyword2
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_MD5Modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_JoinModifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJoinModifierPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_JoinModifier_separator
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_WebNodeConstantExpression_value
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_WebNodeVariableExpression_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_WebNodeSessionExpression_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ListOutputElement_styleSheetBlock
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_ListOutputElement_name
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_ListOutputElement_dataSourceActualParams
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
};

struct listOutputView__TSlistOutputView_ListOutputElement_dataSource
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_ListOutputElement_maxNumberOfElements
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_ListOutputElement_renderAs
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_ListOutputElement_navigationElement
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_ListOutputElement_columns
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
};

struct listOutputView__TSlistOutputView_ListOutputElement_headerStyleClass
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_ListOutputElement_evenRowStyleClass
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_ListOutputElement_oddRowStyleClass
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSlistOutputView_ListOutputColumn
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputColumnPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct listOutputView__TSlistOutputView_ListOutputColumn_header
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VisContainerInterface2Ptr _ATcontainerSubElement;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
};

struct listOutputView__TSlistOutputView_ListOutputColumn_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPreferedSize;
int _ATVPContainer_showInsertionPoint;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct listOutputView__TSlistOutputView_ListOutputActionConnectionsContent
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputActionConnectionsContentPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
int _ATVPContainer_showInsertionPoint;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ListOutputNumerationContent
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputNumerationContentPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
int _ATVPContainer_showInsertionPoint;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ListOutputProjectionContent
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputProjectionContentPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
int _ATVPContainer_showInsertionPoint;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ListOutputRefContent
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputRefContentPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
int _ATVPContainer_showInsertionPoint;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ListOutputConstantContent
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputConstantContentPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
int _ATVPContainer_showInsertionPoint;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
};

struct listOutputView__TSlistOutputView_ListOutputConstantContent_value
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
int _ATVPNumberedElement_number;
};

struct listOutputView__TSlistOutputView_ListOutputRefContent_column
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
int _ATVPNumberedElement_number;
};

struct listOutputView__TSlistOutputView_ListOutputProjectionContent_column
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
int _ATVPNumberedElement_number;
};

struct listOutputView__TSlistOutputView_ListOutputNumerationContent_name
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
int _ATVPNumberedElement_number;
};

struct listOutputView__TSlistOutputView_ListOutputActionConnectionsContent_actionConnections
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
int _ATVPNumberedElement_number;
};

struct listOutputView__TSlistOutputView_ActionConnection
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEActionConnectionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
};

struct listOutputView__TSlistOutputView_ActionConnection_action
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct listOutputView__TSlistOutputView_ActionConnection_imageName
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VLString _ATinternalImageName;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct listOutputView__TSlistOutputView_ActionConnection_text
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct listOutputView__TSlistOutputView_ActionConnection_actualParams
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct listOutputView__TSLST_listOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_ListOutputElement_dataSourceActualParams
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_ListOutputElement_columns
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_ListOutputColumn_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_ListOutputActionConnectionsContent_actionConnections
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TSLST_listOutputView_ActionConnection_actualParams
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPpEmpty
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPpVIEWROOT_listOutputView
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ListOutputElement _desc1;
};

struct listOutputView__TPplistOutputView_ListOutputActualParam
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputActualParamPtr _ATobjPtr;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
listOutputView__TSPlistOutputView_ListOutputActualParam_formalParam _desc1;
listOutputView__TSPlistOutputView_ListOutputActualParam_keyword1 _desc2;
listOutputView__TSPlistOutputView_ListOutputActualParam_expression _desc3;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ListOutputActualParam_formalParam
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ListOutputActualParam_keyword1
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
listOutputView__TSPLST_listOutputView_ListOutputActualParam_expression _desc1;
};

struct listOutputView__TPplistOutputView_DataSourceActualParam
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceActualParamPtr _ATobjPtr;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
listOutputView__TSPlistOutputView_DataSourceActualParam_formalParam _desc1;
listOutputView__TSPlistOutputView_DataSourceActualParam_keyword1 _desc2;
listOutputView__TSPlistOutputView_DataSourceActualParam_expressions _desc3;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_DataSourceActualParam_formalParam
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_DataSourceActualParam_keyword1
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
listOutputView__TSPLST_listOutputView_DataSourceActualParam_expressions _desc1;
};

struct listOutputView__TPplistOutputView_BinaryExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEBinaryExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_BinaryExpression_keyword1 _desc1;
listOutputView__TSPlistOutputView_BinaryExpression_leftOperand _desc2;
listOutputView__TSPlistOutputView_BinaryExpression_operator _desc3;
listOutputView__TSPlistOutputView_BinaryExpression_rightOperand _desc4;
listOutputView__TSPlistOutputView_BinaryExpression_keyword2 _desc5;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_BinaryExpression_keyword1
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
listOutputView__TSPLST_listOutputView_BinaryExpression_leftOperand _desc1;
};

struct listOutputView__TPplistOutputView_BinaryExpression_operator
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
listOutputView__TSPLST_listOutputView_BinaryExpression_rightOperand _desc1;
};

struct listOutputView__TPplistOutputView_BinaryExpression_keyword2
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_UnaryExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEUnaryExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_UnaryExpression_operator _desc1;
listOutputView__TSPlistOutputView_UnaryExpression_operand _desc2;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_UnaryExpression_operator
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
listOutputView__TSPLST_listOutputView_UnaryExpression_operand _desc1;
};

struct listOutputView__TPplistOutputView_PredefinedExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPredefinedExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_PredefinedExpression_value _desc1;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_PredefinedExpression_value
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ConstantExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEConstantExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ConstantExpression_keyword1 _desc1;
listOutputView__TSPlistOutputView_ConstantExpression_value _desc2;
listOutputView__TSPlistOutputView_ConstantExpression_keyword2 _desc3;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ConstantExpression_keyword1
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ConstantExpression_value
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ConstantExpression_keyword2
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ColumnValueExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColumnValueExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ColumnValueExpression_column _desc1;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ColumnValueExpression_column
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ProjectionColumnValueExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEProjectionColumnValueExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ProjectionColumnValueExpression_column _desc1;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ProjectionColumnValueExpression_column
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ParameterValueExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEParameterValueExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ParameterValueExpression_parameter _desc1;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ParameterValueExpression_parameter
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ComputationExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEComputationExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ComputationExpression_computation _desc1;
listOutputView__TSPlistOutputView_ComputationExpression_keyword1 _desc2;
listOutputView__TSPlistOutputView_ComputationExpression_column _desc3;
listOutputView__TSPlistOutputView_ComputationExpression_keyword2 _desc4;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ComputationExpression_computation
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ComputationExpression_keyword1
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ComputationExpression_column
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ComputationExpression_keyword2
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_MD5Modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_JoinModifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJoinModifierPtr _ATobjPtr;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_JoinModifier_separator _desc1;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_JoinModifier_separator
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPplistOutputView_WebNodeConstantExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeConstantExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_WebNodeConstantExpression_modifier _desc1;
listOutputView__TSPlistOutputView_WebNodeConstantExpression_value _desc2;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPLST_listOutputView_WebNodeConstantExpression_modifier _desc1;
};

struct listOutputView__TPplistOutputView_WebNodeConstantExpression_value
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_WebNodeVariableExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeVariableExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_WebNodeVariableExpression_modifier _desc1;
listOutputView__TSPlistOutputView_WebNodeVariableExpression_content _desc2;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPLST_listOutputView_WebNodeVariableExpression_modifier _desc1;
};

struct listOutputView__TPplistOutputView_WebNodeVariableExpression_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_WebNodeSessionExpression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeSessionExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_WebNodeSessionExpression_modifier _desc1;
listOutputView__TSPlistOutputView_WebNodeSessionExpression_content _desc2;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPLST_listOutputView_WebNodeSessionExpression_modifier _desc1;
};

struct listOutputView__TPplistOutputView_WebNodeSessionExpression_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct listOutputView__TPplistOutputView_ListOutputElement
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputElementPtr _ATobjPtr;
VLString _ATpers_renderAs;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ListOutputElement_styleSheetBlock _desc1;
listOutputView__TSPlistOutputView_ListOutputElement_name _desc2;
listOutputView__TSPlistOutputView_ListOutputElement_dataSourceActualParams _desc3;
listOutputView__TSPlistOutputView_ListOutputElement_dataSource _desc4;
listOutputView__TSPlistOutputView_ListOutputElement_maxNumberOfElements _desc5;
listOutputView__TSPlistOutputView_ListOutputElement_renderAs _desc6;
listOutputView__TSPlistOutputView_ListOutputElement_navigationElement _desc7;
listOutputView__TSPlistOutputView_ListOutputElement_columns _desc8;
listOutputView__TSPlistOutputView_ListOutputElement_headerStyleClass _desc9;
listOutputView__TSPlistOutputView_ListOutputElement_evenRowStyleClass _desc10;
listOutputView__TSPlistOutputView_ListOutputElement_oddRowStyleClass _desc11;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ListOutputElement_styleSheetBlock
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPplistOutputView_ListOutputElement_name
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPplistOutputView_ListOutputElement_dataSourceActualParams
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
listOutputView__TSPLST_listOutputView_ListOutputElement_dataSourceActualParams _desc1;
};

struct listOutputView__TPplistOutputView_ListOutputElement_dataSource
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPplistOutputView_ListOutputElement_maxNumberOfElements
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPplistOutputView_ListOutputElement_renderAs
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPplistOutputView_ListOutputElement_navigationElement
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPplistOutputView_ListOutputElement_columns
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
listOutputView__TSPLST_listOutputView_ListOutputElement_columns _desc1;
};

struct listOutputView__TPplistOutputView_ListOutputElement_headerStyleClass
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPplistOutputView_ListOutputElement_evenRowStyleClass
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPplistOutputView_ListOutputElement_oddRowStyleClass
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct listOutputView__TPplistOutputView_ListOutputColumn
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputColumnPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
listOutputView__TSPlistOutputView_ListOutputColumn_header _desc1;
listOutputView__TSPlistOutputView_ListOutputColumn_content _desc2;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ListOutputColumn_header
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VisContainerInterface2Ptr _ATcontainerSubElement;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
};

struct listOutputView__TPplistOutputView_ListOutputColumn_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPreferedSize;
int _ATVPContainer_showInsertionPoint;
VisContainerInterface2Ptr _ATcontainerSubElement;
listOutputView__TSPLST_listOutputView_ListOutputColumn_content _desc1;
};

struct listOutputView__TPplistOutputView_ListOutputConstantContent
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputConstantContentPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
int _ATVPContainer_showInsertionPoint;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ListOutputConstantContent_value _desc1;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ListOutputConstantContent_value
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
int _ATVPNumberedElement_number;
};

struct listOutputView__TPplistOutputView_ListOutputRefContent
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputRefContentPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
int _ATVPContainer_showInsertionPoint;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ListOutputRefContent_column _desc1;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ListOutputRefContent_column
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
int _ATVPNumberedElement_number;
};

struct listOutputView__TPplistOutputView_ListOutputProjectionContent
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputProjectionContentPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
int _ATVPContainer_showInsertionPoint;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ListOutputProjectionContent_column _desc1;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ListOutputProjectionContent_column
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
int _ATVPNumberedElement_number;
};

struct listOutputView__TPplistOutputView_ListOutputNumerationContent
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputNumerationContentPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
int _ATVPContainer_showInsertionPoint;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ListOutputNumerationContent_name _desc1;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ListOutputNumerationContent_name
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
int _ATVPNumberedElement_number;
};

struct listOutputView__TPplistOutputView_ListOutputActionConnectionsContent
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputActionConnectionsContentPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiActualSize;
VLPoint _ATiPosition;
int _ATVPNumberedList_elementCount;
int _ATVPContainer_showInsertionPoint;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
listOutputView__TSPlistOutputView_ListOutputActionConnectionsContent_actionConnections _desc1;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ListOutputActionConnectionsContent_actionConnections
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
int _ATVPNumberedElement_number;
listOutputView__TSPLST_listOutputView_ListOutputActionConnectionsContent_actionConnections _desc1;
};

struct listOutputView__TPplistOutputView_ActionConnection
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEActionConnectionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
listOutputView__TSPlistOutputView_ActionConnection_action _desc1;
listOutputView__TSPlistOutputView_ActionConnection_imageName _desc2;
listOutputView__TSPlistOutputView_ActionConnection_text _desc3;
listOutputView__TSPlistOutputView_ActionConnection_actualParams _desc4;
int _ATTERM_1;
};

struct listOutputView__TPplistOutputView_ActionConnection_action
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct listOutputView__TPplistOutputView_ActionConnection_imageName
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VLString _ATinternalImageName;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct listOutputView__TPplistOutputView_ActionConnection_text
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct listOutputView__TPplistOutputView_ActionConnection_actualParams
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
listOutputView__TSPLST_listOutputView_ActionConnection_actualParams _desc1;
};

struct listOutputView__TPLST_listOutputView_ComputationExpressionplistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ComputationExpression _desc1;
listOutputView__TSPLST_listOutputView_ListOutputActualParam_expression _desc2;
};

struct listOutputView__TPLST_listOutputView_ParameterValueExpressionplistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ParameterValueExpression _desc1;
listOutputView__TSPLST_listOutputView_ListOutputActualParam_expression _desc2;
};

struct listOutputView__TPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ProjectionColumnValueExpression _desc1;
listOutputView__TSPLST_listOutputView_ListOutputActualParam_expression _desc2;
};

struct listOutputView__TPLST_listOutputView_ColumnValueExpressionplistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ColumnValueExpression _desc1;
listOutputView__TSPLST_listOutputView_ListOutputActualParam_expression _desc2;
};

struct listOutputView__TPLST_listOutputView_ConstantExpressionplistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ConstantExpression _desc1;
listOutputView__TSPLST_listOutputView_ListOutputActualParam_expression _desc2;
};

struct listOutputView__TPLST_listOutputView_PredefinedExpressionplistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_PredefinedExpression _desc1;
listOutputView__TSPLST_listOutputView_ListOutputActualParam_expression _desc2;
};

struct listOutputView__TPLST_listOutputView_UnaryExpressionplistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_UnaryExpression _desc1;
listOutputView__TSPLST_listOutputView_ListOutputActualParam_expression _desc2;
};

struct listOutputView__TPLST_listOutputView_BinaryExpressionplistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_BinaryExpression _desc1;
listOutputView__TSPLST_listOutputView_ListOutputActualParam_expression _desc2;
};

struct listOutputView__TPLST_listOutputView_WebNodeSessionExpressionplistOutputView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_WebNodeSessionExpression _desc1;
listOutputView__TSPLST_listOutputView_DataSourceActualParam_expressions _desc2;
};

struct listOutputView__TPLST_listOutputView_WebNodeVariableExpressionplistOutputView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_WebNodeVariableExpression _desc1;
listOutputView__TSPLST_listOutputView_DataSourceActualParam_expressions _desc2;
};

struct listOutputView__TPLST_listOutputView_WebNodeConstantExpressionplistOutputView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_WebNodeConstantExpression _desc1;
listOutputView__TSPLST_listOutputView_DataSourceActualParam_expressions _desc2;
};

struct listOutputView__TPLST_listOutputView_ComputationExpressionplistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ComputationExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_leftOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_ParameterValueExpressionplistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ParameterValueExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_leftOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ProjectionColumnValueExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_leftOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_ColumnValueExpressionplistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ColumnValueExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_leftOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_ConstantExpressionplistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ConstantExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_leftOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_PredefinedExpressionplistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_PredefinedExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_leftOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_UnaryExpressionplistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_UnaryExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_leftOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_BinaryExpressionplistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_BinaryExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_leftOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_ComputationExpressionplistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ComputationExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_rightOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_ParameterValueExpressionplistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ParameterValueExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_rightOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ProjectionColumnValueExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_rightOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_ColumnValueExpressionplistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ColumnValueExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_rightOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_ConstantExpressionplistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ConstantExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_rightOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_PredefinedExpressionplistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_PredefinedExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_rightOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_UnaryExpressionplistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_UnaryExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_rightOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_BinaryExpressionplistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_BinaryExpression _desc1;
listOutputView__TSPLST_listOutputView_BinaryExpression_rightOperand _desc2;
};

struct listOutputView__TPLST_listOutputView_ComputationExpressionplistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ComputationExpression _desc1;
listOutputView__TSPLST_listOutputView_UnaryExpression_operand _desc2;
};

struct listOutputView__TPLST_listOutputView_ParameterValueExpressionplistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ParameterValueExpression _desc1;
listOutputView__TSPLST_listOutputView_UnaryExpression_operand _desc2;
};

struct listOutputView__TPLST_listOutputView_ProjectionColumnValueExpressionplistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ProjectionColumnValueExpression _desc1;
listOutputView__TSPLST_listOutputView_UnaryExpression_operand _desc2;
};

struct listOutputView__TPLST_listOutputView_ColumnValueExpressionplistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ColumnValueExpression _desc1;
listOutputView__TSPLST_listOutputView_UnaryExpression_operand _desc2;
};

struct listOutputView__TPLST_listOutputView_ConstantExpressionplistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ConstantExpression _desc1;
listOutputView__TSPLST_listOutputView_UnaryExpression_operand _desc2;
};

struct listOutputView__TPLST_listOutputView_PredefinedExpressionplistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_PredefinedExpression _desc1;
listOutputView__TSPLST_listOutputView_UnaryExpression_operand _desc2;
};

struct listOutputView__TPLST_listOutputView_UnaryExpressionplistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_UnaryExpression _desc1;
listOutputView__TSPLST_listOutputView_UnaryExpression_operand _desc2;
};

struct listOutputView__TPLST_listOutputView_BinaryExpressionplistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_BinaryExpression _desc1;
listOutputView__TSPLST_listOutputView_UnaryExpression_operand _desc2;
};

struct listOutputView__TPLST_listOutputView_JoinModifierplistOutputView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_JoinModifier _desc1;
listOutputView__TSPLST_listOutputView_WebNodeConstantExpression_modifier _desc2;
};

struct listOutputView__TPLST_listOutputView_MD5ModifierplistOutputView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_MD5Modifier _desc1;
listOutputView__TSPLST_listOutputView_WebNodeConstantExpression_modifier _desc2;
};

struct listOutputView__TPLST_listOutputView_JoinModifierplistOutputView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_JoinModifier _desc1;
listOutputView__TSPLST_listOutputView_WebNodeVariableExpression_modifier _desc2;
};

struct listOutputView__TPLST_listOutputView_MD5ModifierplistOutputView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_MD5Modifier _desc1;
listOutputView__TSPLST_listOutputView_WebNodeVariableExpression_modifier _desc2;
};

struct listOutputView__TPLST_listOutputView_JoinModifierplistOutputView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_JoinModifier _desc1;
listOutputView__TSPLST_listOutputView_WebNodeSessionExpression_modifier _desc2;
};

struct listOutputView__TPLST_listOutputView_MD5ModifierplistOutputView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_MD5Modifier _desc1;
listOutputView__TSPLST_listOutputView_WebNodeSessionExpression_modifier _desc2;
};

struct listOutputView__TPLST_listOutputView_DataSourceActualParamplistOutputView_ListOutputElement_dataSourceActualParams
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_DataSourceActualParam _desc1;
listOutputView__TSPLST_listOutputView_ListOutputElement_dataSourceActualParams _desc2;
};

struct listOutputView__TPLST_listOutputView_ListOutputColumnplistOutputView_ListOutputElement_columns
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ListOutputColumn _desc1;
listOutputView__TSPLST_listOutputView_ListOutputElement_columns _desc2;
};

struct listOutputView__TPLST_listOutputView_ListOutputActionConnectionsContentplistOutputView_ListOutputColumn_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ListOutputActionConnectionsContent _desc1;
listOutputView__TSPLST_listOutputView_ListOutputColumn_content _desc2;
};

struct listOutputView__TPLST_listOutputView_ListOutputNumerationContentplistOutputView_ListOutputColumn_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ListOutputNumerationContent _desc1;
listOutputView__TSPLST_listOutputView_ListOutputColumn_content _desc2;
};

struct listOutputView__TPLST_listOutputView_ListOutputProjectionContentplistOutputView_ListOutputColumn_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ListOutputProjectionContent _desc1;
listOutputView__TSPLST_listOutputView_ListOutputColumn_content _desc2;
};

struct listOutputView__TPLST_listOutputView_ListOutputRefContentplistOutputView_ListOutputColumn_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ListOutputRefContent _desc1;
listOutputView__TSPLST_listOutputView_ListOutputColumn_content _desc2;
};

struct listOutputView__TPLST_listOutputView_ListOutputConstantContentplistOutputView_ListOutputColumn_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ListOutputConstantContent _desc1;
listOutputView__TSPLST_listOutputView_ListOutputColumn_content _desc2;
};

struct listOutputView__TPLST_listOutputView_ActionConnectionplistOutputView_ListOutputActionConnectionsContent_actionConnections
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ActionConnection _desc1;
listOutputView__TSPLST_listOutputView_ListOutputActionConnectionsContent_actionConnections _desc2;
};

struct listOutputView__TPLST_listOutputView_ListOutputActualParamplistOutputView_ActionConnection_actualParams
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
listOutputView__TSPlistOutputView_ListOutputActualParam _desc1;
listOutputView__TSPLST_listOutputView_ActionConnection_actualParams _desc2;
};

struct listOutputView__TPLST_0plistOutputView_ListOutputActualParam_expression
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_UnaryExpression_operand
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_ListOutputElement_dataSourceActualParams
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_ListOutputElement_columns
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_ListOutputColumn_content
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_ListOutputActionConnectionsContent_actionConnections
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct listOutputView__TPLST_0plistOutputView_ActionConnection_actualParams
#ifdef __cplusplus
	: public listOutputView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
