
/* interface of tree construction functions */

#ifndef metaInformation_TREECON_H
#define metaInformation_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "metaInformation_nodeptr.h"

#include "HEAD.h"


extern void metaInformation_InitTree ELI_ARG((void));

extern void metaInformation_FreeTree ELI_ARG((void));

extern NODEPTR metaInformation_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword3 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformation_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword4 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_property ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR metaInformation_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR metaInformation_MkpVIEWROOT_metaInformation ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword3 ELI_ARG((POSITION *_coordref));
#define metaInformation_Mk0pmetaInformation_MetaInformation_elements(_coordref) NULLNODEPTR
extern NODEPTR metaInformation_Mk2pmetaInformation_MetaInformation_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformation_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword4 ELI_ARG((POSITION *_coordref));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_property ELI_ARG((POSITION *_coordref));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_value ELI_ARG((POSITION *_coordref));
extern NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_keyword2 ELI_ARG((POSITION *_coordref));
#define metaInformation_MkID(pos,val) (val)
#endif
