
/* interface of tree construction functions */

#ifndef optionsView_TREECON_H
#define optionsView_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "optionsView_nodeptr.h"

#include "HEAD.h"


extern void optionsView_InitTree ELI_ARG((void));

extern void optionsView_FreeTree ELI_ARG((void));

extern NODEPTR optionsView_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_FormularConstantSelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_FormularConstantSelectOption_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_FormularConstantSelectOption_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_FormularConstantSelectOption_keyword3 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_SelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_SelectOption_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_SelectOption_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_SelectOption_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_SelectOption_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkoptionsView_SelectOption_keyword3 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR optionsView_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR optionsView_MkpVIEWROOT_optionsView ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR optionsView_MkpoptionsView_FormularConstantSelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR optionsView_MkpoptionsView_FormularConstantSelectOption_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR optionsView_MkpoptionsView_FormularConstantSelectOption_keyword2 ELI_ARG((POSITION *_coordref));
#define optionsView_Mk0poptionsView_FormularConstantSelectOption_options(_coordref) NULLNODEPTR
extern NODEPTR optionsView_Mk2poptionsView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR optionsView_MkpoptionsView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR optionsView_MkpoptionsView_FormularConstantSelectOption_keyword3 ELI_ARG((POSITION *_coordref));
extern NODEPTR optionsView_MkpoptionsView_SelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR optionsView_MkpoptionsView_SelectOption_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR optionsView_MkpoptionsView_SelectOption_value ELI_ARG((POSITION *_coordref));
extern NODEPTR optionsView_MkpoptionsView_SelectOption_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR optionsView_MkpoptionsView_SelectOption_label ELI_ARG((POSITION *_coordref));
extern NODEPTR optionsView_MkpoptionsView_SelectOption_keyword3 ELI_ARG((POSITION *_coordref));
#define optionsView_MkID(pos,val) (val)
#endif
