
/* definition of tree node structure */

#ifndef sspDlg_NODE_H
#define sspDlg_NODE_H
#include "err.h"
#include "sspDlg_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef sspDlg_NODEPTRSUBSTRUCT
#define sspDlg_NODEPTRSUBSTRUCT
struct sspDlg_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct sspDlg__TSVIEWROOT* sspDlg__TSPVIEWROOT;
typedef struct sspDlg__TSsspDlg_StyleSheetPair* sspDlg__TSPsspDlg_StyleSheetPair;
typedef struct sspDlg__TSsspDlg_StyleSheetPair_category* sspDlg__TSPsspDlg_StyleSheetPair_category;
typedef struct sspDlg__TSsspDlg_StyleSheetPair_attribute* sspDlg__TSPsspDlg_StyleSheetPair_attribute;
typedef struct sspDlg__TSsspDlg_StyleSheetPair_valueCategory* sspDlg__TSPsspDlg_StyleSheetPair_valueCategory;
typedef struct sspDlg__TSsspDlg_StyleSheetPair_value* sspDlg__TSPsspDlg_StyleSheetPair_value;
typedef struct sspDlg__TSsspDlg_CustomValue* sspDlg__TSPsspDlg_CustomValue;
typedef struct sspDlg__TSsspDlg_ListValue* sspDlg__TSPsspDlg_ListValue;
typedef struct sspDlg__TSsspDlg_AlignmentValue* sspDlg__TSPsspDlg_AlignmentValue;
typedef struct sspDlg__TSsspDlg_HeadingValue* sspDlg__TSPsspDlg_HeadingValue;
typedef struct sspDlg__TSsspDlg_StyleValue* sspDlg__TSPsspDlg_StyleValue;
typedef struct sspDlg__TSsspDlg_FamilyValue* sspDlg__TSPsspDlg_FamilyValue;
typedef struct sspDlg__TSsspDlg_ColorValue* sspDlg__TSPsspDlg_ColorValue;
typedef struct sspDlg__TSsspDlg_SizeValue* sspDlg__TSPsspDlg_SizeValue;
typedef struct sspDlg__TSsspDlg_SizeValue_measure* sspDlg__TSPsspDlg_SizeValue_measure;
typedef struct sspDlg__TSsspDlg_SizeValue_value* sspDlg__TSPsspDlg_SizeValue_value;
typedef struct sspDlg__TSsspDlg_ColorValue_color* sspDlg__TSPsspDlg_ColorValue_color;
typedef struct sspDlg__TSsspDlg_FamilyValue_family* sspDlg__TSPsspDlg_FamilyValue_family;
typedef struct sspDlg__TSsspDlg_StyleValue_style* sspDlg__TSPsspDlg_StyleValue_style;
typedef struct sspDlg__TSsspDlg_HeadingValue_heading* sspDlg__TSPsspDlg_HeadingValue_heading;
typedef struct sspDlg__TSsspDlg_AlignmentValue_alignment* sspDlg__TSPsspDlg_AlignmentValue_alignment;
typedef struct sspDlg__TSsspDlg_ListValue_listed* sspDlg__TSPsspDlg_ListValue_listed;
typedef struct sspDlg__TSsspDlg_CustomValue_value* sspDlg__TSPsspDlg_CustomValue_value;
typedef struct sspDlg__TSLST_sspDlg_StyleSheetPair_value* sspDlg__TSPLST_sspDlg_StyleSheetPair_value;
typedef struct sspDlg__TPpEmpty* sspDlg__TPPpEmpty;
typedef struct sspDlg__TPpVIEWROOT_sspDlg* sspDlg__TPPpVIEWROOT_sspDlg;
typedef struct sspDlg__TPpsspDlg_StyleSheetPair* sspDlg__TPPpsspDlg_StyleSheetPair;
typedef struct sspDlg__TPpsspDlg_StyleSheetPair_category* sspDlg__TPPpsspDlg_StyleSheetPair_category;
typedef struct sspDlg__TPpsspDlg_StyleSheetPair_attribute* sspDlg__TPPpsspDlg_StyleSheetPair_attribute;
typedef struct sspDlg__TPpsspDlg_StyleSheetPair_valueCategory* sspDlg__TPPpsspDlg_StyleSheetPair_valueCategory;
typedef struct sspDlg__TPpsspDlg_StyleSheetPair_value* sspDlg__TPPpsspDlg_StyleSheetPair_value;
typedef struct sspDlg__TPpsspDlg_SizeValue* sspDlg__TPPpsspDlg_SizeValue;
typedef struct sspDlg__TPpsspDlg_SizeValue_measure* sspDlg__TPPpsspDlg_SizeValue_measure;
typedef struct sspDlg__TPpsspDlg_SizeValue_value* sspDlg__TPPpsspDlg_SizeValue_value;
typedef struct sspDlg__TPpsspDlg_ColorValue* sspDlg__TPPpsspDlg_ColorValue;
typedef struct sspDlg__TPpsspDlg_ColorValue_color* sspDlg__TPPpsspDlg_ColorValue_color;
typedef struct sspDlg__TPpsspDlg_FamilyValue* sspDlg__TPPpsspDlg_FamilyValue;
typedef struct sspDlg__TPpsspDlg_FamilyValue_family* sspDlg__TPPpsspDlg_FamilyValue_family;
typedef struct sspDlg__TPpsspDlg_StyleValue* sspDlg__TPPpsspDlg_StyleValue;
typedef struct sspDlg__TPpsspDlg_StyleValue_style* sspDlg__TPPpsspDlg_StyleValue_style;
typedef struct sspDlg__TPpsspDlg_HeadingValue* sspDlg__TPPpsspDlg_HeadingValue;
typedef struct sspDlg__TPpsspDlg_HeadingValue_heading* sspDlg__TPPpsspDlg_HeadingValue_heading;
typedef struct sspDlg__TPpsspDlg_AlignmentValue* sspDlg__TPPpsspDlg_AlignmentValue;
typedef struct sspDlg__TPpsspDlg_AlignmentValue_alignment* sspDlg__TPPpsspDlg_AlignmentValue_alignment;
typedef struct sspDlg__TPpsspDlg_ListValue* sspDlg__TPPpsspDlg_ListValue;
typedef struct sspDlg__TPpsspDlg_ListValue_listed* sspDlg__TPPpsspDlg_ListValue_listed;
typedef struct sspDlg__TPpsspDlg_CustomValue* sspDlg__TPPpsspDlg_CustomValue;
typedef struct sspDlg__TPpsspDlg_CustomValue_value* sspDlg__TPPpsspDlg_CustomValue_value;
typedef struct sspDlg__TPLST_sspDlg_CustomValuepsspDlg_StyleSheetPair_value* sspDlg__TPPLST_sspDlg_CustomValuepsspDlg_StyleSheetPair_value;
typedef struct sspDlg__TPLST_sspDlg_ListValuepsspDlg_StyleSheetPair_value* sspDlg__TPPLST_sspDlg_ListValuepsspDlg_StyleSheetPair_value;
typedef struct sspDlg__TPLST_sspDlg_AlignmentValuepsspDlg_StyleSheetPair_value* sspDlg__TPPLST_sspDlg_AlignmentValuepsspDlg_StyleSheetPair_value;
typedef struct sspDlg__TPLST_sspDlg_HeadingValuepsspDlg_StyleSheetPair_value* sspDlg__TPPLST_sspDlg_HeadingValuepsspDlg_StyleSheetPair_value;
typedef struct sspDlg__TPLST_sspDlg_StyleValuepsspDlg_StyleSheetPair_value* sspDlg__TPPLST_sspDlg_StyleValuepsspDlg_StyleSheetPair_value;
typedef struct sspDlg__TPLST_sspDlg_FamilyValuepsspDlg_StyleSheetPair_value* sspDlg__TPPLST_sspDlg_FamilyValuepsspDlg_StyleSheetPair_value;
typedef struct sspDlg__TPLST_sspDlg_ColorValuepsspDlg_StyleSheetPair_value* sspDlg__TPPLST_sspDlg_ColorValuepsspDlg_StyleSheetPair_value;
typedef struct sspDlg__TPLST_sspDlg_SizeValuepsspDlg_StyleSheetPair_value* sspDlg__TPPLST_sspDlg_SizeValuepsspDlg_StyleSheetPair_value;
typedef struct sspDlg__TPLST_0psspDlg_StyleSheetPair_value* sspDlg__TPPLST_0psspDlg_StyleSheetPair_value;

struct sspDlg__TSVIEWROOT
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct sspDlg__TSsspDlg_StyleSheetPair
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleSheetPairPtr _ATobjPtr;
VLString _ATpers_category;
VLObjectPointer _ATobjId;
int _ATlabelWidth;
};

struct sspDlg__TSsspDlg_StyleSheetPair_category
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct sspDlg__TSsspDlg_StyleSheetPair_attribute
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct sspDlg__TSsspDlg_StyleSheetPair_valueCategory
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct sspDlg__TSsspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct sspDlg__TSsspDlg_CustomValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MECustomValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct sspDlg__TSsspDlg_ListValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct sspDlg__TSsspDlg_AlignmentValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEAlignmentValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct sspDlg__TSsspDlg_HeadingValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHeadingValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct sspDlg__TSsspDlg_StyleValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct sspDlg__TSsspDlg_FamilyValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFamilyValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct sspDlg__TSsspDlg_ColorValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColorValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct sspDlg__TSsspDlg_SizeValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESizeValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct sspDlg__TSsspDlg_SizeValue_measure
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATnodeId;
VLString _ATlabel;
};

struct sspDlg__TSsspDlg_SizeValue_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TSsspDlg_ColorValue_color
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TSsspDlg_FamilyValue_family
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TSsspDlg_StyleValue_style
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TSsspDlg_HeadingValue_heading
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TSsspDlg_AlignmentValue_alignment
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TSsspDlg_ListValue_listed
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TSsspDlg_CustomValue_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TSLST_sspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct sspDlg__TPpEmpty
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct sspDlg__TPpVIEWROOT_sspDlg
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
sspDlg__TSPsspDlg_StyleSheetPair _desc1;
};

struct sspDlg__TPpsspDlg_StyleSheetPair
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleSheetPairPtr _ATobjPtr;
VLString _ATpers_category;
VLObjectPointer _ATobjId;
int _ATlabelWidth;
sspDlg__TSPsspDlg_StyleSheetPair_category _desc1;
sspDlg__TSPsspDlg_StyleSheetPair_attribute _desc2;
sspDlg__TSPsspDlg_StyleSheetPair_valueCategory _desc3;
sspDlg__TSPsspDlg_StyleSheetPair_value _desc4;
int _ATTERM_1;
};

struct sspDlg__TPpsspDlg_StyleSheetPair_category
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct sspDlg__TPpsspDlg_StyleSheetPair_attribute
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct sspDlg__TPpsspDlg_StyleSheetPair_valueCategory
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct sspDlg__TPpsspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
sspDlg__TSPLST_sspDlg_StyleSheetPair_value _desc1;
};

struct sspDlg__TPpsspDlg_SizeValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESizeValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
sspDlg__TSPsspDlg_SizeValue_measure _desc1;
sspDlg__TSPsspDlg_SizeValue_value _desc2;
int _ATTERM_1;
};

struct sspDlg__TPpsspDlg_SizeValue_measure
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATnodeId;
VLString _ATlabel;
};

struct sspDlg__TPpsspDlg_SizeValue_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TPpsspDlg_ColorValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColorValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
sspDlg__TSPsspDlg_ColorValue_color _desc1;
int _ATTERM_1;
};

struct sspDlg__TPpsspDlg_ColorValue_color
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TPpsspDlg_FamilyValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFamilyValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
sspDlg__TSPsspDlg_FamilyValue_family _desc1;
int _ATTERM_1;
};

struct sspDlg__TPpsspDlg_FamilyValue_family
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TPpsspDlg_StyleValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
sspDlg__TSPsspDlg_StyleValue_style _desc1;
int _ATTERM_1;
};

struct sspDlg__TPpsspDlg_StyleValue_style
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TPpsspDlg_HeadingValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHeadingValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
sspDlg__TSPsspDlg_HeadingValue_heading _desc1;
int _ATTERM_1;
};

struct sspDlg__TPpsspDlg_HeadingValue_heading
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TPpsspDlg_AlignmentValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEAlignmentValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
sspDlg__TSPsspDlg_AlignmentValue_alignment _desc1;
int _ATTERM_1;
};

struct sspDlg__TPpsspDlg_AlignmentValue_alignment
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TPpsspDlg_ListValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
sspDlg__TSPsspDlg_ListValue_listed _desc1;
int _ATTERM_1;
};

struct sspDlg__TPpsspDlg_ListValue_listed
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TPpsspDlg_CustomValue
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MECustomValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
sspDlg__TSPsspDlg_CustomValue_value _desc1;
int _ATTERM_1;
};

struct sspDlg__TPpsspDlg_CustomValue_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct sspDlg__TPLST_sspDlg_CustomValuepsspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
sspDlg__TSPsspDlg_CustomValue _desc1;
sspDlg__TSPLST_sspDlg_StyleSheetPair_value _desc2;
};

struct sspDlg__TPLST_sspDlg_ListValuepsspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
sspDlg__TSPsspDlg_ListValue _desc1;
sspDlg__TSPLST_sspDlg_StyleSheetPair_value _desc2;
};

struct sspDlg__TPLST_sspDlg_AlignmentValuepsspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
sspDlg__TSPsspDlg_AlignmentValue _desc1;
sspDlg__TSPLST_sspDlg_StyleSheetPair_value _desc2;
};

struct sspDlg__TPLST_sspDlg_HeadingValuepsspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
sspDlg__TSPsspDlg_HeadingValue _desc1;
sspDlg__TSPLST_sspDlg_StyleSheetPair_value _desc2;
};

struct sspDlg__TPLST_sspDlg_StyleValuepsspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
sspDlg__TSPsspDlg_StyleValue _desc1;
sspDlg__TSPLST_sspDlg_StyleSheetPair_value _desc2;
};

struct sspDlg__TPLST_sspDlg_FamilyValuepsspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
sspDlg__TSPsspDlg_FamilyValue _desc1;
sspDlg__TSPLST_sspDlg_StyleSheetPair_value _desc2;
};

struct sspDlg__TPLST_sspDlg_ColorValuepsspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
sspDlg__TSPsspDlg_ColorValue _desc1;
sspDlg__TSPLST_sspDlg_StyleSheetPair_value _desc2;
};

struct sspDlg__TPLST_sspDlg_SizeValuepsspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
sspDlg__TSPsspDlg_SizeValue _desc1;
sspDlg__TSPLST_sspDlg_StyleSheetPair_value _desc2;
};

struct sspDlg__TPLST_0psspDlg_StyleSheetPair_value
#ifdef __cplusplus
	: public sspDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
