
/* encoding of tree node types and symbols */

#ifndef stylesheetView_NODECODE_H
#define stylesheetView_NODECODE_H

extern int stylesheetView_LHSMAP[];

#define stylesheetView_IsSymb(_n,_c) (stylesheetView_LHSMAP[(_n)->_prod] == (_c))

#define stylesheetView_SYMBVIEWROOT 0
#define stylesheetView_SYMBstylesheetView_StyleSheet 1
#define stylesheetView_SYMBstylesheetView_StyleSheet_name 2
#define stylesheetView_SYMBstylesheetView_StyleSheet_custom 3
#define stylesheetView_SYMBstylesheetView_StyleSheet_default 4
#define stylesheetView_SYMBstylesheetView_CustomStyleSheetBlock 5
#define stylesheetView_SYMBstylesheetView_HtmlStyleSheetBlock 6
#define stylesheetView_SYMBstylesheetView_CustomStyleSheetBlock_pairs 7
#define stylesheetView_SYMBstylesheetView_CustomStyleSheetBlock_name 8
#define stylesheetView_SYMBstylesheetView_StyleSheetPair 9
#define stylesheetView_SYMBstylesheetView_StyleSheetPair_category 10
#define stylesheetView_SYMBstylesheetView_StyleSheetPair_attribute 11
#define stylesheetView_SYMBstylesheetView_StyleSheetPair_valueCategory 12
#define stylesheetView_SYMBstylesheetView_StyleSheetPair_value 13
#define stylesheetView_SYMBstylesheetView_CustomValue 14
#define stylesheetView_SYMBstylesheetView_ListValue 15
#define stylesheetView_SYMBstylesheetView_AlignmentValue 16
#define stylesheetView_SYMBstylesheetView_HeadingValue 17
#define stylesheetView_SYMBstylesheetView_StyleValue 18
#define stylesheetView_SYMBstylesheetView_FamilyValue 19
#define stylesheetView_SYMBstylesheetView_ColorValue 20
#define stylesheetView_SYMBstylesheetView_SizeValue 21
#define stylesheetView_SYMBstylesheetView_SizeValue_measure 22
#define stylesheetView_SYMBstylesheetView_SizeValue_value 23
#define stylesheetView_SYMBstylesheetView_ColorValue_color 24
#define stylesheetView_SYMBstylesheetView_FamilyValue_family 25
#define stylesheetView_SYMBstylesheetView_StyleValue_style 26
#define stylesheetView_SYMBstylesheetView_HeadingValue_heading 27
#define stylesheetView_SYMBstylesheetView_AlignmentValue_alignment 28
#define stylesheetView_SYMBstylesheetView_ListValue_listed 29
#define stylesheetView_SYMBstylesheetView_CustomValue_value 30
#define stylesheetView_SYMBstylesheetView_HtmlStyleSheetBlock_pairs 31
#define stylesheetView_SYMBstylesheetView_HtmlStyleSheetBlock_name 32
#define stylesheetView_SYMBLST_stylesheetView_StyleSheet_custom 33
#define stylesheetView_SYMBLST_stylesheetView_StyleSheet_default 34
#define stylesheetView_SYMBLST_stylesheetView_CustomStyleSheetBlock_pairs 35
#define stylesheetView_SYMBLST_stylesheetView_StyleSheetPair_value 36
#define stylesheetView_SYMBLST_stylesheetView_HtmlStyleSheetBlock_pairs 37
#define stylesheetView_RULELST_0pstylesheetView_HtmlStyleSheetBlock_pairs 0
#define stylesheetView_RULELST_0pstylesheetView_CustomStyleSheetBlock_pairs 1
#define stylesheetView_RULELST_0pstylesheetView_StyleSheet_default 2
#define stylesheetView_RULELST_0pstylesheetView_StyleSheet_custom 3
#define stylesheetView_RULELST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs 4
#define stylesheetView_RULELST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs 5
#define stylesheetView_RULELST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default 6
#define stylesheetView_RULELST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom 7
#define stylesheetView_RULEpstylesheetView_HtmlStyleSheetBlock 8
#define stylesheetView_RULEpstylesheetView_StyleSheetPair 9
#define stylesheetView_RULEpstylesheetView_CustomStyleSheetBlock 10
#define stylesheetView_RULELST_0pstylesheetView_StyleSheetPair_value 11
#define stylesheetView_RULELST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value 12
#define stylesheetView_RULELST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value 13
#define stylesheetView_RULELST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value 14
#define stylesheetView_RULELST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value 15
#define stylesheetView_RULELST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value 16
#define stylesheetView_RULELST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value 17
#define stylesheetView_RULELST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value 18
#define stylesheetView_RULELST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value 19
#define stylesheetView_RULEpstylesheetView_HtmlStyleSheetBlock_name 20
#define stylesheetView_RULEpstylesheetView_HtmlStyleSheetBlock_pairs 21
#define stylesheetView_RULEpstylesheetView_CustomValue 22
#define stylesheetView_RULEpstylesheetView_ListValue 23
#define stylesheetView_RULEpstylesheetView_AlignmentValue 24
#define stylesheetView_RULEpstylesheetView_HeadingValue 25
#define stylesheetView_RULEpstylesheetView_StyleValue 26
#define stylesheetView_RULEpstylesheetView_FamilyValue 27
#define stylesheetView_RULEpstylesheetView_ColorValue 28
#define stylesheetView_RULEpstylesheetView_SizeValue 29
#define stylesheetView_RULEpstylesheetView_StyleSheetPair_value 30
#define stylesheetView_RULEpstylesheetView_StyleSheetPair_attribute 31
#define stylesheetView_RULEpstylesheetView_CustomStyleSheetBlock_name 32
#define stylesheetView_RULEpstylesheetView_CustomStyleSheetBlock_pairs 33
#define stylesheetView_RULEpstylesheetView_StyleSheet_default 34
#define stylesheetView_RULEpstylesheetView_StyleSheet_custom 35
#define stylesheetView_RULEpstylesheetView_CustomValue_value 36
#define stylesheetView_RULEpstylesheetView_ListValue_listed 37
#define stylesheetView_RULEpstylesheetView_AlignmentValue_alignment 38
#define stylesheetView_RULEpstylesheetView_HeadingValue_heading 39
#define stylesheetView_RULEpstylesheetView_StyleValue_style 40
#define stylesheetView_RULEpstylesheetView_FamilyValue_family 41
#define stylesheetView_RULEpstylesheetView_ColorValue_color 42
#define stylesheetView_RULEpstylesheetView_SizeValue_value 43
#define stylesheetView_RULEpstylesheetView_SizeValue_measure 44
#define stylesheetView_RULEpstylesheetView_StyleSheetPair_valueCategory 45
#define stylesheetView_RULEpstylesheetView_StyleSheetPair_category 46
#define stylesheetView_RULEpstylesheetView_StyleSheet_name 47
#define stylesheetView_RULEpstylesheetView_StyleSheet 48
#define stylesheetView_RULEpVIEWROOT_stylesheetView 49
#define stylesheetView_RULEpEmpty 50
#endif
