
/* encoding of tree node types and symbols */

#ifndef webActionView_NODECODE_H
#define webActionView_NODECODE_H

extern int webActionView_LHSMAP[];

#define webActionView_IsSymb(_n,_c) (webActionView_LHSMAP[(_n)->_prod] == (_c))

#define webActionView_SYMBVIEWROOT 0
#define webActionView_SYMBwebActionView_WebAction 1
#define webActionView_SYMBwebActionView_WebNodeFormalParam 2
#define webActionView_SYMBwebActionView_WebNodeFormalParam_name 3
#define webActionView_SYMBwebActionView_WebNodeFormalParam_keyword1 4
#define webActionView_SYMBwebActionView_WebNodeFormalParam_type 5
#define webActionView_SYMBwebActionView_DBBlob 6
#define webActionView_SYMBwebActionView_DBBoolean 7
#define webActionView_SYMBwebActionView_DBTimeStamp 8
#define webActionView_SYMBwebActionView_DBDate 9
#define webActionView_SYMBwebActionView_DBBigInt 10
#define webActionView_SYMBwebActionView_DBDouble 11
#define webActionView_SYMBwebActionView_DBFloat 12
#define webActionView_SYMBwebActionView_DBLong 13
#define webActionView_SYMBwebActionView_DBInteger 14
#define webActionView_SYMBwebActionView_DBText 15
#define webActionView_SYMBwebActionView_DBString 16
#define webActionView_SYMBwebActionView_DBHasMany 17
#define webActionView_SYMBwebActionView_DBHasOne 18
#define webActionView_SYMBwebActionView_WebNodeActualParam 19
#define webActionView_SYMBwebActionView_WebNodeActualParam_formalParam 20
#define webActionView_SYMBwebActionView_WebNodeActualParam_keyword1 21
#define webActionView_SYMBwebActionView_WebNodeActualParam_expressions 22
#define webActionView_SYMBwebActionView_WebNodeSessionExpression 23
#define webActionView_SYMBwebActionView_WebNodeVariableExpression 24
#define webActionView_SYMBwebActionView_WebNodeConstantExpression 25
#define webActionView_SYMBwebActionView_DataSourceActualParam 26
#define webActionView_SYMBwebActionView_DataSourceActualParam_formalParam 27
#define webActionView_SYMBwebActionView_DataSourceActualParam_keyword1 28
#define webActionView_SYMBwebActionView_DataSourceActualParam_expressions 29
#define webActionView_SYMBwebActionView_DBString_keyword1 30
#define webActionView_SYMBwebActionView_DBText_keyword1 31
#define webActionView_SYMBwebActionView_DBInteger_keyword1 32
#define webActionView_SYMBwebActionView_DBLong_keyword1 33
#define webActionView_SYMBwebActionView_DBFloat_keyword1 34
#define webActionView_SYMBwebActionView_DBDouble_keyword1 35
#define webActionView_SYMBwebActionView_DBBigInt_keyword1 36
#define webActionView_SYMBwebActionView_DBDate_keyword1 37
#define webActionView_SYMBwebActionView_DBTimeStamp_keyword1 38
#define webActionView_SYMBwebActionView_DBBoolean_keyword1 39
#define webActionView_SYMBwebActionView_DBBlob_keyword1 40
#define webActionView_SYMBwebActionView_DBHasOne_keyword1 41
#define webActionView_SYMBwebActionView_DBHasOne_dataSourceTable 42
#define webActionView_SYMBwebActionView_DBHasMany_keyword1 43
#define webActionView_SYMBwebActionView_DBHasMany_dataSourceTable 44
#define webActionView_SYMBwebActionView_ActionHandler 45
#define webActionView_SYMBwebActionView_ActionHandler_targetpage 46
#define webActionView_SYMBwebActionView_ActionHandler_params 47
#define webActionView_SYMBwebActionView_WebAction_name 48
#define webActionView_SYMBwebActionView_WebAction_formalParameter 49
#define webActionView_SYMBwebActionView_WebAction_successpage 50
#define webActionView_SYMBwebActionView_WebAction_operations 51
#define webActionView_SYMBwebActionView_WebAction_position 52
#define webActionView_SYMBwebActionView_LoginOperation 53
#define webActionView_SYMBwebActionView_LogoutOperation 54
#define webActionView_SYMBwebActionView_MailingOperation 55
#define webActionView_SYMBwebActionView_JavaOperation 56
#define webActionView_SYMBwebActionView_DataBaseOperation 57
#define webActionView_SYMBwebActionView_DataBaseOperation_errorhandler 58
#define webActionView_SYMBwebActionView_DataBaseOperation_successMessage 59
#define webActionView_SYMBwebActionView_DataBaseOperation_errorMessage 60
#define webActionView_SYMBwebActionView_DataBaseOperation_filter 61
#define webActionView_SYMBwebActionView_DataBaseOperation_params 62
#define webActionView_SYMBwebActionView_JavaOperation_errorhandler 63
#define webActionView_SYMBwebActionView_JavaOperation_successMessage 64
#define webActionView_SYMBwebActionView_JavaOperation_errorMessage 65
#define webActionView_SYMBwebActionView_JavaOperation_content 66
#define webActionView_SYMBwebActionView_MailingOperation_errorhandler 67
#define webActionView_SYMBwebActionView_MailingOperation_successMessage 68
#define webActionView_SYMBwebActionView_MailingOperation_errorMessage 69
#define webActionView_SYMBwebActionView_MailingOperation_name 70
#define webActionView_SYMBwebActionView_MailingOperation_mailTo 71
#define webActionView_SYMBwebActionView_MailingOperation_subject 72
#define webActionView_SYMBwebActionView_MailingOperation_content 73
#define webActionView_SYMBwebActionView_LogoutOperation_errorhandler 74
#define webActionView_SYMBwebActionView_LogoutOperation_successMessage 75
#define webActionView_SYMBwebActionView_LogoutOperation_errorMessage 76
#define webActionView_SYMBwebActionView_LogoutOperation_name 77
#define webActionView_SYMBwebActionView_LoginOperation_errorhandler 78
#define webActionView_SYMBwebActionView_LoginOperation_successMessage 79
#define webActionView_SYMBwebActionView_LoginOperation_errorMessage 80
#define webActionView_SYMBwebActionView_LoginOperation_name 81
#define webActionView_SYMBwebActionView_LoginOperation_userDBColumn 82
#define webActionView_SYMBwebActionView_LoginOperation_passwdDBColumn 83
#define webActionView_SYMBwebActionView_LoginOperation_rolesDBColumn 84
#define webActionView_SYMBwebActionView_LoginOperation_userFormField 85
#define webActionView_SYMBwebActionView_LoginOperation_passwdFormField 86
#define webActionView_SYMBwebActionView_MD5Modifier 87
#define webActionView_SYMBwebActionView_JoinModifier 88
#define webActionView_SYMBwebActionView_JoinModifier_separator 89
#define webActionView_SYMBwebActionView_WebNodeConstantExpression_modifier 90
#define webActionView_SYMBwebActionView_WebNodeConstantExpression_value 91
#define webActionView_SYMBwebActionView_WebNodeVariableExpression_modifier 92
#define webActionView_SYMBwebActionView_WebNodeVariableExpression_content 93
#define webActionView_SYMBwebActionView_WebNodeSessionExpression_modifier 94
#define webActionView_SYMBwebActionView_WebNodeSessionExpression_content 95
#define webActionView_SYMBLST_webActionView_WebNodeFormalParam_type 96
#define webActionView_SYMBLST_webActionView_WebNodeActualParam_expressions 97
#define webActionView_SYMBLST_webActionView_DataSourceActualParam_expressions 98
#define webActionView_SYMBLST_webActionView_ActionHandler_params 99
#define webActionView_SYMBLST_webActionView_WebAction_formalParameter 100
#define webActionView_SYMBLST_webActionView_WebAction_operations 101
#define webActionView_SYMBLST_webActionView_DataBaseOperation_errorhandler 102
#define webActionView_SYMBLST_webActionView_DataBaseOperation_params 103
#define webActionView_SYMBLST_webActionView_JavaOperation_errorhandler 104
#define webActionView_SYMBLST_webActionView_MailingOperation_errorhandler 105
#define webActionView_SYMBLST_webActionView_LogoutOperation_errorhandler 106
#define webActionView_SYMBLST_webActionView_LoginOperation_errorhandler 107
#define webActionView_SYMBLST_webActionView_WebNodeConstantExpression_modifier 108
#define webActionView_SYMBLST_webActionView_WebNodeVariableExpression_modifier 109
#define webActionView_SYMBLST_webActionView_WebNodeSessionExpression_modifier 110
#define webActionView_RULELST_0pwebActionView_LoginOperation_errorhandler 0
#define webActionView_RULELST_0pwebActionView_LogoutOperation_errorhandler 1
#define webActionView_RULELST_0pwebActionView_MailingOperation_errorhandler 2
#define webActionView_RULELST_0pwebActionView_JavaOperation_errorhandler 3
#define webActionView_RULELST_0pwebActionView_DataBaseOperation_params 4
#define webActionView_RULELST_0pwebActionView_DataBaseOperation_errorhandler 5
#define webActionView_RULELST_0pwebActionView_WebAction_operations 6
#define webActionView_RULELST_0pwebActionView_WebAction_formalParameter 7
#define webActionView_RULELST_0pwebActionView_ActionHandler_params 8
#define webActionView_RULELST_webActionView_ActionHandlerpwebActionView_LoginOperation_errorhandler 9
#define webActionView_RULELST_webActionView_ActionHandlerpwebActionView_LogoutOperation_errorhandler 10
#define webActionView_RULELST_webActionView_ActionHandlerpwebActionView_MailingOperation_errorhandler 11
#define webActionView_RULELST_webActionView_ActionHandlerpwebActionView_JavaOperation_errorhandler 12
#define webActionView_RULELST_webActionView_DataSourceActualParampwebActionView_DataBaseOperation_params 13
#define webActionView_RULELST_webActionView_ActionHandlerpwebActionView_DataBaseOperation_errorhandler 14
#define webActionView_RULELST_webActionView_DataBaseOperationpwebActionView_WebAction_operations 15
#define webActionView_RULELST_webActionView_JavaOperationpwebActionView_WebAction_operations 16
#define webActionView_RULELST_webActionView_MailingOperationpwebActionView_WebAction_operations 17
#define webActionView_RULELST_webActionView_LogoutOperationpwebActionView_WebAction_operations 18
#define webActionView_RULELST_webActionView_LoginOperationpwebActionView_WebAction_operations 19
#define webActionView_RULELST_webActionView_WebNodeFormalParampwebActionView_WebAction_formalParameter 20
#define webActionView_RULELST_webActionView_WebNodeActualParampwebActionView_ActionHandler_params 21
#define webActionView_RULEpwebActionView_LoginOperation 22
#define webActionView_RULEpwebActionView_LogoutOperation 23
#define webActionView_RULEpwebActionView_MailingOperation 24
#define webActionView_RULEpwebActionView_JavaOperation 25
#define webActionView_RULEpwebActionView_DataBaseOperation 26
#define webActionView_RULEpwebActionView_ActionHandler 27
#define webActionView_RULEpwebActionView_DataSourceActualParam 28
#define webActionView_RULEpwebActionView_WebNodeActualParam 29
#define webActionView_RULEpwebActionView_WebNodeFormalParam 30
#define webActionView_RULELST_0pwebActionView_DataSourceActualParam_expressions 31
#define webActionView_RULELST_0pwebActionView_WebNodeActualParam_expressions 32
#define webActionView_RULELST_0pwebActionView_WebNodeFormalParam_type 33
#define webActionView_RULELST_webActionView_WebNodeConstantExpressionpwebActionView_DataSourceActualParam_expressions 34
#define webActionView_RULELST_webActionView_WebNodeVariableExpressionpwebActionView_DataSourceActualParam_expressions 35
#define webActionView_RULELST_webActionView_WebNodeSessionExpressionpwebActionView_DataSourceActualParam_expressions 36
#define webActionView_RULELST_webActionView_WebNodeConstantExpressionpwebActionView_WebNodeActualParam_expressions 37
#define webActionView_RULELST_webActionView_WebNodeVariableExpressionpwebActionView_WebNodeActualParam_expressions 38
#define webActionView_RULELST_webActionView_WebNodeSessionExpressionpwebActionView_WebNodeActualParam_expressions 39
#define webActionView_RULELST_webActionView_DBHasOnepwebActionView_WebNodeFormalParam_type 40
#define webActionView_RULELST_webActionView_DBHasManypwebActionView_WebNodeFormalParam_type 41
#define webActionView_RULELST_webActionView_DBStringpwebActionView_WebNodeFormalParam_type 42
#define webActionView_RULELST_webActionView_DBTextpwebActionView_WebNodeFormalParam_type 43
#define webActionView_RULELST_webActionView_DBIntegerpwebActionView_WebNodeFormalParam_type 44
#define webActionView_RULELST_webActionView_DBLongpwebActionView_WebNodeFormalParam_type 45
#define webActionView_RULELST_webActionView_DBFloatpwebActionView_WebNodeFormalParam_type 46
#define webActionView_RULELST_webActionView_DBDoublepwebActionView_WebNodeFormalParam_type 47
#define webActionView_RULELST_webActionView_DBBigIntpwebActionView_WebNodeFormalParam_type 48
#define webActionView_RULELST_webActionView_DBDatepwebActionView_WebNodeFormalParam_type 49
#define webActionView_RULELST_webActionView_DBTimeStamppwebActionView_WebNodeFormalParam_type 50
#define webActionView_RULELST_webActionView_DBBooleanpwebActionView_WebNodeFormalParam_type 51
#define webActionView_RULELST_webActionView_DBBlobpwebActionView_WebNodeFormalParam_type 52
#define webActionView_RULErule_1 53
#define webActionView_RULEpwebActionView_WebNodeSessionExpression_content 54
#define webActionView_RULEpwebActionView_WebNodeSessionExpression_modifier 55
#define webActionView_RULEpwebActionView_WebNodeSessionExpression 56
#define webActionView_RULEpwebActionView_WebNodeVariableExpression_content 57
#define webActionView_RULEpwebActionView_WebNodeVariableExpression_modifier 58
#define webActionView_RULEpwebActionView_WebNodeVariableExpression 59
#define webActionView_RULEpwebActionView_WebNodeConstantExpression_value 60
#define webActionView_RULEpwebActionView_WebNodeConstantExpression_modifier 61
#define webActionView_RULEpwebActionView_WebNodeConstantExpression 62
#define webActionView_RULEpwebActionView_LoginOperation_name 63
#define webActionView_RULEpwebActionView_LoginOperation_errorhandler 64
#define webActionView_RULEpwebActionView_LogoutOperation_name 65
#define webActionView_RULEpwebActionView_LogoutOperation_errorhandler 66
#define webActionView_RULEpwebActionView_MailingOperation_content 67
#define webActionView_RULEpwebActionView_MailingOperation_errorhandler 68
#define webActionView_RULEpwebActionView_JavaOperation_content 69
#define webActionView_RULEpwebActionView_JavaOperation_errorhandler 70
#define webActionView_RULEpwebActionView_DataBaseOperation_params 71
#define webActionView_RULEpwebActionView_DataBaseOperation_filter 72
#define webActionView_RULEpwebActionView_DataBaseOperation_errorhandler 73
#define webActionView_RULEpwebActionView_WebAction_operations 74
#define webActionView_RULEpwebActionView_WebAction_formalParameter 75
#define webActionView_RULEpwebActionView_WebAction_name 76
#define webActionView_RULEpwebActionView_ActionHandler_params 77
#define webActionView_RULEpwebActionView_ActionHandler_targetpage 78
#define webActionView_RULEpwebActionView_DBHasMany_dataSourceTable 79
#define webActionView_RULEpwebActionView_DBHasMany_keyword1 80
#define webActionView_RULEpwebActionView_DBHasMany 81
#define webActionView_RULEpwebActionView_DBHasOne_dataSourceTable 82
#define webActionView_RULEpwebActionView_DBHasOne_keyword1 83
#define webActionView_RULEpwebActionView_DBHasOne 84
#define webActionView_RULEpwebActionView_DBBlob_keyword1 85
#define webActionView_RULEpwebActionView_DBBlob 86
#define webActionView_RULEpwebActionView_DBBoolean_keyword1 87
#define webActionView_RULEpwebActionView_DBBoolean 88
#define webActionView_RULEpwebActionView_DBTimeStamp_keyword1 89
#define webActionView_RULEpwebActionView_DBTimeStamp 90
#define webActionView_RULEpwebActionView_DBDate_keyword1 91
#define webActionView_RULEpwebActionView_DBDate 92
#define webActionView_RULEpwebActionView_DBBigInt_keyword1 93
#define webActionView_RULEpwebActionView_DBBigInt 94
#define webActionView_RULEpwebActionView_DBDouble_keyword1 95
#define webActionView_RULEpwebActionView_DBDouble 96
#define webActionView_RULEpwebActionView_DBFloat_keyword1 97
#define webActionView_RULEpwebActionView_DBFloat 98
#define webActionView_RULEpwebActionView_DBLong_keyword1 99
#define webActionView_RULEpwebActionView_DBLong 100
#define webActionView_RULEpwebActionView_DBInteger_keyword1 101
#define webActionView_RULEpwebActionView_DBInteger 102
#define webActionView_RULEpwebActionView_DBText_keyword1 103
#define webActionView_RULEpwebActionView_DBText 104
#define webActionView_RULEpwebActionView_DBString_keyword1 105
#define webActionView_RULEpwebActionView_DBString 106
#define webActionView_RULEpwebActionView_DataSourceActualParam_expressions 107
#define webActionView_RULEpwebActionView_DataSourceActualParam_keyword1 108
#define webActionView_RULEpwebActionView_DataSourceActualParam_formalParam 109
#define webActionView_RULEpwebActionView_WebNodeActualParam_expressions 110
#define webActionView_RULEpwebActionView_WebNodeActualParam_keyword1 111
#define webActionView_RULEpwebActionView_WebNodeActualParam_formalParam 112
#define webActionView_RULEpwebActionView_WebNodeFormalParam_type 113
#define webActionView_RULEpwebActionView_WebNodeFormalParam_keyword1 114
#define webActionView_RULEpwebActionView_WebNodeFormalParam_name 115
#define webActionView_RULELST_0pwebActionView_WebNodeSessionExpression_modifier 116
#define webActionView_RULELST_0pwebActionView_WebNodeVariableExpression_modifier 117
#define webActionView_RULELST_0pwebActionView_WebNodeConstantExpression_modifier 118
#define webActionView_RULELST_webActionView_MD5ModifierpwebActionView_WebNodeSessionExpression_modifier 119
#define webActionView_RULELST_webActionView_JoinModifierpwebActionView_WebNodeSessionExpression_modifier 120
#define webActionView_RULELST_webActionView_MD5ModifierpwebActionView_WebNodeVariableExpression_modifier 121
#define webActionView_RULELST_webActionView_JoinModifierpwebActionView_WebNodeVariableExpression_modifier 122
#define webActionView_RULELST_webActionView_MD5ModifierpwebActionView_WebNodeConstantExpression_modifier 123
#define webActionView_RULELST_webActionView_JoinModifierpwebActionView_WebNodeConstantExpression_modifier 124
#define webActionView_RULEpwebActionView_JoinModifier_separator 125
#define webActionView_RULEpwebActionView_JoinModifier 126
#define webActionView_RULEpwebActionView_MD5Modifier 127
#define webActionView_RULEpwebActionView_LoginOperation_passwdFormField 128
#define webActionView_RULEpwebActionView_LoginOperation_userFormField 129
#define webActionView_RULEpwebActionView_LoginOperation_rolesDBColumn 130
#define webActionView_RULEpwebActionView_LoginOperation_passwdDBColumn 131
#define webActionView_RULEpwebActionView_LoginOperation_userDBColumn 132
#define webActionView_RULEpwebActionView_LoginOperation_errorMessage 133
#define webActionView_RULEpwebActionView_LoginOperation_successMessage 134
#define webActionView_RULEpwebActionView_LogoutOperation_errorMessage 135
#define webActionView_RULEpwebActionView_LogoutOperation_successMessage 136
#define webActionView_RULEpwebActionView_MailingOperation_subject 137
#define webActionView_RULEpwebActionView_MailingOperation_mailTo 138
#define webActionView_RULEpwebActionView_MailingOperation_name 139
#define webActionView_RULEpwebActionView_MailingOperation_errorMessage 140
#define webActionView_RULEpwebActionView_MailingOperation_successMessage 141
#define webActionView_RULEpwebActionView_JavaOperation_errorMessage 142
#define webActionView_RULEpwebActionView_JavaOperation_successMessage 143
#define webActionView_RULEpwebActionView_DataBaseOperation_errorMessage 144
#define webActionView_RULEpwebActionView_DataBaseOperation_successMessage 145
#define webActionView_RULEpwebActionView_WebAction_position 146
#define webActionView_RULEpwebActionView_WebAction 147
#define webActionView_RULEpVIEWROOT_webActionView 148
#define webActionView_RULEpEmpty 149
#endif
