
/* interface of tree construction functions */

#ifndef wnveDlg_TREECON_H
#define wnveDlg_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "wnveDlg_nodeptr.h"

#include "HEAD.h"


extern void wnveDlg_InitTree ELI_ARG((void));

extern void wnveDlg_FreeTree ELI_ARG((void));

extern NODEPTR wnveDlg_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnveDlg_MkwnveDlg_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnveDlg_MkwnveDlg_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnveDlg_MkwnveDlg_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnveDlg_MkwnveDlg_JoinModifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnveDlg_MkwnveDlg_MD5Modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnveDlg_MkwnveDlg_JoinModifier_separator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnveDlg_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR wnveDlg_MkpVIEWROOT_wnveDlg ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR wnveDlg_MkpwnveDlg_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR wnveDlg_MkpwnveDlg_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref));
#define wnveDlg_Mk0pwnveDlg_WebNodeVariableExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR wnveDlg_Mk2pwnveDlg_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR wnveDlg_MkpwnveDlg_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR wnveDlg_MkpwnveDlg_MD5Modifier ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR wnveDlg_MkpwnveDlg_JoinModifier ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR wnveDlg_MkpwnveDlg_JoinModifier_separator ELI_ARG((POSITION *_coordref));
#define wnveDlg_MkID(pos,val) (val)
#endif
