
/* definition of tree node structure */

#ifndef NODE_H
#define NODE_H
#include "err.h"
#include "nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef NODEPTRSUBSTRUCT
#define NODEPTRSUBSTRUCT
struct NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct _TSPathExpr* _TSPPathExpr;
typedef struct _TSSel* _TSPSel;
typedef struct _TSField* _TSPField;
typedef struct _TPrule_1* _TPPrule_1;
typedef struct _TPrule_2* _TPPrule_2;
typedef struct _TPrule_3* _TPPrule_3;
typedef struct _TPrule_4* _TPPrule_4;
typedef struct _TPrule_5* _TPPrule_5;
typedef struct _TPrule_6* _TPPrule_6;
typedef struct _TPrule_7* _TPPrule_7;
typedef struct _TPrule_8* _TPPrule_8;
typedef struct _TPrule_9* _TPPrule_9;
typedef struct _TPrule_10* _TPPrule_10;
typedef struct _TPrule_11* _TPPrule_11;

struct _TSPathExpr
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct _TSSel
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct _TSField
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct _TPrule_1
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
_TSPSel _desc1;
};

struct _TPrule_2
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct _TPrule_3
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
_TSPSel _desc1;
_TSPSel _desc2;
};

struct _TPrule_4
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
_TSPSel _desc1;
_TSPSel _desc2;
};

struct _TPrule_5
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
_TSPSel _desc1;
};

struct _TPrule_6
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
_TSPSel _desc1;
};

struct _TPrule_7
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
_TSPField _desc1;
};

struct _TPrule_8
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATTERM_1;
};

struct _TPrule_9
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATTERM_1;
};

struct _TPrule_10
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATTERM_1;
};

struct _TPrule_11
#ifdef __cplusplus
	: public NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATTERM_1;
};

#undef _NODECOMMON
#endif
