

#include "Tclinter_Object.h"


std::set<Tclinter_Object*> Tclinter_Object::registeredSet;

//header:
Tclinter_Object::Tclinter_Object() {
  doRegister(); 
}

//header: virtual 
Tclinter_Object::~Tclinter_Object() {
  doUnregister(); 
}

//header: static
bool Tclinter_Object::exists(Tclinter_Object *ptr) { 
  return registeredSet.count(ptr)>0; 
}

//header:
void Tclinter_Object::doRegister() {
    registeredSet.insert(this);
}

//header:
void Tclinter_Object::doUnregister() {
    registeredSet.erase(this);
}

