
/* interface of tree construction functions */

#ifndef codeGen_TREECON_H
#define codeGen_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "codeGen_nodeptr.h"

#include "HEAD.h"


extern void codeGen_InitTree ELI_ARG((void));

extern void codeGen_FreeTree ELI_ARG((void));

extern NODEPTR codeGen_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Root ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Root_webApp ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Root_library ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Library ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Library_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Library_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_NavigationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_NavigationElement_code ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_NavigationElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_entrancePage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_webZone ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_navigationBar ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_styleSheet ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_frames ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_meta ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_database ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_roles ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_linksExtern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_imagePath ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_packageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_pageEncoding ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_header ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_footer ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_mailHost ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_mailFromAddress ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebApplication_catalinaHome ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_RootWebZone ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_NavigationBar ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleSheet ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_GlobalFrame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MetaInformation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebRole ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LinkTargetExtern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_RootWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_RootWebZone_errorLink ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_RootWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_RootWebZone_setSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebAction ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebPage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SubWebZone ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebRoleRef ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SubWebZone_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SubWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SubWebZone_errorLink ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SubWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SubWebZone_setSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SubWebZone_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebRole_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebRole_color ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebRoleRef_role ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebPage_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebPage_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebPage_title ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebPage_frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebPage_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebPage_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeFormalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageMap ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OutputMessagesElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Formular ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Table ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Heading ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Paragraph ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FrameRef ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_GlobalFrame_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_GlobalFrame_components ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_GlobalFrame_setSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_NavigationBar_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_NavigationBar_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_NavigationBar_alignment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_NavigationBarElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_NavigationBarElement_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_NavigationBarElement_target ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FrameRef_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FrameRef_frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MetaInformation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MetaInformation_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MetaInformationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MetaInformationElement_property ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MetaInformationElement_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_userName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_userPassword ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_hostName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_port ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_dataBaseType ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_prefix ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_dataSources ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_dataSourceModifications ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_setSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBase_modifySetSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceJoin ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OrderedDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LimitDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceProjection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceDelete ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceUpdate ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceInsert ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBColumn_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBColumn_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBColumn_notNull ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBColumn_primaryKey ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBBlob ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBBoolean ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBTimeStamp ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBDate ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBBigInt ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBDouble ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBFloat ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBLong ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBInteger ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBString ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBHasMany ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBHasOne ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBHasOne_dataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBHasMany_dataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DBBlob_contentType ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceTable_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceTable_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceTable_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceProjection_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceProjection_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceProjection_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceProjection_sourceDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceProjection_condition ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceProjection_projectionColumns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceFormalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ComputationExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ParameterValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_PredefinedExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_UnaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_BinaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ComputationProjection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ColumnProjection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ColumnProjection_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ColumnProjection_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ComputationProjection_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ComputationProjection_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ComputationProjection_computation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LimitDataSource_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LimitDataSource_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LimitDataSource_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LimitDataSource_sourceDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LimitDataSource_firstRow ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LimitDataSource_maxRows ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OrderedDataSource_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OrderedDataSource_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OrderedDataSource_sourceDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OrderedDataSource_orderColumns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OrderColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OrderColumn_orderColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OrderColumn_order ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_BinaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_UnaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_PredefinedExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ComputationExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ComputationExpression_computation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceValue_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceValue_expression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceJoin_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceJoin_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceJoin_dataSource1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceJoin_dataSource2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceJoin_columnRef1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceJoin_columnRef2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceJoin_joinOperator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceInsert_targetDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceInsert_formalParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceInsert_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceInsert_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceInsert_values ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceUpdate_targetDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceUpdate_formalParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceUpdate_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceUpdate_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceUpdate_conditions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceUpdate_values ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceDelete_targetDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceDelete_formalParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceDelete_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceDelete_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceDelete_conditions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceFormalParam_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataSourceFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Paragraph_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OutputFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_TextFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_TextFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_TextFragment_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_TextFragment_fontstyle ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageFragment_width ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageFragment_height ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageFragment_border ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageFragment_verticalAlign ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageFragment_float ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageFragment_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageFragment_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Heading_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Heading_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Heading_level ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Table_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_TableRow ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_TableColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_TableCell ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_TableCell_columnRef ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_TableCell_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleSheet_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleSheet_custom ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleSheet_default ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_CustomStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_HtmlStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_CustomStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_CustomStyleSheetBlock_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleSheetPair ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleSheetPair_category ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleSheetPair_attribute ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleSheetPair_valueCategory ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleSheetPair_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_CustomValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_AlignmentValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_HeadingValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FamilyValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ColorValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SizeValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SizeValue_measure ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SizeValue_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ColorValue_color ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FamilyValue_family ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StyleValue_style ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_HeadingValue_heading ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_AlignmentValue_alignment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListValue_listed ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_CustomValue_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_HtmlStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_HtmlStyleSheetBlock_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ActionHandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ActionHandler_targetpage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ActionHandler_params ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebAction_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebAction_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebAction_successpage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebAction_operations ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebAction_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LoginOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LogoutOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MailingOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_JavaOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBaseOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBaseOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBaseOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBaseOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBaseOperation_filter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DataBaseOperation_params ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_JavaOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_JavaOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_JavaOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_JavaOperation_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MailingOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MailingOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MailingOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MailingOperation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MailingOperation_mailTo ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MailingOperation_subject ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MailingOperation_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LogoutOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LogoutOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LogoutOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LogoutOperation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LoginOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LoginOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LoginOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LoginOperation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LoginOperation_userDBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LoginOperation_passwdDBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LoginOperation_rolesDBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LoginOperation_userFormField ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LoginOperation_passwdFormField ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Formular_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Formular_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Formular_action ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Formular_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Formular_dataSourceId ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularCheckboxElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularFileUploadElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDateElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularPasswordElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextAreaElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_EmailValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_CreditCardValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_RegExprValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_RegExprValidator_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StringLengthValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StringLengthValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_StringLengthValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LongRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LongRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LongRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DoubleRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_IntegerNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DoubleNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_IntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LongConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_BigIntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FloatConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DoubleConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_BooleanConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_DateTimeConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_PatternConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_PatternConverter_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement_layout ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioGroupElement_checked ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextAreaElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextAreaElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextAreaElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextAreaElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextAreaElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextAreaElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularTextAreaElement_rows ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularPasswordElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularPasswordElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularPasswordElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularPasswordElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularPasswordElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularPasswordElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularPasswordElement_redisplay ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDateElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDateElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDateElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDateElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDateElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDateElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularFileUploadElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularFileUploadElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularFileUploadElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularFileUploadElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularFileUploadElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularFileUploadElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularFileUploadElement_accept ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularCheckboxElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularCheckboxElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularCheckboxElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularCheckboxElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularCheckboxElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularCheckboxElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularCheckboxElement_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularCheckboxElement_checked ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement_options ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement_size ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularSelectElement_multiple ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDataSourceSelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularConstantSelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SelectOption_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_SelectOption_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDataSourceSelectOption_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDataSourceSelectOption_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDataSourceSelectOption_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularDataSourceSelectOption_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioElement_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_FormularRadioElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeFormalParam_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MD5Modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_JoinModifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_JoinModifier_separator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OutputFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OutputFragment_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OutputMessagesElement_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OutputMessagesElement_errorStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OutputMessagesElement_infoStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_OutputMessagesElement_layout ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_maxNumberOfElements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_renderAs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_headerStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_evenRowStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputElement_oddRowStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputColumn_header ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputActionConnectionsContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputNumerationContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputProjectionContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputRefContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputConstantContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputConstantContent_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputRefContent_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputProjectionContent_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputNumerationContent_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ActionConnection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ActionConnection_action ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ActionConnection_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ActionConnection_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LinkTargetExtern_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_LinkTargetExtern_url ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageMap_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageMap_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageMap_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageMap_altText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MapArea ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MapArea_altText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MapArea_coords ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MapArea_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkcodeGen_MapArea_queryString ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR codeGen_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpVIEWROOT_codeGen ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_Root ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define codeGen_Mk0pcodeGen_Root_library(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_Root_library ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_Root_library ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_Library ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_Library_name ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_Library_navigationElement(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_Library_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_Library_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_NavigationElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_NavigationElement_code ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_NavigationElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebApplication ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11, NODEPTR _desc12, NODEPTR _desc13, NODEPTR _desc14, NODEPTR _desc15, NODEPTR _desc16, NODEPTR _desc17, NODEPTR _desc18));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_entrancePage ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_WebApplication_frames(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_WebApplication_frames ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_frames ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_WebApplication_roles(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_WebApplication_roles ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_roles ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_WebApplication_linksExtern(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_WebApplication_linksExtern ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_linksExtern ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_imagePath ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_packageName ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_pageEncoding ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_header ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_footer ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_mailHost ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_mailFromAddress ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebApplication_catalinaHome ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_RootWebZone ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
#define codeGen_Mk0pcodeGen_RootWebZone_webTargets(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_RootWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_RootWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_RootWebZone_errorLink ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_RootWebZone_roles(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_RootWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_RootWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_RootWebZone_setSize ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_SubWebZone ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6));
extern NODEPTR codeGen_MkpcodeGen_SubWebZone_name ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_SubWebZone_webTargets(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_SubWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_SubWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_SubWebZone_errorLink ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_SubWebZone_roles(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_SubWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_SubWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_SubWebZone_setSize ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_SubWebZone_position ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebRole ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_WebRole_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebRole_color ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebRoleRef ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_WebRoleRef_role ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebPage ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6));
extern NODEPTR codeGen_MkpcodeGen_WebPage_name ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_WebPage_formalParameter(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_WebPage_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_WebPage_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_WebPage_title ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebPage_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebPage_position ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Frame ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define codeGen_Mk0pcodeGen_Frame_components(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_GlobalFrame ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR codeGen_MkpcodeGen_GlobalFrame_name ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_GlobalFrame_components(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_GlobalFrame_components ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_GlobalFrame_components ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_GlobalFrame_setSize ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_NavigationBar ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR codeGen_MkpcodeGen_NavigationBar_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_NavigationBar_elements(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_NavigationBar_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_NavigationBar_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_NavigationBar_alignment ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_NavigationBarElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_NavigationBarElement_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_NavigationBarElement_target ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FrameRef ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_FrameRef_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FrameRef_frame ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MetaInformation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_MetaInformation_name ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_MetaInformation_elements(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_MetaInformation_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_MetaInformation_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_MetaInformationElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_MetaInformationElement_property ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MetaInformationElement_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBase ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11));
extern NODEPTR codeGen_MkpcodeGen_DataBase_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBase_userName ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBase_userPassword ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBase_hostName ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBase_port ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBase_dataBaseType ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBase_prefix ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_DataBase_dataSources(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataBase_dataSources ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataBase_dataSources ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_DataBase_dataSourceModifications(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataBase_dataSourceModifications ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataBase_dataSourceModifications ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_DataBase_setSize ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBase_modifySetSize ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DBColumn ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR codeGen_MkpcodeGen_DBColumn_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DBColumn_notNull ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DBColumn_primaryKey ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DBHasOne ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_DBHasOne_dataSourceTable ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DBHasMany ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_DBHasMany_dataSourceTable ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DBString ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DBText ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DBInteger ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DBLong ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DBFloat ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DBDouble ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DBBigInt ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DBDate ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DBTimeStamp ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DBBoolean ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DBBlob ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_DBBlob_contentType ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceTable ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR codeGen_MkpcodeGen_DataSourceTable_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceTable_position ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_DataSourceTable_columns(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataSourceTable_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataSourceTable_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_DataSourceProjection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6));
extern NODEPTR codeGen_MkpcodeGen_DataSourceProjection_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceProjection_position ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_DataSourceProjection_formalParameters(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataSourceProjection_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataSourceProjection_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_DataSourceProjection_sourceDataSource ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_DataSourceProjection_condition(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataSourceProjection_condition ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataSourceProjection_condition ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_DataSourceProjection_projectionColumns(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataSourceProjection_projectionColumns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataSourceProjection_projectionColumns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_ColumnProjection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_ColumnProjection_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ColumnProjection_column ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ComputationProjection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR codeGen_MkpcodeGen_ComputationProjection_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ComputationProjection_column ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ComputationProjection_computation ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LimitDataSource ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6));
extern NODEPTR codeGen_MkpcodeGen_LimitDataSource_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LimitDataSource_position ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_LimitDataSource_formalParameters(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_LimitDataSource_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_LimitDataSource_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_LimitDataSource_sourceDataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_OrderedDataSource ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR codeGen_MkpcodeGen_OrderedDataSource_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_OrderedDataSource_position ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_OrderedDataSource_sourceDataSource ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_OrderedDataSource_orderColumns(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_OrderedDataSource_orderColumns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_OrderedDataSource_orderColumns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_OrderColumn ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_OrderColumn_orderColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_OrderColumn_order ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_BinaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR codeGen_MkpcodeGen_BinaryExpression_operator ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_UnaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_UnaryExpression_operator ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_PredefinedExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_PredefinedExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_ConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_ColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ParameterValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ComputationExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_ComputationExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ComputationExpression_computation ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_DataSourceValue_column ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceJoin ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
extern NODEPTR codeGen_MkpcodeGen_DataSourceJoin_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceJoin_position ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceJoin_dataSource1 ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceJoin_dataSource2 ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceJoin_columnRef1 ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceJoin_columnRef2 ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceJoin_joinOperator ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceInsert ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR codeGen_MkpcodeGen_DataSourceInsert_targetDataSource ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_DataSourceInsert_formalParams(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataSourceInsert_formalParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataSourceInsert_formalParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_DataSourceInsert_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceInsert_position ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_DataSourceInsert_values(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataSourceInsert_values ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataSourceInsert_values ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_DataSourceUpdate ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6));
extern NODEPTR codeGen_MkpcodeGen_DataSourceUpdate_targetDataSource ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_DataSourceUpdate_formalParams(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataSourceUpdate_formalParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataSourceUpdate_formalParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_DataSourceUpdate_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceUpdate_position ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_DataSourceUpdate_values(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataSourceUpdate_values ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataSourceUpdate_values ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_DataSourceDelete ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR codeGen_MkpcodeGen_DataSourceDelete_targetDataSource ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_DataSourceDelete_formalParams(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataSourceDelete_formalParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataSourceDelete_formalParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_DataSourceDelete_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceDelete_position ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataSourceFormalParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_DataSourceFormalParam_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Paragraph ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_Paragraph_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_Paragraph_fragments(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_TextFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR codeGen_MkpcodeGen_TextFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_TextFragment_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_TextFragment_fontstyle ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR codeGen_MkpcodeGen_ImageFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageFragment_width ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageFragment_height ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageFragment_border ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageFragment_verticalAlign ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageFragment_float ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageFragment_text ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageFragment_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Heading ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR codeGen_MkpcodeGen_Heading_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Heading_text ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Heading_level ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Table ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR codeGen_MkpcodeGen_Table_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_Table_rows(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_Table_columns(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_TableRow ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define codeGen_Mk0pcodeGen_TableRow_cells(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_TableColumn ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_TableCell ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_TableCell_columnRef ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_StyleSheet ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR codeGen_MkpcodeGen_StyleSheet_name ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_StyleSheet_custom(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_StyleSheet_custom ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_StyleSheet_custom ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_StyleSheet_default(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_StyleSheet_default ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_StyleSheet_default ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_CustomStyleSheetBlock ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define codeGen_Mk0pcodeGen_CustomStyleSheetBlock_pairs(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_CustomStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_CustomStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_CustomStyleSheetBlock_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_StyleSheetPair ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR codeGen_MkpcodeGen_StyleSheetPair_category ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_StyleSheetPair_attribute ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_StyleSheetPair_valueCategory ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_SizeValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_SizeValue_measure ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_SizeValue_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ColorValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_ColorValue_color ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FamilyValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_FamilyValue_family ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_StyleValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_StyleValue_style ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_HeadingValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_HeadingValue_heading ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_AlignmentValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_AlignmentValue_alignment ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_ListValue_listed ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_CustomValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_CustomValue_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_HtmlStyleSheetBlock ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define codeGen_Mk0pcodeGen_HtmlStyleSheetBlock_pairs(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_HtmlStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_HtmlStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_HtmlStyleSheetBlock_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ActionHandler ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_ActionHandler_targetpage ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_ActionHandler_params(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_ActionHandler_params ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_ActionHandler_params ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_WebAction ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR codeGen_MkpcodeGen_WebAction_name ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_WebAction_formalParameter(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_WebAction_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_WebAction_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_WebAction_operations(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_WebAction_operations ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_WebAction_operations ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_WebAction_position ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBaseOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
#define codeGen_Mk0pcodeGen_DataBaseOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataBaseOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataBaseOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_DataBaseOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBaseOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DataBaseOperation_filter ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_DataBaseOperation_params(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_DataBaseOperation_params ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_DataBaseOperation_params ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_JavaOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
#define codeGen_Mk0pcodeGen_JavaOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_JavaOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_JavaOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_JavaOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_JavaOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_JavaOperation_content ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MailingOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
#define codeGen_Mk0pcodeGen_MailingOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_MailingOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_MailingOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_MailingOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MailingOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MailingOperation_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MailingOperation_mailTo ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MailingOperation_subject ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MailingOperation_content ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LogoutOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
#define codeGen_Mk0pcodeGen_LogoutOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_LogoutOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_LogoutOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_LogoutOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LogoutOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LogoutOperation_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LoginOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9));
#define codeGen_Mk0pcodeGen_LoginOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_LoginOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_LoginOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_LoginOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LoginOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LoginOperation_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LoginOperation_userDBColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LoginOperation_passwdDBColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LoginOperation_rolesDBColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LoginOperation_userFormField ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LoginOperation_passwdFormField ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Formular ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
extern NODEPTR codeGen_MkpcodeGen_Formular_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Formular_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Formular_action ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Formular_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_Formular_dataSourceId ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_Formular_elements(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_Formular_actualParams(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_EmailValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_CreditCardValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_RegExprValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_RegExprValidator_pattern ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_StringLengthValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_StringLengthValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_StringLengthValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LongRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_LongRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LongRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DoubleRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_IntegerNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DoubleNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR codeGen_MkpcodeGen_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_IntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_LongConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_BigIntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_FloatConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DoubleConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_BooleanConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_DateTimeConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_PatternConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_PatternConverter_pattern ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement_required ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_FormularRadioGroupElement_validator(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_FormularRadioGroupElement_converter(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement_layout ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_FormularRadioGroupElement_elements(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioGroupElement_checked ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularTextElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
extern NODEPTR codeGen_MkpcodeGen_FormularTextElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularTextElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularTextElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularTextElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularTextElement_required ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_FormularTextElement_validator(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_FormularTextElement_converter(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularTextElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularTextElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_FormularTextAreaElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR codeGen_MkpcodeGen_FormularTextAreaElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularTextAreaElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularTextAreaElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularTextAreaElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularTextAreaElement_required ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_FormularTextAreaElement_validator(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_FormularTextAreaElement_converter(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularTextAreaElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularTextAreaElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_FormularTextAreaElement_rows ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularPasswordElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR codeGen_MkpcodeGen_FormularPasswordElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularPasswordElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularPasswordElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularPasswordElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularPasswordElement_required ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_FormularPasswordElement_validator(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_FormularPasswordElement_converter(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularPasswordElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularPasswordElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_FormularPasswordElement_redisplay ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularDateElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
extern NODEPTR codeGen_MkpcodeGen_FormularDateElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularDateElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularDateElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularDateElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularDateElement_required ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_FormularDateElement_validator(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_FormularDateElement_converter(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularDateElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularDateElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_FormularFileUploadElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR codeGen_MkpcodeGen_FormularFileUploadElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularFileUploadElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularFileUploadElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularFileUploadElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularFileUploadElement_required ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_FormularFileUploadElement_validator(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_FormularFileUploadElement_converter(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularFileUploadElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularFileUploadElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_FormularFileUploadElement_accept ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularCheckboxElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9));
extern NODEPTR codeGen_MkpcodeGen_FormularCheckboxElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularCheckboxElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularCheckboxElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularCheckboxElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularCheckboxElement_required ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_FormularCheckboxElement_validator(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_FormularCheckboxElement_converter(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularCheckboxElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularCheckboxElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_FormularCheckboxElement_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularCheckboxElement_checked ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularSelectElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10));
extern NODEPTR codeGen_MkpcodeGen_FormularSelectElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularSelectElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularSelectElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularSelectElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularSelectElement_required ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_FormularSelectElement_validator(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularSelectElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularSelectElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define codeGen_Mk0pcodeGen_FormularSelectElement_converter(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularSelectElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularSelectElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_FormularSelectElement_size ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularSelectElement_multiple ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularConstantSelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define codeGen_Mk0pcodeGen_FormularConstantSelectOption_options(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_SelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_SelectOption_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_SelectOption_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularDataSourceSelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR codeGen_MkpcodeGen_FormularDataSourceSelectOption_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularDataSourceSelectOption_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularDataSourceSelectOption_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularDataSourceSelectOption_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioElement_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_FormularRadioElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebNodeActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_WebNodeActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebNodeFormalParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_WebNodeFormalParam_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MD5Modifier ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR codeGen_MkpcodeGen_JoinModifier ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_JoinModifier_separator ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define codeGen_Mk0pcodeGen_WebNodeConstantExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define codeGen_Mk0pcodeGen_WebNodeVariableExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define codeGen_Mk0pcodeGen_WebNodeSessionExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_OutputFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_OutputFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_OutputFragment_content ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_OutputMessagesElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR codeGen_MkpcodeGen_OutputMessagesElement_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_OutputMessagesElement_errorStyleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_OutputMessagesElement_infoStyleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_OutputMessagesElement_layout ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_ListOutputActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_name ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_ListOutputElement_dataSourceActualParams(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_maxNumberOfElements ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_renderAs ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_navigationElement ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_ListOutputElement_columns(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_headerStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_evenRowStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputElement_oddRowStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputColumn ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_ListOutputColumn_header ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputConstantContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_ListOutputConstantContent_value ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputRefContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_ListOutputRefContent_column ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputProjectionContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_ListOutputProjectionContent_column ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputNumerationContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR codeGen_MkpcodeGen_ListOutputNumerationContent_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ListOutputActionConnectionsContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define codeGen_Mk0pcodeGen_ListOutputActionConnectionsContent_actionConnections(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_ActionConnection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR codeGen_MkpcodeGen_ActionConnection_action ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ActionConnection_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ActionConnection_text ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_ActionConnection_actualParams(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_LinkTargetExtern ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR codeGen_MkpcodeGen_LinkTargetExtern_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_LinkTargetExtern_url ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageMap ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR codeGen_MkpcodeGen_ImageMap_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageMap_name ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageMap_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_ImageMap_altText ELI_ARG((POSITION *_coordref));
#define codeGen_Mk0pcodeGen_ImageMap_mapAreas(_coordref) NULLNODEPTR
extern NODEPTR codeGen_Mk2pcodeGen_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR codeGen_MkpcodeGen_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR codeGen_MkpcodeGen_MapArea ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR codeGen_MkpcodeGen_MapArea_altText ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MapArea_coords ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MapArea_link ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_MkpcodeGen_MapArea_queryString ELI_ARG((POSITION *_coordref));
extern NODEPTR codeGen_Mkrule_1 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_2 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_3 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_4 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_5 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_6 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_7 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_8 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_9 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_10 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_11 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_12 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_13 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_14 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_15 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_16 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_17 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_18 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_19 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_20 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_21 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_22 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_23 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_24 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_25 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_26 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_27 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_28 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_29 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_30 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_31 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_32 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_33 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_34 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_35 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_36 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_37 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_38 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_39 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_40 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_41 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_42 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_43 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_44 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_45 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_46 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_47 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_48 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_49 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_50 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_51 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_52 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_53 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_54 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_55 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_56 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_57 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_58 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_59 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_60 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_61 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_62 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_63 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_64 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_65 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_66 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_67 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_68 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_69 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_70 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_71 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_72 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_73 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_74 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_75 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_76 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_77 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_78 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_79 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_80 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_81 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_82 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_83 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_84 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_85 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_86 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_87 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_88 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_89 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_90 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_91 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_92 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_93 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_94 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_95 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_96 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_97 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_98 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_99 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_100 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_101 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_102 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_103 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_104 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_105 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_106 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_107 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_108 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_109 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_110 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_111 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_112 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_113 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_114 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_115 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_116 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_117 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_118 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_119 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_120 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_121 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_122 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_123 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_124 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_125 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_126 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_127 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_128 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_129 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_130 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_131 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_132 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_133 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_134 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_135 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_136 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_137 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_138 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_139 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_140 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR codeGen_Mkrule_141 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
#define codeGen_MkID(pos,val) (val)
#endif
