
/* definition of tree node structure */

#ifndef feDlg_NODE_H
#define feDlg_NODE_H
#include "err.h"
#include "feDlg_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef feDlg_NODEPTRSUBSTRUCT
#define feDlg_NODEPTRSUBSTRUCT
struct feDlg_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct feDlg__TSVIEWROOT* feDlg__TSPVIEWROOT;
typedef struct feDlg__TSfeDlg_FormularTextElement* feDlg__TSPfeDlg_FormularTextElement;
typedef struct feDlg__TSfeDlg_FormularTextElement_name* feDlg__TSPfeDlg_FormularTextElement_name;
typedef struct feDlg__TSfeDlg_FormularTextElement_label* feDlg__TSPfeDlg_FormularTextElement_label;
typedef struct feDlg__TSfeDlg_FormularTextElement_description* feDlg__TSPfeDlg_FormularTextElement_description;
typedef struct feDlg__TSfeDlg_FormularTextElement_pvalue* feDlg__TSPfeDlg_FormularTextElement_pvalue;
typedef struct feDlg__TSfeDlg_FormularTextElement_required* feDlg__TSPfeDlg_FormularTextElement_required;
typedef struct feDlg__TSfeDlg_FormularTextElement_validator* feDlg__TSPfeDlg_FormularTextElement_validator;
typedef struct feDlg__TSfeDlg_FormularTextElement_converter* feDlg__TSPfeDlg_FormularTextElement_converter;
typedef struct feDlg__TSfeDlg_DoubleRangeValidator* feDlg__TSPfeDlg_DoubleRangeValidator;
typedef struct feDlg__TSfeDlg_LongRangeValidator* feDlg__TSPfeDlg_LongRangeValidator;
typedef struct feDlg__TSfeDlg_StringLengthValidator* feDlg__TSPfeDlg_StringLengthValidator;
typedef struct feDlg__TSfeDlg_RegExprValidator* feDlg__TSPfeDlg_RegExprValidator;
typedef struct feDlg__TSfeDlg_CreditCardValidator* feDlg__TSPfeDlg_CreditCardValidator;
typedef struct feDlg__TSfeDlg_EmailValidator* feDlg__TSPfeDlg_EmailValidator;
typedef struct feDlg__TSfeDlg_PatternConverter* feDlg__TSPfeDlg_PatternConverter;
typedef struct feDlg__TSfeDlg_DateTimeConverter* feDlg__TSPfeDlg_DateTimeConverter;
typedef struct feDlg__TSfeDlg_BooleanConverter* feDlg__TSPfeDlg_BooleanConverter;
typedef struct feDlg__TSfeDlg_DoubleConverter* feDlg__TSPfeDlg_DoubleConverter;
typedef struct feDlg__TSfeDlg_FloatConverter* feDlg__TSPfeDlg_FloatConverter;
typedef struct feDlg__TSfeDlg_BigIntegerConverter* feDlg__TSPfeDlg_BigIntegerConverter;
typedef struct feDlg__TSfeDlg_LongConverter* feDlg__TSPfeDlg_LongConverter;
typedef struct feDlg__TSfeDlg_IntegerConverter* feDlg__TSPfeDlg_IntegerConverter;
typedef struct feDlg__TSfeDlg_DoubleNumberConverter* feDlg__TSPfeDlg_DoubleNumberConverter;
typedef struct feDlg__TSfeDlg_IntegerNumberConverter* feDlg__TSPfeDlg_IntegerNumberConverter;
typedef struct feDlg__TSfeDlg_RegExprValidator_pattern* feDlg__TSPfeDlg_RegExprValidator_pattern;
typedef struct feDlg__TSfeDlg_StringLengthValidator_min* feDlg__TSPfeDlg_StringLengthValidator_min;
typedef struct feDlg__TSfeDlg_StringLengthValidator_max* feDlg__TSPfeDlg_StringLengthValidator_max;
typedef struct feDlg__TSfeDlg_LongRangeValidator_min* feDlg__TSPfeDlg_LongRangeValidator_min;
typedef struct feDlg__TSfeDlg_LongRangeValidator_max* feDlg__TSPfeDlg_LongRangeValidator_max;
typedef struct feDlg__TSfeDlg_DoubleRangeValidator_min* feDlg__TSPfeDlg_DoubleRangeValidator_min;
typedef struct feDlg__TSfeDlg_DoubleRangeValidator_max* feDlg__TSPfeDlg_DoubleRangeValidator_max;
typedef struct feDlg__TSfeDlg_IntegerNumberConverter_minIntegerDigits* feDlg__TSPfeDlg_IntegerNumberConverter_minIntegerDigits;
typedef struct feDlg__TSfeDlg_IntegerNumberConverter_maxIntegerDigits* feDlg__TSPfeDlg_IntegerNumberConverter_maxIntegerDigits;
typedef struct feDlg__TSfeDlg_DoubleNumberConverter_minIntegerDigits* feDlg__TSPfeDlg_DoubleNumberConverter_minIntegerDigits;
typedef struct feDlg__TSfeDlg_DoubleNumberConverter_maxIntegerDigits* feDlg__TSPfeDlg_DoubleNumberConverter_maxIntegerDigits;
typedef struct feDlg__TSfeDlg_DoubleNumberConverter_minFractionDigits* feDlg__TSPfeDlg_DoubleNumberConverter_minFractionDigits;
typedef struct feDlg__TSfeDlg_DoubleNumberConverter_maxFractionDigits* feDlg__TSPfeDlg_DoubleNumberConverter_maxFractionDigits;
typedef struct feDlg__TSfeDlg_PatternConverter_pattern* feDlg__TSPfeDlg_PatternConverter_pattern;
typedef struct feDlg__TSLST_feDlg_FormularTextElement_validator* feDlg__TSPLST_feDlg_FormularTextElement_validator;
typedef struct feDlg__TSLST_feDlg_FormularTextElement_converter* feDlg__TSPLST_feDlg_FormularTextElement_converter;
typedef struct feDlg__TPpEmpty* feDlg__TPPpEmpty;
typedef struct feDlg__TPpVIEWROOT_feDlg* feDlg__TPPpVIEWROOT_feDlg;
typedef struct feDlg__TPpfeDlg_FormularTextElement* feDlg__TPPpfeDlg_FormularTextElement;
typedef struct feDlg__TPpfeDlg_FormularTextElement_name* feDlg__TPPpfeDlg_FormularTextElement_name;
typedef struct feDlg__TPpfeDlg_FormularTextElement_label* feDlg__TPPpfeDlg_FormularTextElement_label;
typedef struct feDlg__TPpfeDlg_FormularTextElement_description* feDlg__TPPpfeDlg_FormularTextElement_description;
typedef struct feDlg__TPpfeDlg_FormularTextElement_pvalue* feDlg__TPPpfeDlg_FormularTextElement_pvalue;
typedef struct feDlg__TPpfeDlg_FormularTextElement_required* feDlg__TPPpfeDlg_FormularTextElement_required;
typedef struct feDlg__TPpfeDlg_FormularTextElement_validator* feDlg__TPPpfeDlg_FormularTextElement_validator;
typedef struct feDlg__TPpfeDlg_FormularTextElement_converter* feDlg__TPPpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPpfeDlg_EmailValidator* feDlg__TPPpfeDlg_EmailValidator;
typedef struct feDlg__TPpfeDlg_CreditCardValidator* feDlg__TPPpfeDlg_CreditCardValidator;
typedef struct feDlg__TPpfeDlg_RegExprValidator* feDlg__TPPpfeDlg_RegExprValidator;
typedef struct feDlg__TPpfeDlg_RegExprValidator_pattern* feDlg__TPPpfeDlg_RegExprValidator_pattern;
typedef struct feDlg__TPpfeDlg_StringLengthValidator* feDlg__TPPpfeDlg_StringLengthValidator;
typedef struct feDlg__TPpfeDlg_StringLengthValidator_min* feDlg__TPPpfeDlg_StringLengthValidator_min;
typedef struct feDlg__TPpfeDlg_StringLengthValidator_max* feDlg__TPPpfeDlg_StringLengthValidator_max;
typedef struct feDlg__TPpfeDlg_LongRangeValidator* feDlg__TPPpfeDlg_LongRangeValidator;
typedef struct feDlg__TPpfeDlg_LongRangeValidator_min* feDlg__TPPpfeDlg_LongRangeValidator_min;
typedef struct feDlg__TPpfeDlg_LongRangeValidator_max* feDlg__TPPpfeDlg_LongRangeValidator_max;
typedef struct feDlg__TPpfeDlg_DoubleRangeValidator* feDlg__TPPpfeDlg_DoubleRangeValidator;
typedef struct feDlg__TPpfeDlg_DoubleRangeValidator_min* feDlg__TPPpfeDlg_DoubleRangeValidator_min;
typedef struct feDlg__TPpfeDlg_DoubleRangeValidator_max* feDlg__TPPpfeDlg_DoubleRangeValidator_max;
typedef struct feDlg__TPpfeDlg_IntegerNumberConverter* feDlg__TPPpfeDlg_IntegerNumberConverter;
typedef struct feDlg__TPpfeDlg_IntegerNumberConverter_minIntegerDigits* feDlg__TPPpfeDlg_IntegerNumberConverter_minIntegerDigits;
typedef struct feDlg__TPpfeDlg_IntegerNumberConverter_maxIntegerDigits* feDlg__TPPpfeDlg_IntegerNumberConverter_maxIntegerDigits;
typedef struct feDlg__TPpfeDlg_DoubleNumberConverter* feDlg__TPPpfeDlg_DoubleNumberConverter;
typedef struct feDlg__TPpfeDlg_DoubleNumberConverter_minIntegerDigits* feDlg__TPPpfeDlg_DoubleNumberConverter_minIntegerDigits;
typedef struct feDlg__TPpfeDlg_DoubleNumberConverter_maxIntegerDigits* feDlg__TPPpfeDlg_DoubleNumberConverter_maxIntegerDigits;
typedef struct feDlg__TPpfeDlg_DoubleNumberConverter_minFractionDigits* feDlg__TPPpfeDlg_DoubleNumberConverter_minFractionDigits;
typedef struct feDlg__TPpfeDlg_DoubleNumberConverter_maxFractionDigits* feDlg__TPPpfeDlg_DoubleNumberConverter_maxFractionDigits;
typedef struct feDlg__TPpfeDlg_IntegerConverter* feDlg__TPPpfeDlg_IntegerConverter;
typedef struct feDlg__TPpfeDlg_LongConverter* feDlg__TPPpfeDlg_LongConverter;
typedef struct feDlg__TPpfeDlg_BigIntegerConverter* feDlg__TPPpfeDlg_BigIntegerConverter;
typedef struct feDlg__TPpfeDlg_FloatConverter* feDlg__TPPpfeDlg_FloatConverter;
typedef struct feDlg__TPpfeDlg_DoubleConverter* feDlg__TPPpfeDlg_DoubleConverter;
typedef struct feDlg__TPpfeDlg_BooleanConverter* feDlg__TPPpfeDlg_BooleanConverter;
typedef struct feDlg__TPpfeDlg_DateTimeConverter* feDlg__TPPpfeDlg_DateTimeConverter;
typedef struct feDlg__TPpfeDlg_PatternConverter* feDlg__TPPpfeDlg_PatternConverter;
typedef struct feDlg__TPpfeDlg_PatternConverter_pattern* feDlg__TPPpfeDlg_PatternConverter_pattern;
typedef struct feDlg__TPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator* feDlg__TPPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator;
typedef struct feDlg__TPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator* feDlg__TPPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator;
typedef struct feDlg__TPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator* feDlg__TPPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator;
typedef struct feDlg__TPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator* feDlg__TPPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator;
typedef struct feDlg__TPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator* feDlg__TPPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator;
typedef struct feDlg__TPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator* feDlg__TPPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator;
typedef struct feDlg__TPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter* feDlg__TPPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter* feDlg__TPPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter* feDlg__TPPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter* feDlg__TPPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter* feDlg__TPPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter* feDlg__TPPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter* feDlg__TPPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter* feDlg__TPPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter* feDlg__TPPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter* feDlg__TPPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter;
typedef struct feDlg__TPLST_0pfeDlg_FormularTextElement_validator* feDlg__TPPLST_0pfeDlg_FormularTextElement_validator;
typedef struct feDlg__TPLST_0pfeDlg_FormularTextElement_converter* feDlg__TPPLST_0pfeDlg_FormularTextElement_converter;

struct feDlg__TSVIEWROOT
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_FormularTextElement
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularTextElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_FormularTextElement_name
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_FormularTextElement_label
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_FormularTextElement_description
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_FormularTextElement_pvalue
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_FormularTextElement_required
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_FormularTextElement_validator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_DoubleRangeValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_LongRangeValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELongRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_StringLengthValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStringLengthValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_RegExprValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MERegExprValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_CreditCardValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_EmailValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_PatternConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPatternConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_DateTimeConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_BooleanConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_DoubleConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_FloatConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_BigIntegerConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_LongConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_IntegerConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_DoubleNumberConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_IntegerNumberConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEIntegerNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct feDlg__TSfeDlg_RegExprValidator_pattern
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_StringLengthValidator_min
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_StringLengthValidator_max
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_LongRangeValidator_min
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_LongRangeValidator_max
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_DoubleRangeValidator_min
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_DoubleRangeValidator_max
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_IntegerNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_IntegerNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_DoubleNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_DoubleNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_DoubleNumberConverter_minFractionDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_DoubleNumberConverter_maxFractionDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSfeDlg_PatternConverter_pattern
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSLST_feDlg_FormularTextElement_validator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TSLST_feDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpEmpty
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpVIEWROOT_feDlg
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_FormularTextElement _desc1;
};

struct feDlg__TPpfeDlg_FormularTextElement
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularTextElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
feDlg__TSPfeDlg_FormularTextElement_name _desc1;
feDlg__TSPfeDlg_FormularTextElement_label _desc2;
feDlg__TSPfeDlg_FormularTextElement_description _desc3;
feDlg__TSPfeDlg_FormularTextElement_pvalue _desc4;
feDlg__TSPfeDlg_FormularTextElement_required _desc5;
feDlg__TSPfeDlg_FormularTextElement_validator _desc6;
feDlg__TSPfeDlg_FormularTextElement_converter _desc7;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_FormularTextElement_name
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_FormularTextElement_label
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_FormularTextElement_description
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_FormularTextElement_pvalue
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_FormularTextElement_required
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_FormularTextElement_validator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPLST_feDlg_FormularTextElement_validator _desc1;
};

struct feDlg__TPpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc1;
};

struct feDlg__TPpfeDlg_EmailValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_CreditCardValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_RegExprValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MERegExprValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
feDlg__TSPfeDlg_RegExprValidator_pattern _desc1;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_RegExprValidator_pattern
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_StringLengthValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStringLengthValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
feDlg__TSPfeDlg_StringLengthValidator_min _desc1;
feDlg__TSPfeDlg_StringLengthValidator_max _desc2;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_StringLengthValidator_min
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_StringLengthValidator_max
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_LongRangeValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELongRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
feDlg__TSPfeDlg_LongRangeValidator_min _desc1;
feDlg__TSPfeDlg_LongRangeValidator_max _desc2;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_LongRangeValidator_min
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_LongRangeValidator_max
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_DoubleRangeValidator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
feDlg__TSPfeDlg_DoubleRangeValidator_min _desc1;
feDlg__TSPfeDlg_DoubleRangeValidator_max _desc2;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_DoubleRangeValidator_min
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_DoubleRangeValidator_max
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_IntegerNumberConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEIntegerNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
feDlg__TSPfeDlg_IntegerNumberConverter_minIntegerDigits _desc1;
feDlg__TSPfeDlg_IntegerNumberConverter_maxIntegerDigits _desc2;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_IntegerNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_IntegerNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_DoubleNumberConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
feDlg__TSPfeDlg_DoubleNumberConverter_minIntegerDigits _desc1;
feDlg__TSPfeDlg_DoubleNumberConverter_maxIntegerDigits _desc2;
feDlg__TSPfeDlg_DoubleNumberConverter_minFractionDigits _desc3;
feDlg__TSPfeDlg_DoubleNumberConverter_maxFractionDigits _desc4;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_DoubleNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_DoubleNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_DoubleNumberConverter_minFractionDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_DoubleNumberConverter_maxFractionDigits
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPpfeDlg_IntegerConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_LongConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_BigIntegerConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_FloatConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_DoubleConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_BooleanConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_DateTimeConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_PatternConverter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPatternConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
feDlg__TSPfeDlg_PatternConverter_pattern _desc1;
int _ATTERM_1;
};

struct feDlg__TPpfeDlg_PatternConverter_pattern
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct feDlg__TPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_DoubleRangeValidator _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_validator _desc2;
};

struct feDlg__TPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_LongRangeValidator _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_validator _desc2;
};

struct feDlg__TPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_StringLengthValidator _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_validator _desc2;
};

struct feDlg__TPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_RegExprValidator _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_validator _desc2;
};

struct feDlg__TPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_CreditCardValidator _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_validator _desc2;
};

struct feDlg__TPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_EmailValidator _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_validator _desc2;
};

struct feDlg__TPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_PatternConverter _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc2;
};

struct feDlg__TPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_DateTimeConverter _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc2;
};

struct feDlg__TPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_BooleanConverter _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc2;
};

struct feDlg__TPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_DoubleConverter _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc2;
};

struct feDlg__TPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_FloatConverter _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc2;
};

struct feDlg__TPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_BigIntegerConverter _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc2;
};

struct feDlg__TPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_LongConverter _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc2;
};

struct feDlg__TPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_IntegerConverter _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc2;
};

struct feDlg__TPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_DoubleNumberConverter _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc2;
};

struct feDlg__TPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
feDlg__TSPfeDlg_IntegerNumberConverter _desc1;
feDlg__TSPLST_feDlg_FormularTextElement_converter _desc2;
};

struct feDlg__TPLST_0pfeDlg_FormularTextElement_validator
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct feDlg__TPLST_0pfeDlg_FormularTextElement_converter
#ifdef __cplusplus
	: public feDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
