
/* definition of tree node structure */

#ifndef fepDlg_NODE_H
#define fepDlg_NODE_H
#include "err.h"
#include "fepDlg_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef fepDlg_NODEPTRSUBSTRUCT
#define fepDlg_NODEPTRSUBSTRUCT
struct fepDlg_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct fepDlg__TSVIEWROOT* fepDlg__TSPVIEWROOT;
typedef struct fepDlg__TSfepDlg_FormularPasswordElement* fepDlg__TSPfepDlg_FormularPasswordElement;
typedef struct fepDlg__TSfepDlg_FormularPasswordElement_name* fepDlg__TSPfepDlg_FormularPasswordElement_name;
typedef struct fepDlg__TSfepDlg_FormularPasswordElement_label* fepDlg__TSPfepDlg_FormularPasswordElement_label;
typedef struct fepDlg__TSfepDlg_FormularPasswordElement_description* fepDlg__TSPfepDlg_FormularPasswordElement_description;
typedef struct fepDlg__TSfepDlg_FormularPasswordElement_redisplay* fepDlg__TSPfepDlg_FormularPasswordElement_redisplay;
typedef struct fepDlg__TSfepDlg_FormularPasswordElement_pvalue* fepDlg__TSPfepDlg_FormularPasswordElement_pvalue;
typedef struct fepDlg__TSfepDlg_FormularPasswordElement_required* fepDlg__TSPfepDlg_FormularPasswordElement_required;
typedef struct fepDlg__TSfepDlg_FormularPasswordElement_validator* fepDlg__TSPfepDlg_FormularPasswordElement_validator;
typedef struct fepDlg__TSfepDlg_FormularPasswordElement_converter* fepDlg__TSPfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TSfepDlg_DoubleRangeValidator* fepDlg__TSPfepDlg_DoubleRangeValidator;
typedef struct fepDlg__TSfepDlg_LongRangeValidator* fepDlg__TSPfepDlg_LongRangeValidator;
typedef struct fepDlg__TSfepDlg_StringLengthValidator* fepDlg__TSPfepDlg_StringLengthValidator;
typedef struct fepDlg__TSfepDlg_RegExprValidator* fepDlg__TSPfepDlg_RegExprValidator;
typedef struct fepDlg__TSfepDlg_CreditCardValidator* fepDlg__TSPfepDlg_CreditCardValidator;
typedef struct fepDlg__TSfepDlg_EmailValidator* fepDlg__TSPfepDlg_EmailValidator;
typedef struct fepDlg__TSfepDlg_PatternConverter* fepDlg__TSPfepDlg_PatternConverter;
typedef struct fepDlg__TSfepDlg_DateTimeConverter* fepDlg__TSPfepDlg_DateTimeConverter;
typedef struct fepDlg__TSfepDlg_BooleanConverter* fepDlg__TSPfepDlg_BooleanConverter;
typedef struct fepDlg__TSfepDlg_DoubleConverter* fepDlg__TSPfepDlg_DoubleConverter;
typedef struct fepDlg__TSfepDlg_FloatConverter* fepDlg__TSPfepDlg_FloatConverter;
typedef struct fepDlg__TSfepDlg_BigIntegerConverter* fepDlg__TSPfepDlg_BigIntegerConverter;
typedef struct fepDlg__TSfepDlg_LongConverter* fepDlg__TSPfepDlg_LongConverter;
typedef struct fepDlg__TSfepDlg_IntegerConverter* fepDlg__TSPfepDlg_IntegerConverter;
typedef struct fepDlg__TSfepDlg_DoubleNumberConverter* fepDlg__TSPfepDlg_DoubleNumberConverter;
typedef struct fepDlg__TSfepDlg_IntegerNumberConverter* fepDlg__TSPfepDlg_IntegerNumberConverter;
typedef struct fepDlg__TSfepDlg_RegExprValidator_pattern* fepDlg__TSPfepDlg_RegExprValidator_pattern;
typedef struct fepDlg__TSfepDlg_StringLengthValidator_min* fepDlg__TSPfepDlg_StringLengthValidator_min;
typedef struct fepDlg__TSfepDlg_StringLengthValidator_max* fepDlg__TSPfepDlg_StringLengthValidator_max;
typedef struct fepDlg__TSfepDlg_LongRangeValidator_min* fepDlg__TSPfepDlg_LongRangeValidator_min;
typedef struct fepDlg__TSfepDlg_LongRangeValidator_max* fepDlg__TSPfepDlg_LongRangeValidator_max;
typedef struct fepDlg__TSfepDlg_DoubleRangeValidator_min* fepDlg__TSPfepDlg_DoubleRangeValidator_min;
typedef struct fepDlg__TSfepDlg_DoubleRangeValidator_max* fepDlg__TSPfepDlg_DoubleRangeValidator_max;
typedef struct fepDlg__TSfepDlg_IntegerNumberConverter_minIntegerDigits* fepDlg__TSPfepDlg_IntegerNumberConverter_minIntegerDigits;
typedef struct fepDlg__TSfepDlg_IntegerNumberConverter_maxIntegerDigits* fepDlg__TSPfepDlg_IntegerNumberConverter_maxIntegerDigits;
typedef struct fepDlg__TSfepDlg_DoubleNumberConverter_minIntegerDigits* fepDlg__TSPfepDlg_DoubleNumberConverter_minIntegerDigits;
typedef struct fepDlg__TSfepDlg_DoubleNumberConverter_maxIntegerDigits* fepDlg__TSPfepDlg_DoubleNumberConverter_maxIntegerDigits;
typedef struct fepDlg__TSfepDlg_DoubleNumberConverter_minFractionDigits* fepDlg__TSPfepDlg_DoubleNumberConverter_minFractionDigits;
typedef struct fepDlg__TSfepDlg_DoubleNumberConverter_maxFractionDigits* fepDlg__TSPfepDlg_DoubleNumberConverter_maxFractionDigits;
typedef struct fepDlg__TSfepDlg_PatternConverter_pattern* fepDlg__TSPfepDlg_PatternConverter_pattern;
typedef struct fepDlg__TSLST_fepDlg_FormularPasswordElement_validator* fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator;
typedef struct fepDlg__TSLST_fepDlg_FormularPasswordElement_converter* fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPpEmpty* fepDlg__TPPpEmpty;
typedef struct fepDlg__TPpVIEWROOT_fepDlg* fepDlg__TPPpVIEWROOT_fepDlg;
typedef struct fepDlg__TPpfepDlg_FormularPasswordElement* fepDlg__TPPpfepDlg_FormularPasswordElement;
typedef struct fepDlg__TPpfepDlg_FormularPasswordElement_name* fepDlg__TPPpfepDlg_FormularPasswordElement_name;
typedef struct fepDlg__TPpfepDlg_FormularPasswordElement_label* fepDlg__TPPpfepDlg_FormularPasswordElement_label;
typedef struct fepDlg__TPpfepDlg_FormularPasswordElement_description* fepDlg__TPPpfepDlg_FormularPasswordElement_description;
typedef struct fepDlg__TPpfepDlg_FormularPasswordElement_redisplay* fepDlg__TPPpfepDlg_FormularPasswordElement_redisplay;
typedef struct fepDlg__TPpfepDlg_FormularPasswordElement_pvalue* fepDlg__TPPpfepDlg_FormularPasswordElement_pvalue;
typedef struct fepDlg__TPpfepDlg_FormularPasswordElement_required* fepDlg__TPPpfepDlg_FormularPasswordElement_required;
typedef struct fepDlg__TPpfepDlg_FormularPasswordElement_validator* fepDlg__TPPpfepDlg_FormularPasswordElement_validator;
typedef struct fepDlg__TPpfepDlg_FormularPasswordElement_converter* fepDlg__TPPpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPpfepDlg_EmailValidator* fepDlg__TPPpfepDlg_EmailValidator;
typedef struct fepDlg__TPpfepDlg_CreditCardValidator* fepDlg__TPPpfepDlg_CreditCardValidator;
typedef struct fepDlg__TPpfepDlg_RegExprValidator* fepDlg__TPPpfepDlg_RegExprValidator;
typedef struct fepDlg__TPpfepDlg_RegExprValidator_pattern* fepDlg__TPPpfepDlg_RegExprValidator_pattern;
typedef struct fepDlg__TPpfepDlg_StringLengthValidator* fepDlg__TPPpfepDlg_StringLengthValidator;
typedef struct fepDlg__TPpfepDlg_StringLengthValidator_min* fepDlg__TPPpfepDlg_StringLengthValidator_min;
typedef struct fepDlg__TPpfepDlg_StringLengthValidator_max* fepDlg__TPPpfepDlg_StringLengthValidator_max;
typedef struct fepDlg__TPpfepDlg_LongRangeValidator* fepDlg__TPPpfepDlg_LongRangeValidator;
typedef struct fepDlg__TPpfepDlg_LongRangeValidator_min* fepDlg__TPPpfepDlg_LongRangeValidator_min;
typedef struct fepDlg__TPpfepDlg_LongRangeValidator_max* fepDlg__TPPpfepDlg_LongRangeValidator_max;
typedef struct fepDlg__TPpfepDlg_DoubleRangeValidator* fepDlg__TPPpfepDlg_DoubleRangeValidator;
typedef struct fepDlg__TPpfepDlg_DoubleRangeValidator_min* fepDlg__TPPpfepDlg_DoubleRangeValidator_min;
typedef struct fepDlg__TPpfepDlg_DoubleRangeValidator_max* fepDlg__TPPpfepDlg_DoubleRangeValidator_max;
typedef struct fepDlg__TPpfepDlg_IntegerNumberConverter* fepDlg__TPPpfepDlg_IntegerNumberConverter;
typedef struct fepDlg__TPpfepDlg_IntegerNumberConverter_minIntegerDigits* fepDlg__TPPpfepDlg_IntegerNumberConverter_minIntegerDigits;
typedef struct fepDlg__TPpfepDlg_IntegerNumberConverter_maxIntegerDigits* fepDlg__TPPpfepDlg_IntegerNumberConverter_maxIntegerDigits;
typedef struct fepDlg__TPpfepDlg_DoubleNumberConverter* fepDlg__TPPpfepDlg_DoubleNumberConverter;
typedef struct fepDlg__TPpfepDlg_DoubleNumberConverter_minIntegerDigits* fepDlg__TPPpfepDlg_DoubleNumberConverter_minIntegerDigits;
typedef struct fepDlg__TPpfepDlg_DoubleNumberConverter_maxIntegerDigits* fepDlg__TPPpfepDlg_DoubleNumberConverter_maxIntegerDigits;
typedef struct fepDlg__TPpfepDlg_DoubleNumberConverter_minFractionDigits* fepDlg__TPPpfepDlg_DoubleNumberConverter_minFractionDigits;
typedef struct fepDlg__TPpfepDlg_DoubleNumberConverter_maxFractionDigits* fepDlg__TPPpfepDlg_DoubleNumberConverter_maxFractionDigits;
typedef struct fepDlg__TPpfepDlg_IntegerConverter* fepDlg__TPPpfepDlg_IntegerConverter;
typedef struct fepDlg__TPpfepDlg_LongConverter* fepDlg__TPPpfepDlg_LongConverter;
typedef struct fepDlg__TPpfepDlg_BigIntegerConverter* fepDlg__TPPpfepDlg_BigIntegerConverter;
typedef struct fepDlg__TPpfepDlg_FloatConverter* fepDlg__TPPpfepDlg_FloatConverter;
typedef struct fepDlg__TPpfepDlg_DoubleConverter* fepDlg__TPPpfepDlg_DoubleConverter;
typedef struct fepDlg__TPpfepDlg_BooleanConverter* fepDlg__TPPpfepDlg_BooleanConverter;
typedef struct fepDlg__TPpfepDlg_DateTimeConverter* fepDlg__TPPpfepDlg_DateTimeConverter;
typedef struct fepDlg__TPpfepDlg_PatternConverter* fepDlg__TPPpfepDlg_PatternConverter;
typedef struct fepDlg__TPpfepDlg_PatternConverter_pattern* fepDlg__TPPpfepDlg_PatternConverter_pattern;
typedef struct fepDlg__TPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator* fepDlg__TPPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator;
typedef struct fepDlg__TPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator* fepDlg__TPPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator;
typedef struct fepDlg__TPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator* fepDlg__TPPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator;
typedef struct fepDlg__TPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator* fepDlg__TPPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator;
typedef struct fepDlg__TPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator* fepDlg__TPPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator;
typedef struct fepDlg__TPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator* fepDlg__TPPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator;
typedef struct fepDlg__TPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter;
typedef struct fepDlg__TPLST_0pfepDlg_FormularPasswordElement_validator* fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator;
typedef struct fepDlg__TPLST_0pfepDlg_FormularPasswordElement_converter* fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter;

struct fepDlg__TSVIEWROOT
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_FormularPasswordElement
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularPasswordElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_FormularPasswordElement_name
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_FormularPasswordElement_label
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_FormularPasswordElement_description
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_FormularPasswordElement_redisplay
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_FormularPasswordElement_pvalue
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_FormularPasswordElement_required
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_FormularPasswordElement_validator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_DoubleRangeValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_LongRangeValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELongRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_StringLengthValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStringLengthValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_RegExprValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MERegExprValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_CreditCardValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_EmailValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_PatternConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPatternConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_DateTimeConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_BooleanConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_DoubleConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_FloatConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_BigIntegerConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_LongConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_IntegerConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_DoubleNumberConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_IntegerNumberConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEIntegerNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fepDlg__TSfepDlg_RegExprValidator_pattern
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_StringLengthValidator_min
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_StringLengthValidator_max
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_LongRangeValidator_min
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_LongRangeValidator_max
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_DoubleRangeValidator_min
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_DoubleRangeValidator_max
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_IntegerNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_IntegerNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_DoubleNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_DoubleNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_DoubleNumberConverter_minFractionDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_DoubleNumberConverter_maxFractionDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSfepDlg_PatternConverter_pattern
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSLST_fepDlg_FormularPasswordElement_validator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TSLST_fepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpEmpty
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpVIEWROOT_fepDlg
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_FormularPasswordElement _desc1;
};

struct fepDlg__TPpfepDlg_FormularPasswordElement
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularPasswordElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fepDlg__TSPfepDlg_FormularPasswordElement_name _desc1;
fepDlg__TSPfepDlg_FormularPasswordElement_label _desc2;
fepDlg__TSPfepDlg_FormularPasswordElement_description _desc3;
fepDlg__TSPfepDlg_FormularPasswordElement_redisplay _desc4;
fepDlg__TSPfepDlg_FormularPasswordElement_pvalue _desc5;
fepDlg__TSPfepDlg_FormularPasswordElement_required _desc6;
fepDlg__TSPfepDlg_FormularPasswordElement_validator _desc7;
fepDlg__TSPfepDlg_FormularPasswordElement_converter _desc8;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_FormularPasswordElement_name
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_FormularPasswordElement_label
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_FormularPasswordElement_description
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_FormularPasswordElement_redisplay
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_FormularPasswordElement_pvalue
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_FormularPasswordElement_required
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_FormularPasswordElement_validator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator _desc1;
};

struct fepDlg__TPpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc1;
};

struct fepDlg__TPpfepDlg_EmailValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_CreditCardValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_RegExprValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MERegExprValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fepDlg__TSPfepDlg_RegExprValidator_pattern _desc1;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_RegExprValidator_pattern
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_StringLengthValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStringLengthValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fepDlg__TSPfepDlg_StringLengthValidator_min _desc1;
fepDlg__TSPfepDlg_StringLengthValidator_max _desc2;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_StringLengthValidator_min
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_StringLengthValidator_max
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_LongRangeValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELongRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fepDlg__TSPfepDlg_LongRangeValidator_min _desc1;
fepDlg__TSPfepDlg_LongRangeValidator_max _desc2;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_LongRangeValidator_min
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_LongRangeValidator_max
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_DoubleRangeValidator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fepDlg__TSPfepDlg_DoubleRangeValidator_min _desc1;
fepDlg__TSPfepDlg_DoubleRangeValidator_max _desc2;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_DoubleRangeValidator_min
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_DoubleRangeValidator_max
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_IntegerNumberConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEIntegerNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fepDlg__TSPfepDlg_IntegerNumberConverter_minIntegerDigits _desc1;
fepDlg__TSPfepDlg_IntegerNumberConverter_maxIntegerDigits _desc2;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_IntegerNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_IntegerNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_DoubleNumberConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fepDlg__TSPfepDlg_DoubleNumberConverter_minIntegerDigits _desc1;
fepDlg__TSPfepDlg_DoubleNumberConverter_maxIntegerDigits _desc2;
fepDlg__TSPfepDlg_DoubleNumberConverter_minFractionDigits _desc3;
fepDlg__TSPfepDlg_DoubleNumberConverter_maxFractionDigits _desc4;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_DoubleNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_DoubleNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_DoubleNumberConverter_minFractionDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_DoubleNumberConverter_maxFractionDigits
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPpfepDlg_IntegerConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_LongConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_BigIntegerConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_FloatConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_DoubleConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_BooleanConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_DateTimeConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_PatternConverter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPatternConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fepDlg__TSPfepDlg_PatternConverter_pattern _desc1;
int _ATTERM_1;
};

struct fepDlg__TPpfepDlg_PatternConverter_pattern
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fepDlg__TPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_DoubleRangeValidator _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator _desc2;
};

struct fepDlg__TPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_LongRangeValidator _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator _desc2;
};

struct fepDlg__TPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_StringLengthValidator _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator _desc2;
};

struct fepDlg__TPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_RegExprValidator _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator _desc2;
};

struct fepDlg__TPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_CreditCardValidator _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator _desc2;
};

struct fepDlg__TPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_EmailValidator _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator _desc2;
};

struct fepDlg__TPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_PatternConverter _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc2;
};

struct fepDlg__TPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_DateTimeConverter _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc2;
};

struct fepDlg__TPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_BooleanConverter _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc2;
};

struct fepDlg__TPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_DoubleConverter _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc2;
};

struct fepDlg__TPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_FloatConverter _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc2;
};

struct fepDlg__TPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_BigIntegerConverter _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc2;
};

struct fepDlg__TPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_LongConverter _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc2;
};

struct fepDlg__TPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_IntegerConverter _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc2;
};

struct fepDlg__TPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_DoubleNumberConverter _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc2;
};

struct fepDlg__TPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fepDlg__TSPfepDlg_IntegerNumberConverter _desc1;
fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter _desc2;
};

struct fepDlg__TPLST_0pfepDlg_FormularPasswordElement_validator
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct fepDlg__TPLST_0pfepDlg_FormularPasswordElement_converter
#ifdef __cplusplus
	: public fepDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
