
/* interface of tree construction functions */

#ifndef fesDlg_TREECON_H
#define fesDlg_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "fesDlg_nodeptr.h"

#include "HEAD.h"


extern void fesDlg_InitTree ELI_ARG((void));

extern void fesDlg_FreeTree ELI_ARG((void));

extern NODEPTR fesDlg_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_FormularSelectElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_FormularSelectElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_FormularSelectElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_FormularSelectElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_FormularSelectElement_size ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_FormularSelectElement_multiple ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_FormularSelectElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_FormularSelectElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_FormularSelectElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_PatternConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_DateTimeConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_BooleanConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_DoubleConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_FloatConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_BigIntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_LongConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_IntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_IntegerNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkfesDlg_PatternConverter_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fesDlg_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpVIEWROOT_fesDlg ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR fesDlg_MkpfesDlg_FormularSelectElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_size ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_multiple ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_required ELI_ARG((POSITION *_coordref));
#define fesDlg_Mk0pfesDlg_FormularSelectElement_converter(_coordref) NULLNODEPTR
extern NODEPTR fesDlg_Mk2pfesDlg_FormularSelectElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR fesDlg_MkpfesDlg_IntegerNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR fesDlg_MkpfesDlg_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fesDlg_MkpfesDlg_IntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fesDlg_MkpfesDlg_LongConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fesDlg_MkpfesDlg_BigIntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fesDlg_MkpfesDlg_FloatConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fesDlg_MkpfesDlg_DoubleConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fesDlg_MkpfesDlg_BooleanConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fesDlg_MkpfesDlg_DateTimeConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fesDlg_MkpfesDlg_PatternConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR fesDlg_MkpfesDlg_PatternConverter_pattern ELI_ARG((POSITION *_coordref));
#define fesDlg_MkID(pos,val) (val)
#endif
