
/* interface of tree construction functions */

#ifndef navigationBarView_TREECON_H
#define navigationBarView_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "navigationBarView_nodeptr.h"

#include "HEAD.h"


extern void navigationBarView_InitTree ELI_ARG((void));

extern void navigationBarView_FreeTree ELI_ARG((void));

extern NODEPTR navigationBarView_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR navigationBarView_MknavigationBarView_NavigationBar ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR navigationBarView_MknavigationBarView_NavigationBar_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR navigationBarView_MknavigationBarView_NavigationBar_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR navigationBarView_MknavigationBarView_NavigationBar_alignment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR navigationBarView_MknavigationBarView_NavigationBarElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR navigationBarView_MknavigationBarView_NavigationBarElement_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR navigationBarView_MknavigationBarView_NavigationBarElement_target ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR navigationBarView_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR navigationBarView_MkpVIEWROOT_navigationBarView ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define navigationBarView_Mk0pnavigationBarView_NavigationBar_elements(_coordref) NULLNODEPTR
extern NODEPTR navigationBarView_Mk2pnavigationBarView_NavigationBar_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar_alignment ELI_ARG((POSITION *_coordref));
extern NODEPTR navigationBarView_MkpnavigationBarView_NavigationBarElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR navigationBarView_MkpnavigationBarView_NavigationBarElement_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR navigationBarView_MkpnavigationBarView_NavigationBarElement_target ELI_ARG((POSITION *_coordref));
#define navigationBarView_MkID(pos,val) (val)
#endif
