
#include "patterns.h"

///out-file: patterns.h

///public:
int distributeTableColumns(VLHashtable *cellWidth, VLHashtable *relPos, VLList rows, int pad)
{
  int pos=0;

  for(int i=0; i<rows.getLength(); i++) {
    VLString row = rows.getIndex(i);
    relPos->set(row, VLInt(pos));
    pos += VLInt(cellWidth->get(row)) + (i<rows.getLength()-1 ? pad : 0);
    
  }
  
  return pos;
}



///public:
void vlCreateCellBorder(int px, int py, int sx, int sy, VLObjectPointer matrixRow, VLObjectPointer matrixColumn, VLList attrs)
{
  vlCreateObject(matrixRow, "line", VLRegion(VLPoint(px,py), VLPoint(0,sy)), attrs);
  vlCreateObject(matrixRow, "line", VLRegion(VLPoint(px+sx,py), VLPoint(0,sy)), attrs);

  vlCreateObject(matrixColumn, "line", VLRegion(VLPoint(px,py), VLPoint(sx,0)), attrs);
  vlCreateObject(matrixColumn, "line", VLRegion(VLPoint(px,py+sy), VLPoint(sx,0)), attrs);
}



/////////////////////////////////////////////////////////////////////////////////
