
/* definition of tree node structure */

#ifndef stylesheetView_NODE_H
#define stylesheetView_NODE_H
#include "err.h"
#include "stylesheetView_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef stylesheetView_NODEPTRSUBSTRUCT
#define stylesheetView_NODEPTRSUBSTRUCT
struct stylesheetView_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct stylesheetView__TSVIEWROOT* stylesheetView__TSPVIEWROOT;
typedef struct stylesheetView__TSstylesheetView_StyleSheet* stylesheetView__TSPstylesheetView_StyleSheet;
typedef struct stylesheetView__TSstylesheetView_StyleSheet_name* stylesheetView__TSPstylesheetView_StyleSheet_name;
typedef struct stylesheetView__TSstylesheetView_StyleSheet_custom* stylesheetView__TSPstylesheetView_StyleSheet_custom;
typedef struct stylesheetView__TSstylesheetView_StyleSheet_default* stylesheetView__TSPstylesheetView_StyleSheet_default;
typedef struct stylesheetView__TSstylesheetView_CustomStyleSheetBlock* stylesheetView__TSPstylesheetView_CustomStyleSheetBlock;
typedef struct stylesheetView__TSstylesheetView_HtmlStyleSheetBlock* stylesheetView__TSPstylesheetView_HtmlStyleSheetBlock;
typedef struct stylesheetView__TSstylesheetView_CustomStyleSheetBlock_pairs* stylesheetView__TSPstylesheetView_CustomStyleSheetBlock_pairs;
typedef struct stylesheetView__TSstylesheetView_CustomStyleSheetBlock_name* stylesheetView__TSPstylesheetView_CustomStyleSheetBlock_name;
typedef struct stylesheetView__TSstylesheetView_StyleSheetPair* stylesheetView__TSPstylesheetView_StyleSheetPair;
typedef struct stylesheetView__TSstylesheetView_StyleSheetPair_category* stylesheetView__TSPstylesheetView_StyleSheetPair_category;
typedef struct stylesheetView__TSstylesheetView_StyleSheetPair_attribute* stylesheetView__TSPstylesheetView_StyleSheetPair_attribute;
typedef struct stylesheetView__TSstylesheetView_StyleSheetPair_valueCategory* stylesheetView__TSPstylesheetView_StyleSheetPair_valueCategory;
typedef struct stylesheetView__TSstylesheetView_StyleSheetPair_value* stylesheetView__TSPstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TSstylesheetView_CustomValue* stylesheetView__TSPstylesheetView_CustomValue;
typedef struct stylesheetView__TSstylesheetView_ListValue* stylesheetView__TSPstylesheetView_ListValue;
typedef struct stylesheetView__TSstylesheetView_AlignmentValue* stylesheetView__TSPstylesheetView_AlignmentValue;
typedef struct stylesheetView__TSstylesheetView_HeadingValue* stylesheetView__TSPstylesheetView_HeadingValue;
typedef struct stylesheetView__TSstylesheetView_StyleValue* stylesheetView__TSPstylesheetView_StyleValue;
typedef struct stylesheetView__TSstylesheetView_FamilyValue* stylesheetView__TSPstylesheetView_FamilyValue;
typedef struct stylesheetView__TSstylesheetView_ColorValue* stylesheetView__TSPstylesheetView_ColorValue;
typedef struct stylesheetView__TSstylesheetView_SizeValue* stylesheetView__TSPstylesheetView_SizeValue;
typedef struct stylesheetView__TSstylesheetView_SizeValue_measure* stylesheetView__TSPstylesheetView_SizeValue_measure;
typedef struct stylesheetView__TSstylesheetView_SizeValue_value* stylesheetView__TSPstylesheetView_SizeValue_value;
typedef struct stylesheetView__TSstylesheetView_ColorValue_color* stylesheetView__TSPstylesheetView_ColorValue_color;
typedef struct stylesheetView__TSstylesheetView_FamilyValue_family* stylesheetView__TSPstylesheetView_FamilyValue_family;
typedef struct stylesheetView__TSstylesheetView_StyleValue_style* stylesheetView__TSPstylesheetView_StyleValue_style;
typedef struct stylesheetView__TSstylesheetView_HeadingValue_heading* stylesheetView__TSPstylesheetView_HeadingValue_heading;
typedef struct stylesheetView__TSstylesheetView_AlignmentValue_alignment* stylesheetView__TSPstylesheetView_AlignmentValue_alignment;
typedef struct stylesheetView__TSstylesheetView_ListValue_listed* stylesheetView__TSPstylesheetView_ListValue_listed;
typedef struct stylesheetView__TSstylesheetView_CustomValue_value* stylesheetView__TSPstylesheetView_CustomValue_value;
typedef struct stylesheetView__TSstylesheetView_HtmlStyleSheetBlock_pairs* stylesheetView__TSPstylesheetView_HtmlStyleSheetBlock_pairs;
typedef struct stylesheetView__TSstylesheetView_HtmlStyleSheetBlock_name* stylesheetView__TSPstylesheetView_HtmlStyleSheetBlock_name;
typedef struct stylesheetView__TSLST_stylesheetView_StyleSheet_custom* stylesheetView__TSPLST_stylesheetView_StyleSheet_custom;
typedef struct stylesheetView__TSLST_stylesheetView_StyleSheet_default* stylesheetView__TSPLST_stylesheetView_StyleSheet_default;
typedef struct stylesheetView__TSLST_stylesheetView_CustomStyleSheetBlock_pairs* stylesheetView__TSPLST_stylesheetView_CustomStyleSheetBlock_pairs;
typedef struct stylesheetView__TSLST_stylesheetView_StyleSheetPair_value* stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TSLST_stylesheetView_HtmlStyleSheetBlock_pairs* stylesheetView__TSPLST_stylesheetView_HtmlStyleSheetBlock_pairs;
typedef struct stylesheetView__TPpEmpty* stylesheetView__TPPpEmpty;
typedef struct stylesheetView__TPpVIEWROOT_stylesheetView* stylesheetView__TPPpVIEWROOT_stylesheetView;
typedef struct stylesheetView__TPpstylesheetView_StyleSheet* stylesheetView__TPPpstylesheetView_StyleSheet;
typedef struct stylesheetView__TPpstylesheetView_StyleSheet_name* stylesheetView__TPPpstylesheetView_StyleSheet_name;
typedef struct stylesheetView__TPpstylesheetView_StyleSheet_custom* stylesheetView__TPPpstylesheetView_StyleSheet_custom;
typedef struct stylesheetView__TPpstylesheetView_StyleSheet_default* stylesheetView__TPPpstylesheetView_StyleSheet_default;
typedef struct stylesheetView__TPpstylesheetView_CustomStyleSheetBlock* stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock;
typedef struct stylesheetView__TPpstylesheetView_CustomStyleSheetBlock_pairs* stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock_pairs;
typedef struct stylesheetView__TPpstylesheetView_CustomStyleSheetBlock_name* stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock_name;
typedef struct stylesheetView__TPpstylesheetView_StyleSheetPair* stylesheetView__TPPpstylesheetView_StyleSheetPair;
typedef struct stylesheetView__TPpstylesheetView_StyleSheetPair_category* stylesheetView__TPPpstylesheetView_StyleSheetPair_category;
typedef struct stylesheetView__TPpstylesheetView_StyleSheetPair_attribute* stylesheetView__TPPpstylesheetView_StyleSheetPair_attribute;
typedef struct stylesheetView__TPpstylesheetView_StyleSheetPair_valueCategory* stylesheetView__TPPpstylesheetView_StyleSheetPair_valueCategory;
typedef struct stylesheetView__TPpstylesheetView_StyleSheetPair_value* stylesheetView__TPPpstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TPpstylesheetView_SizeValue* stylesheetView__TPPpstylesheetView_SizeValue;
typedef struct stylesheetView__TPpstylesheetView_SizeValue_measure* stylesheetView__TPPpstylesheetView_SizeValue_measure;
typedef struct stylesheetView__TPpstylesheetView_SizeValue_value* stylesheetView__TPPpstylesheetView_SizeValue_value;
typedef struct stylesheetView__TPpstylesheetView_ColorValue* stylesheetView__TPPpstylesheetView_ColorValue;
typedef struct stylesheetView__TPpstylesheetView_ColorValue_color* stylesheetView__TPPpstylesheetView_ColorValue_color;
typedef struct stylesheetView__TPpstylesheetView_FamilyValue* stylesheetView__TPPpstylesheetView_FamilyValue;
typedef struct stylesheetView__TPpstylesheetView_FamilyValue_family* stylesheetView__TPPpstylesheetView_FamilyValue_family;
typedef struct stylesheetView__TPpstylesheetView_StyleValue* stylesheetView__TPPpstylesheetView_StyleValue;
typedef struct stylesheetView__TPpstylesheetView_StyleValue_style* stylesheetView__TPPpstylesheetView_StyleValue_style;
typedef struct stylesheetView__TPpstylesheetView_HeadingValue* stylesheetView__TPPpstylesheetView_HeadingValue;
typedef struct stylesheetView__TPpstylesheetView_HeadingValue_heading* stylesheetView__TPPpstylesheetView_HeadingValue_heading;
typedef struct stylesheetView__TPpstylesheetView_AlignmentValue* stylesheetView__TPPpstylesheetView_AlignmentValue;
typedef struct stylesheetView__TPpstylesheetView_AlignmentValue_alignment* stylesheetView__TPPpstylesheetView_AlignmentValue_alignment;
typedef struct stylesheetView__TPpstylesheetView_ListValue* stylesheetView__TPPpstylesheetView_ListValue;
typedef struct stylesheetView__TPpstylesheetView_ListValue_listed* stylesheetView__TPPpstylesheetView_ListValue_listed;
typedef struct stylesheetView__TPpstylesheetView_CustomValue* stylesheetView__TPPpstylesheetView_CustomValue;
typedef struct stylesheetView__TPpstylesheetView_CustomValue_value* stylesheetView__TPPpstylesheetView_CustomValue_value;
typedef struct stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock* stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock;
typedef struct stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock_pairs* stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock_pairs;
typedef struct stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock_name* stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock_name;
typedef struct stylesheetView__TPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom* stylesheetView__TPPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom;
typedef struct stylesheetView__TPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default* stylesheetView__TPPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default;
typedef struct stylesheetView__TPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs* stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs;
typedef struct stylesheetView__TPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value* stylesheetView__TPPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value* stylesheetView__TPPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value* stylesheetView__TPPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value* stylesheetView__TPPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value* stylesheetView__TPPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value* stylesheetView__TPPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value* stylesheetView__TPPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value* stylesheetView__TPPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs* stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs;
typedef struct stylesheetView__TPLST_0pstylesheetView_StyleSheet_custom* stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom;
typedef struct stylesheetView__TPLST_0pstylesheetView_StyleSheet_default* stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default;
typedef struct stylesheetView__TPLST_0pstylesheetView_CustomStyleSheetBlock_pairs* stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs;
typedef struct stylesheetView__TPLST_0pstylesheetView_StyleSheetPair_value* stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value;
typedef struct stylesheetView__TPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs* stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs;

struct stylesheetView__TSVIEWROOT
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_StyleSheet
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleSheetPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct stylesheetView__TSstylesheetView_StyleSheet_name
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_StyleSheet_custom
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
};

struct stylesheetView__TSstylesheetView_StyleSheet_default
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
};

struct stylesheetView__TSstylesheetView_CustomStyleSheetBlock
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MECustomStyleSheetBlockPtr _ATobjPtr;
int _ATVPNumberedElement_number;
int _ATVPSpaceDistribElement_realPad;
int _ATVPSpaceDistribElement_required;
VLPoint _ATpad;
VisDrawingTrafoPtr _ATdrawingTrafo;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
};

struct stylesheetView__TSstylesheetView_HtmlStyleSheetBlock
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHtmlStyleSheetBlockPtr _ATobjPtr;
int _ATVPNumberedElement_number;
int _ATVPSpaceDistribElement_realPad;
int _ATVPSpaceDistribElement_required;
VLPoint _ATpad;
VisDrawingTrafoPtr _ATdrawingTrafo;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
};

struct stylesheetView__TSstylesheetView_CustomStyleSheetBlock_pairs
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
VisContainerInterface2Ptr _ATcontainerSubElement;
int _ATpreferedWidth;
VLHashtablePtr _ATcellWidth;
VLHashtablePtr _ATabsPos;
VLPoint _ATiPreferedSize;
int _ATVPNumberedList_elementCount;
int _ATVPSpaceDistrib_required;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPosition;
VLPoint _ATpad;
};

struct stylesheetView__TSstylesheetView_CustomStyleSheetBlock_name
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
VisContainerInterface2Ptr _ATcontainerSubElement;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
};

struct stylesheetView__TSstylesheetView_StyleSheetPair
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleSheetPairPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_provided;
int _ATVPSpaceDistribElement_relPos;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
int _ATVPSpaceDistribElement_required;
};

struct stylesheetView__TSstylesheetView_StyleSheetPair_category
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_StyleSheetPair_attribute
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLString _ATcellName;
VLPoint _ATpad;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATiPreferedSize;
};

struct stylesheetView__TSstylesheetView_StyleSheetPair_valueCategory
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATcellName;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
};

struct stylesheetView__TSstylesheetView_CustomValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MECustomValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct stylesheetView__TSstylesheetView_ListValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct stylesheetView__TSstylesheetView_AlignmentValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEAlignmentValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct stylesheetView__TSstylesheetView_HeadingValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHeadingValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct stylesheetView__TSstylesheetView_StyleValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct stylesheetView__TSstylesheetView_FamilyValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFamilyValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct stylesheetView__TSstylesheetView_ColorValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColorValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct stylesheetView__TSstylesheetView_SizeValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESizeValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct stylesheetView__TSstylesheetView_SizeValue_measure
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_SizeValue_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_ColorValue_color
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_FamilyValue_family
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_StyleValue_style
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_HeadingValue_heading
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_AlignmentValue_alignment
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_ListValue_listed
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_CustomValue_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSstylesheetView_HtmlStyleSheetBlock_pairs
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
VisContainerInterface2Ptr _ATcontainerSubElement;
int _ATpreferedWidth;
VLHashtablePtr _ATcellWidth;
VLHashtablePtr _ATabsPos;
VLPoint _ATiPreferedSize;
int _ATVPNumberedList_elementCount;
int _ATVPSpaceDistrib_required;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPosition;
VLPoint _ATpad;
};

struct stylesheetView__TSstylesheetView_HtmlStyleSheetBlock_name
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
VisContainerInterface2Ptr _ATcontainerSubElement;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
};

struct stylesheetView__TSLST_stylesheetView_StyleSheet_custom
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSLST_stylesheetView_StyleSheet_default
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSLST_stylesheetView_CustomStyleSheetBlock_pairs
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSLST_stylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TSLST_stylesheetView_HtmlStyleSheetBlock_pairs
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpEmpty
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpVIEWROOT_stylesheetView
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_StyleSheet _desc1;
};

struct stylesheetView__TPpstylesheetView_StyleSheet
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleSheetPtr _ATobjPtr;
VLObjectPointer _ATobjId;
stylesheetView__TSPstylesheetView_StyleSheet_name _desc1;
stylesheetView__TSPstylesheetView_StyleSheet_custom _desc2;
stylesheetView__TSPstylesheetView_StyleSheet_default _desc3;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_StyleSheet_name
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_StyleSheet_custom
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
stylesheetView__TSPLST_stylesheetView_StyleSheet_custom _desc1;
};

struct stylesheetView__TPpstylesheetView_StyleSheet_default
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
stylesheetView__TSPLST_stylesheetView_StyleSheet_default _desc1;
};

struct stylesheetView__TPpstylesheetView_CustomStyleSheetBlock
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MECustomStyleSheetBlockPtr _ATobjPtr;
int _ATVPNumberedElement_number;
int _ATVPSpaceDistribElement_realPad;
int _ATVPSpaceDistribElement_required;
VLPoint _ATpad;
VisDrawingTrafoPtr _ATdrawingTrafo;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
stylesheetView__TSPstylesheetView_CustomStyleSheetBlock_pairs _desc1;
stylesheetView__TSPstylesheetView_CustomStyleSheetBlock_name _desc2;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_CustomStyleSheetBlock_pairs
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
VisContainerInterface2Ptr _ATcontainerSubElement;
int _ATpreferedWidth;
VLHashtablePtr _ATcellWidth;
VLHashtablePtr _ATabsPos;
VLPoint _ATiPreferedSize;
int _ATVPNumberedList_elementCount;
int _ATVPSpaceDistrib_required;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPosition;
VLPoint _ATpad;
stylesheetView__TSPLST_stylesheetView_CustomStyleSheetBlock_pairs _desc1;
};

struct stylesheetView__TPpstylesheetView_CustomStyleSheetBlock_name
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
VisContainerInterface2Ptr _ATcontainerSubElement;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
};

struct stylesheetView__TPpstylesheetView_StyleSheetPair
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleSheetPairPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_provided;
int _ATVPSpaceDistribElement_relPos;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
int _ATVPSpaceDistribElement_required;
stylesheetView__TSPstylesheetView_StyleSheetPair_category _desc1;
stylesheetView__TSPstylesheetView_StyleSheetPair_attribute _desc2;
stylesheetView__TSPstylesheetView_StyleSheetPair_valueCategory _desc3;
stylesheetView__TSPstylesheetView_StyleSheetPair_value _desc4;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_StyleSheetPair_category
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_StyleSheetPair_attribute
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLString _ATcellName;
VLPoint _ATpad;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATiPreferedSize;
};

struct stylesheetView__TPpstylesheetView_StyleSheetPair_valueCategory
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATcellName;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value _desc1;
};

struct stylesheetView__TPpstylesheetView_SizeValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESizeValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
stylesheetView__TSPstylesheetView_SizeValue_measure _desc1;
stylesheetView__TSPstylesheetView_SizeValue_value _desc2;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_SizeValue_measure
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_SizeValue_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_ColorValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColorValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
stylesheetView__TSPstylesheetView_ColorValue_color _desc1;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_ColorValue_color
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_FamilyValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFamilyValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
stylesheetView__TSPstylesheetView_FamilyValue_family _desc1;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_FamilyValue_family
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_StyleValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
stylesheetView__TSPstylesheetView_StyleValue_style _desc1;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_StyleValue_style
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_HeadingValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHeadingValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
stylesheetView__TSPstylesheetView_HeadingValue_heading _desc1;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_HeadingValue_heading
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_AlignmentValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEAlignmentValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
stylesheetView__TSPstylesheetView_AlignmentValue_alignment _desc1;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_AlignmentValue_alignment
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_ListValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
stylesheetView__TSPstylesheetView_ListValue_listed _desc1;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_ListValue_listed
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_CustomValue
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MECustomValuePtr _ATobjPtr;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
stylesheetView__TSPstylesheetView_CustomValue_value _desc1;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_CustomValue_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHtmlStyleSheetBlockPtr _ATobjPtr;
int _ATVPNumberedElement_number;
int _ATVPSpaceDistribElement_realPad;
int _ATVPSpaceDistribElement_required;
VLPoint _ATpad;
VisDrawingTrafoPtr _ATdrawingTrafo;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VLPoint _ATiPreferedSize;
VLObjectPointer _ATobjId;
stylesheetView__TSPstylesheetView_HtmlStyleSheetBlock_pairs _desc1;
stylesheetView__TSPstylesheetView_HtmlStyleSheetBlock_name _desc2;
int _ATTERM_1;
};

struct stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock_pairs
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
VisContainerInterface2Ptr _ATcontainerSubElement;
int _ATpreferedWidth;
VLHashtablePtr _ATcellWidth;
VLHashtablePtr _ATabsPos;
VLPoint _ATiPreferedSize;
int _ATVPNumberedList_elementCount;
int _ATVPSpaceDistrib_required;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPosition;
VLPoint _ATpad;
stylesheetView__TSPLST_stylesheetView_HtmlStyleSheetBlock_pairs _desc1;
};

struct stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock_name
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
VisContainerInterface2Ptr _ATcontainerSubElement;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
};

struct stylesheetView__TPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_CustomStyleSheetBlock _desc1;
stylesheetView__TSPLST_stylesheetView_StyleSheet_custom _desc2;
};

struct stylesheetView__TPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_HtmlStyleSheetBlock _desc1;
stylesheetView__TSPLST_stylesheetView_StyleSheet_default _desc2;
};

struct stylesheetView__TPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_StyleSheetPair _desc1;
stylesheetView__TSPLST_stylesheetView_CustomStyleSheetBlock_pairs _desc2;
};

struct stylesheetView__TPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_CustomValue _desc1;
stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value _desc2;
};

struct stylesheetView__TPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_ListValue _desc1;
stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value _desc2;
};

struct stylesheetView__TPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_AlignmentValue _desc1;
stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value _desc2;
};

struct stylesheetView__TPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_HeadingValue _desc1;
stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value _desc2;
};

struct stylesheetView__TPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_StyleValue _desc1;
stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value _desc2;
};

struct stylesheetView__TPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_FamilyValue _desc1;
stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value _desc2;
};

struct stylesheetView__TPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_ColorValue _desc1;
stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value _desc2;
};

struct stylesheetView__TPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_SizeValue _desc1;
stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value _desc2;
};

struct stylesheetView__TPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
stylesheetView__TSPstylesheetView_StyleSheetPair _desc1;
stylesheetView__TSPLST_stylesheetView_HtmlStyleSheetBlock_pairs _desc2;
};

struct stylesheetView__TPLST_0pstylesheetView_StyleSheet_custom
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct stylesheetView__TPLST_0pstylesheetView_StyleSheet_default
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct stylesheetView__TPLST_0pstylesheetView_CustomStyleSheetBlock_pairs
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct stylesheetView__TPLST_0pstylesheetView_StyleSheetPair_value
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct stylesheetView__TPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs
#ifdef __cplusplus
	: public stylesheetView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
