/* implementation of monitoring support for attribution */

#ifdef MONITOR

#include "node.h"
#include "treecon.h"
#include"nodecode.h"

char *webActionView_abs_prods[] = {
  "{LST_0pwebActionView_LoginOperation_errorhandler} {LST_webActionView_LoginOperation_errorhandler} \"[list]\"",
  "{LST_0pwebActionView_LogoutOperation_errorhandler} {LST_webActionView_LogoutOperation_errorhandler} \"[list]\"",
  "{LST_0pwebActionView_MailingOperation_errorhandler} {LST_webActionView_MailingOperation_errorhandler} \"[list]\"",
  "{LST_0pwebActionView_JavaOperation_errorhandler} {LST_webActionView_JavaOperation_errorhandler} \"[list]\"",
  "{LST_0pwebActionView_DataBaseOperation_params} {LST_webActionView_DataBaseOperation_params} \"[list]\"",
  "{LST_0pwebActionView_DataBaseOperation_errorhandler} {LST_webActionView_DataBaseOperation_errorhandler} \"[list]\"",
  "{LST_0pwebActionView_WebAction_operations} {LST_webActionView_WebAction_operations} \"[list]\"",
  "{LST_0pwebActionView_WebAction_formalParameter} {LST_webActionView_WebAction_formalParameter} \"[list]\"",
  "{LST_0pwebActionView_ActionHandler_params} {LST_webActionView_ActionHandler_params} \"[list]\"",
  "{LST_webActionView_ActionHandlerpwebActionView_LoginOperation_errorhandler} {LST_webActionView_LoginOperation_errorhandler} \"[list webActionView_ActionHandler LST_webActionView_LoginOperation_errorhandler]\"",
  "{LST_webActionView_ActionHandlerpwebActionView_LogoutOperation_errorhandler} {LST_webActionView_LogoutOperation_errorhandler} \"[list webActionView_ActionHandler LST_webActionView_LogoutOperation_errorhandler]\"",
  "{LST_webActionView_ActionHandlerpwebActionView_MailingOperation_errorhandler} {LST_webActionView_MailingOperation_errorhandler} \"[list webActionView_ActionHandler LST_webActionView_MailingOperation_errorhandler]\"",
  "{LST_webActionView_ActionHandlerpwebActionView_JavaOperation_errorhandler} {LST_webActionView_JavaOperation_errorhandler} \"[list webActionView_ActionHandler LST_webActionView_JavaOperation_errorhandler]\"",
  "{LST_webActionView_DataSourceActualParampwebActionView_DataBaseOperation_params} {LST_webActionView_DataBaseOperation_params} \"[list webActionView_DataSourceActualParam LST_webActionView_DataBaseOperation_params]\"",
  "{LST_webActionView_ActionHandlerpwebActionView_DataBaseOperation_errorhandler} {LST_webActionView_DataBaseOperation_errorhandler} \"[list webActionView_ActionHandler LST_webActionView_DataBaseOperation_errorhandler]\"",
  "{LST_webActionView_DataBaseOperationpwebActionView_WebAction_operations} {LST_webActionView_WebAction_operations} \"[list webActionView_DataBaseOperation LST_webActionView_WebAction_operations]\"",
  "{LST_webActionView_JavaOperationpwebActionView_WebAction_operations} {LST_webActionView_WebAction_operations} \"[list webActionView_JavaOperation LST_webActionView_WebAction_operations]\"",
  "{LST_webActionView_MailingOperationpwebActionView_WebAction_operations} {LST_webActionView_WebAction_operations} \"[list webActionView_MailingOperation LST_webActionView_WebAction_operations]\"",
  "{LST_webActionView_LogoutOperationpwebActionView_WebAction_operations} {LST_webActionView_WebAction_operations} \"[list webActionView_LogoutOperation LST_webActionView_WebAction_operations]\"",
  "{LST_webActionView_LoginOperationpwebActionView_WebAction_operations} {LST_webActionView_WebAction_operations} \"[list webActionView_LoginOperation LST_webActionView_WebAction_operations]\"",
  "{LST_webActionView_WebNodeFormalParampwebActionView_WebAction_formalParameter} {LST_webActionView_WebAction_formalParameter} \"[list webActionView_WebNodeFormalParam LST_webActionView_WebAction_formalParameter]\"",
  "{LST_webActionView_WebNodeActualParampwebActionView_ActionHandler_params} {LST_webActionView_ActionHandler_params} \"[list webActionView_WebNodeActualParam LST_webActionView_ActionHandler_params]\"",
  "{pwebActionView_LoginOperation} {webActionView_LoginOperation} \"[list ID webActionView_LoginOperation_errorhandler webActionView_LoginOperation_successMessage webActionView_LoginOperation_errorMessage webActionView_LoginOperation_name webActionView_LoginOperation_userDBColumn webActionView_LoginOperation_passwdDBColumn webActionView_LoginOperation_rolesDBColumn webActionView_LoginOperation_userFormField webActionView_LoginOperation_passwdFormField]\"",
  "{pwebActionView_LogoutOperation} {webActionView_LogoutOperation} \"[list ID webActionView_LogoutOperation_errorhandler webActionView_LogoutOperation_successMessage webActionView_LogoutOperation_errorMessage webActionView_LogoutOperation_name]\"",
  "{pwebActionView_MailingOperation} {webActionView_MailingOperation} \"[list ID webActionView_MailingOperation_errorhandler webActionView_MailingOperation_successMessage webActionView_MailingOperation_errorMessage webActionView_MailingOperation_name webActionView_MailingOperation_mailTo webActionView_MailingOperation_subject webActionView_MailingOperation_content]\"",
  "{pwebActionView_JavaOperation} {webActionView_JavaOperation} \"[list ID webActionView_JavaOperation_errorhandler webActionView_JavaOperation_successMessage webActionView_JavaOperation_errorMessage webActionView_JavaOperation_content]\"",
  "{pwebActionView_DataBaseOperation} {webActionView_DataBaseOperation} \"[list ID webActionView_DataBaseOperation_errorhandler webActionView_DataBaseOperation_successMessage webActionView_DataBaseOperation_errorMessage webActionView_DataBaseOperation_filter webActionView_DataBaseOperation_params]\"",
  "{pwebActionView_ActionHandler} {webActionView_ActionHandler} \"[list ID webActionView_ActionHandler_targetpage webActionView_ActionHandler_params]\"",
  "{pwebActionView_DataSourceActualParam} {webActionView_DataSourceActualParam} \"[list ID webActionView_DataSourceActualParam_formalParam webActionView_DataSourceActualParam_keyword1 webActionView_DataSourceActualParam_expressions]\"",
  "{pwebActionView_WebNodeActualParam} {webActionView_WebNodeActualParam} \"[list ID webActionView_WebNodeActualParam_formalParam webActionView_WebNodeActualParam_keyword1 webActionView_WebNodeActualParam_expressions]\"",
  "{pwebActionView_WebNodeFormalParam} {webActionView_WebNodeFormalParam} \"[list ID webActionView_WebNodeFormalParam_name webActionView_WebNodeFormalParam_keyword1 webActionView_WebNodeFormalParam_type]\"",
  "{LST_0pwebActionView_DataSourceActualParam_expressions} {LST_webActionView_DataSourceActualParam_expressions} \"[list]\"",
  "{LST_0pwebActionView_WebNodeActualParam_expressions} {LST_webActionView_WebNodeActualParam_expressions} \"[list]\"",
  "{LST_0pwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list]\"",
  "{LST_webActionView_WebNodeConstantExpressionpwebActionView_DataSourceActualParam_expressions} {LST_webActionView_DataSourceActualParam_expressions} \"[list webActionView_WebNodeConstantExpression LST_webActionView_DataSourceActualParam_expressions]\"",
  "{LST_webActionView_WebNodeVariableExpressionpwebActionView_DataSourceActualParam_expressions} {LST_webActionView_DataSourceActualParam_expressions} \"[list webActionView_WebNodeVariableExpression LST_webActionView_DataSourceActualParam_expressions]\"",
  "{LST_webActionView_WebNodeSessionExpressionpwebActionView_DataSourceActualParam_expressions} {LST_webActionView_DataSourceActualParam_expressions} \"[list webActionView_WebNodeSessionExpression LST_webActionView_DataSourceActualParam_expressions]\"",
  "{LST_webActionView_WebNodeConstantExpressionpwebActionView_WebNodeActualParam_expressions} {LST_webActionView_WebNodeActualParam_expressions} \"[list webActionView_WebNodeConstantExpression LST_webActionView_WebNodeActualParam_expressions]\"",
  "{LST_webActionView_WebNodeVariableExpressionpwebActionView_WebNodeActualParam_expressions} {LST_webActionView_WebNodeActualParam_expressions} \"[list webActionView_WebNodeVariableExpression LST_webActionView_WebNodeActualParam_expressions]\"",
  "{LST_webActionView_WebNodeSessionExpressionpwebActionView_WebNodeActualParam_expressions} {LST_webActionView_WebNodeActualParam_expressions} \"[list webActionView_WebNodeSessionExpression LST_webActionView_WebNodeActualParam_expressions]\"",
  "{LST_webActionView_DBHasOnepwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBHasOne LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBHasManypwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBHasMany LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBStringpwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBString LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBTextpwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBText LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBIntegerpwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBInteger LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBLongpwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBLong LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBFloatpwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBFloat LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBDoublepwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBDouble LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBBigIntpwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBBigInt LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBDatepwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBDate LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBTimeStamppwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBTimeStamp LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBBooleanpwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBBoolean LST_webActionView_WebNodeFormalParam_type]\"",
  "{LST_webActionView_DBBlobpwebActionView_WebNodeFormalParam_type} {LST_webActionView_WebNodeFormalParam_type} \"[list webActionView_DBBlob LST_webActionView_WebNodeFormalParam_type]\"",
  "{rule_1} {webActionView_WebAction_successpage} \"[list webActionView_ActionHandler]\"",
  "{pwebActionView_WebNodeSessionExpression_content} {webActionView_WebNodeSessionExpression_content} \"[list]\"",
  "{pwebActionView_WebNodeSessionExpression_modifier} {webActionView_WebNodeSessionExpression_modifier} \"[list LST_webActionView_WebNodeSessionExpression_modifier]\"",
  "{pwebActionView_WebNodeSessionExpression} {webActionView_WebNodeSessionExpression} \"[list ID webActionView_WebNodeSessionExpression_modifier webActionView_WebNodeSessionExpression_content]\"",
  "{pwebActionView_WebNodeVariableExpression_content} {webActionView_WebNodeVariableExpression_content} \"[list]\"",
  "{pwebActionView_WebNodeVariableExpression_modifier} {webActionView_WebNodeVariableExpression_modifier} \"[list LST_webActionView_WebNodeVariableExpression_modifier]\"",
  "{pwebActionView_WebNodeVariableExpression} {webActionView_WebNodeVariableExpression} \"[list ID webActionView_WebNodeVariableExpression_modifier webActionView_WebNodeVariableExpression_content]\"",
  "{pwebActionView_WebNodeConstantExpression_value} {webActionView_WebNodeConstantExpression_value} \"[list]\"",
  "{pwebActionView_WebNodeConstantExpression_modifier} {webActionView_WebNodeConstantExpression_modifier} \"[list LST_webActionView_WebNodeConstantExpression_modifier]\"",
  "{pwebActionView_WebNodeConstantExpression} {webActionView_WebNodeConstantExpression} \"[list ID webActionView_WebNodeConstantExpression_modifier webActionView_WebNodeConstantExpression_value]\"",
  "{pwebActionView_LoginOperation_name} {webActionView_LoginOperation_name} \"[list]\"",
  "{pwebActionView_LoginOperation_errorhandler} {webActionView_LoginOperation_errorhandler} \"[list LST_webActionView_LoginOperation_errorhandler]\"",
  "{pwebActionView_LogoutOperation_name} {webActionView_LogoutOperation_name} \"[list]\"",
  "{pwebActionView_LogoutOperation_errorhandler} {webActionView_LogoutOperation_errorhandler} \"[list LST_webActionView_LogoutOperation_errorhandler]\"",
  "{pwebActionView_MailingOperation_content} {webActionView_MailingOperation_content} \"[list]\"",
  "{pwebActionView_MailingOperation_errorhandler} {webActionView_MailingOperation_errorhandler} \"[list LST_webActionView_MailingOperation_errorhandler]\"",
  "{pwebActionView_JavaOperation_content} {webActionView_JavaOperation_content} \"[list]\"",
  "{pwebActionView_JavaOperation_errorhandler} {webActionView_JavaOperation_errorhandler} \"[list LST_webActionView_JavaOperation_errorhandler]\"",
  "{pwebActionView_DataBaseOperation_params} {webActionView_DataBaseOperation_params} \"[list LST_webActionView_DataBaseOperation_params]\"",
  "{pwebActionView_DataBaseOperation_filter} {webActionView_DataBaseOperation_filter} \"[list]\"",
  "{pwebActionView_DataBaseOperation_errorhandler} {webActionView_DataBaseOperation_errorhandler} \"[list LST_webActionView_DataBaseOperation_errorhandler]\"",
  "{pwebActionView_WebAction_operations} {webActionView_WebAction_operations} \"[list LST_webActionView_WebAction_operations]\"",
  "{pwebActionView_WebAction_formalParameter} {webActionView_WebAction_formalParameter} \"[list LST_webActionView_WebAction_formalParameter]\"",
  "{pwebActionView_WebAction_name} {webActionView_WebAction_name} \"[list]\"",
  "{pwebActionView_ActionHandler_params} {webActionView_ActionHandler_params} \"[list LST_webActionView_ActionHandler_params]\"",
  "{pwebActionView_ActionHandler_targetpage} {webActionView_ActionHandler_targetpage} \"[list]\"",
  "{pwebActionView_DBHasMany_dataSourceTable} {webActionView_DBHasMany_dataSourceTable} \"[list]\"",
  "{pwebActionView_DBHasMany_keyword1} {webActionView_DBHasMany_keyword1} \"[list]\"",
  "{pwebActionView_DBHasMany} {webActionView_DBHasMany} \"[list ID webActionView_DBHasMany_keyword1 webActionView_DBHasMany_dataSourceTable]\"",
  "{pwebActionView_DBHasOne_dataSourceTable} {webActionView_DBHasOne_dataSourceTable} \"[list]\"",
  "{pwebActionView_DBHasOne_keyword1} {webActionView_DBHasOne_keyword1} \"[list]\"",
  "{pwebActionView_DBHasOne} {webActionView_DBHasOne} \"[list ID webActionView_DBHasOne_keyword1 webActionView_DBHasOne_dataSourceTable]\"",
  "{pwebActionView_DBBlob_keyword1} {webActionView_DBBlob_keyword1} \"[list]\"",
  "{pwebActionView_DBBlob} {webActionView_DBBlob} \"[list ID webActionView_DBBlob_keyword1]\"",
  "{pwebActionView_DBBoolean_keyword1} {webActionView_DBBoolean_keyword1} \"[list]\"",
  "{pwebActionView_DBBoolean} {webActionView_DBBoolean} \"[list ID webActionView_DBBoolean_keyword1]\"",
  "{pwebActionView_DBTimeStamp_keyword1} {webActionView_DBTimeStamp_keyword1} \"[list]\"",
  "{pwebActionView_DBTimeStamp} {webActionView_DBTimeStamp} \"[list ID webActionView_DBTimeStamp_keyword1]\"",
  "{pwebActionView_DBDate_keyword1} {webActionView_DBDate_keyword1} \"[list]\"",
  "{pwebActionView_DBDate} {webActionView_DBDate} \"[list ID webActionView_DBDate_keyword1]\"",
  "{pwebActionView_DBBigInt_keyword1} {webActionView_DBBigInt_keyword1} \"[list]\"",
  "{pwebActionView_DBBigInt} {webActionView_DBBigInt} \"[list ID webActionView_DBBigInt_keyword1]\"",
  "{pwebActionView_DBDouble_keyword1} {webActionView_DBDouble_keyword1} \"[list]\"",
  "{pwebActionView_DBDouble} {webActionView_DBDouble} \"[list ID webActionView_DBDouble_keyword1]\"",
  "{pwebActionView_DBFloat_keyword1} {webActionView_DBFloat_keyword1} \"[list]\"",
  "{pwebActionView_DBFloat} {webActionView_DBFloat} \"[list ID webActionView_DBFloat_keyword1]\"",
  "{pwebActionView_DBLong_keyword1} {webActionView_DBLong_keyword1} \"[list]\"",
  "{pwebActionView_DBLong} {webActionView_DBLong} \"[list ID webActionView_DBLong_keyword1]\"",
  "{pwebActionView_DBInteger_keyword1} {webActionView_DBInteger_keyword1} \"[list]\"",
  "{pwebActionView_DBInteger} {webActionView_DBInteger} \"[list ID webActionView_DBInteger_keyword1]\"",
  "{pwebActionView_DBText_keyword1} {webActionView_DBText_keyword1} \"[list]\"",
  "{pwebActionView_DBText} {webActionView_DBText} \"[list ID webActionView_DBText_keyword1]\"",
  "{pwebActionView_DBString_keyword1} {webActionView_DBString_keyword1} \"[list]\"",
  "{pwebActionView_DBString} {webActionView_DBString} \"[list ID webActionView_DBString_keyword1]\"",
  "{pwebActionView_DataSourceActualParam_expressions} {webActionView_DataSourceActualParam_expressions} \"[list LST_webActionView_DataSourceActualParam_expressions]\"",
  "{pwebActionView_DataSourceActualParam_keyword1} {webActionView_DataSourceActualParam_keyword1} \"[list]\"",
  "{pwebActionView_DataSourceActualParam_formalParam} {webActionView_DataSourceActualParam_formalParam} \"[list]\"",
  "{pwebActionView_WebNodeActualParam_expressions} {webActionView_WebNodeActualParam_expressions} \"[list LST_webActionView_WebNodeActualParam_expressions]\"",
  "{pwebActionView_WebNodeActualParam_keyword1} {webActionView_WebNodeActualParam_keyword1} \"[list]\"",
  "{pwebActionView_WebNodeActualParam_formalParam} {webActionView_WebNodeActualParam_formalParam} \"[list]\"",
  "{pwebActionView_WebNodeFormalParam_type} {webActionView_WebNodeFormalParam_type} \"[list LST_webActionView_WebNodeFormalParam_type]\"",
  "{pwebActionView_WebNodeFormalParam_keyword1} {webActionView_WebNodeFormalParam_keyword1} \"[list]\"",
  "{pwebActionView_WebNodeFormalParam_name} {webActionView_WebNodeFormalParam_name} \"[list]\"",
  "{LST_0pwebActionView_WebNodeSessionExpression_modifier} {LST_webActionView_WebNodeSessionExpression_modifier} \"[list]\"",
  "{LST_0pwebActionView_WebNodeVariableExpression_modifier} {LST_webActionView_WebNodeVariableExpression_modifier} \"[list]\"",
  "{LST_0pwebActionView_WebNodeConstantExpression_modifier} {LST_webActionView_WebNodeConstantExpression_modifier} \"[list]\"",
  "{LST_webActionView_MD5ModifierpwebActionView_WebNodeSessionExpression_modifier} {LST_webActionView_WebNodeSessionExpression_modifier} \"[list webActionView_MD5Modifier LST_webActionView_WebNodeSessionExpression_modifier]\"",
  "{LST_webActionView_JoinModifierpwebActionView_WebNodeSessionExpression_modifier} {LST_webActionView_WebNodeSessionExpression_modifier} \"[list webActionView_JoinModifier LST_webActionView_WebNodeSessionExpression_modifier]\"",
  "{LST_webActionView_MD5ModifierpwebActionView_WebNodeVariableExpression_modifier} {LST_webActionView_WebNodeVariableExpression_modifier} \"[list webActionView_MD5Modifier LST_webActionView_WebNodeVariableExpression_modifier]\"",
  "{LST_webActionView_JoinModifierpwebActionView_WebNodeVariableExpression_modifier} {LST_webActionView_WebNodeVariableExpression_modifier} \"[list webActionView_JoinModifier LST_webActionView_WebNodeVariableExpression_modifier]\"",
  "{LST_webActionView_MD5ModifierpwebActionView_WebNodeConstantExpression_modifier} {LST_webActionView_WebNodeConstantExpression_modifier} \"[list webActionView_MD5Modifier LST_webActionView_WebNodeConstantExpression_modifier]\"",
  "{LST_webActionView_JoinModifierpwebActionView_WebNodeConstantExpression_modifier} {LST_webActionView_WebNodeConstantExpression_modifier} \"[list webActionView_JoinModifier LST_webActionView_WebNodeConstantExpression_modifier]\"",
  "{pwebActionView_JoinModifier_separator} {webActionView_JoinModifier_separator} \"[list]\"",
  "{pwebActionView_JoinModifier} {webActionView_JoinModifier} \"[list ID webActionView_JoinModifier_separator]\"",
  "{pwebActionView_MD5Modifier} {webActionView_MD5Modifier} \"[list ID]\"",
  "{pwebActionView_LoginOperation_passwdFormField} {webActionView_LoginOperation_passwdFormField} \"[list]\"",
  "{pwebActionView_LoginOperation_userFormField} {webActionView_LoginOperation_userFormField} \"[list]\"",
  "{pwebActionView_LoginOperation_rolesDBColumn} {webActionView_LoginOperation_rolesDBColumn} \"[list]\"",
  "{pwebActionView_LoginOperation_passwdDBColumn} {webActionView_LoginOperation_passwdDBColumn} \"[list]\"",
  "{pwebActionView_LoginOperation_userDBColumn} {webActionView_LoginOperation_userDBColumn} \"[list]\"",
  "{pwebActionView_LoginOperation_errorMessage} {webActionView_LoginOperation_errorMessage} \"[list]\"",
  "{pwebActionView_LoginOperation_successMessage} {webActionView_LoginOperation_successMessage} \"[list]\"",
  "{pwebActionView_LogoutOperation_errorMessage} {webActionView_LogoutOperation_errorMessage} \"[list]\"",
  "{pwebActionView_LogoutOperation_successMessage} {webActionView_LogoutOperation_successMessage} \"[list]\"",
  "{pwebActionView_MailingOperation_subject} {webActionView_MailingOperation_subject} \"[list]\"",
  "{pwebActionView_MailingOperation_mailTo} {webActionView_MailingOperation_mailTo} \"[list]\"",
  "{pwebActionView_MailingOperation_name} {webActionView_MailingOperation_name} \"[list]\"",
  "{pwebActionView_MailingOperation_errorMessage} {webActionView_MailingOperation_errorMessage} \"[list]\"",
  "{pwebActionView_MailingOperation_successMessage} {webActionView_MailingOperation_successMessage} \"[list]\"",
  "{pwebActionView_JavaOperation_errorMessage} {webActionView_JavaOperation_errorMessage} \"[list]\"",
  "{pwebActionView_JavaOperation_successMessage} {webActionView_JavaOperation_successMessage} \"[list]\"",
  "{pwebActionView_DataBaseOperation_errorMessage} {webActionView_DataBaseOperation_errorMessage} \"[list]\"",
  "{pwebActionView_DataBaseOperation_successMessage} {webActionView_DataBaseOperation_successMessage} \"[list]\"",
  "{pwebActionView_WebAction_position} {webActionView_WebAction_position} \"[list]\"",
  "{pwebActionView_WebAction} {webActionView_WebAction} \"[list ID webActionView_WebAction_name webActionView_WebAction_formalParameter webActionView_WebAction_successpage webActionView_WebAction_operations webActionView_WebAction_position]\"",
  "{pVIEWROOT_webActionView} {VIEWROOT} \"[list webActionView_WebAction]\"",
  "{pEmpty} {VIEWROOT} \"[list]\"",
  (char *) 0
};

int webActionView_abs_nchild[] = {
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  9,
  4,
  7,
  4,
  5,
  2,
  3,
  3,
  3,
  0,
  0,
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  1,
  0,
  1,
  2,
  0,
  1,
  2,
  0,
  1,
  2,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  1,
  0,
  1,
  1,
  1,
  0,
  1,
  0,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  1,
  0,
  0,
  1,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  5,
  1,
  0,
};


#if defined(__STDC__) || defined(__cplusplus)
NODEPTR webActionView_abs_child (NODEPTR n, int c)
#else
NODEPTR webActionView_abs_child (n, c)
  NODEPTR n;
  int c;
#endif
{
  switch (n->_prod) {
    case webActionView_RULELST_webActionView_ActionHandlerpwebActionView_LoginOperation_errorhandler: {
      webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_LoginOperation_errorhandler m = (webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_LoginOperation_errorhandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_ActionHandlerpwebActionView_LogoutOperation_errorhandler: {
      webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_LogoutOperation_errorhandler m = (webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_LogoutOperation_errorhandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_ActionHandlerpwebActionView_MailingOperation_errorhandler: {
      webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_MailingOperation_errorhandler m = (webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_MailingOperation_errorhandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_ActionHandlerpwebActionView_JavaOperation_errorhandler: {
      webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_JavaOperation_errorhandler m = (webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_JavaOperation_errorhandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DataSourceActualParampwebActionView_DataBaseOperation_params: {
      webActionView__TPPLST_webActionView_DataSourceActualParampwebActionView_DataBaseOperation_params m = (webActionView__TPPLST_webActionView_DataSourceActualParampwebActionView_DataBaseOperation_params) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_ActionHandlerpwebActionView_DataBaseOperation_errorhandler: {
      webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_DataBaseOperation_errorhandler m = (webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_DataBaseOperation_errorhandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DataBaseOperationpwebActionView_WebAction_operations: {
      webActionView__TPPLST_webActionView_DataBaseOperationpwebActionView_WebAction_operations m = (webActionView__TPPLST_webActionView_DataBaseOperationpwebActionView_WebAction_operations) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_JavaOperationpwebActionView_WebAction_operations: {
      webActionView__TPPLST_webActionView_JavaOperationpwebActionView_WebAction_operations m = (webActionView__TPPLST_webActionView_JavaOperationpwebActionView_WebAction_operations) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_MailingOperationpwebActionView_WebAction_operations: {
      webActionView__TPPLST_webActionView_MailingOperationpwebActionView_WebAction_operations m = (webActionView__TPPLST_webActionView_MailingOperationpwebActionView_WebAction_operations) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_LogoutOperationpwebActionView_WebAction_operations: {
      webActionView__TPPLST_webActionView_LogoutOperationpwebActionView_WebAction_operations m = (webActionView__TPPLST_webActionView_LogoutOperationpwebActionView_WebAction_operations) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_LoginOperationpwebActionView_WebAction_operations: {
      webActionView__TPPLST_webActionView_LoginOperationpwebActionView_WebAction_operations m = (webActionView__TPPLST_webActionView_LoginOperationpwebActionView_WebAction_operations) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_WebNodeFormalParampwebActionView_WebAction_formalParameter: {
      webActionView__TPPLST_webActionView_WebNodeFormalParampwebActionView_WebAction_formalParameter m = (webActionView__TPPLST_webActionView_WebNodeFormalParampwebActionView_WebAction_formalParameter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_WebNodeActualParampwebActionView_ActionHandler_params: {
      webActionView__TPPLST_webActionView_WebNodeActualParampwebActionView_ActionHandler_params m = (webActionView__TPPLST_webActionView_WebNodeActualParampwebActionView_ActionHandler_params) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_LoginOperation: {
      webActionView__TPPpwebActionView_LoginOperation m = (webActionView__TPPpwebActionView_LoginOperation) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        case 6: return (NODEPTR) m->_desc6; break;
        case 7: return (NODEPTR) m->_desc7; break;
        case 8: return (NODEPTR) m->_desc8; break;
        case 9: return (NODEPTR) m->_desc9; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_LogoutOperation: {
      webActionView__TPPpwebActionView_LogoutOperation m = (webActionView__TPPpwebActionView_LogoutOperation) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_MailingOperation: {
      webActionView__TPPpwebActionView_MailingOperation m = (webActionView__TPPpwebActionView_MailingOperation) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        case 6: return (NODEPTR) m->_desc6; break;
        case 7: return (NODEPTR) m->_desc7; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_JavaOperation: {
      webActionView__TPPpwebActionView_JavaOperation m = (webActionView__TPPpwebActionView_JavaOperation) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DataBaseOperation: {
      webActionView__TPPpwebActionView_DataBaseOperation m = (webActionView__TPPpwebActionView_DataBaseOperation) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_ActionHandler: {
      webActionView__TPPpwebActionView_ActionHandler m = (webActionView__TPPpwebActionView_ActionHandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DataSourceActualParam: {
      webActionView__TPPpwebActionView_DataSourceActualParam m = (webActionView__TPPpwebActionView_DataSourceActualParam) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebNodeActualParam: {
      webActionView__TPPpwebActionView_WebNodeActualParam m = (webActionView__TPPpwebActionView_WebNodeActualParam) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebNodeFormalParam: {
      webActionView__TPPpwebActionView_WebNodeFormalParam m = (webActionView__TPPpwebActionView_WebNodeFormalParam) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_WebNodeConstantExpressionpwebActionView_DataSourceActualParam_expressions: {
      webActionView__TPPLST_webActionView_WebNodeConstantExpressionpwebActionView_DataSourceActualParam_expressions m = (webActionView__TPPLST_webActionView_WebNodeConstantExpressionpwebActionView_DataSourceActualParam_expressions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_WebNodeVariableExpressionpwebActionView_DataSourceActualParam_expressions: {
      webActionView__TPPLST_webActionView_WebNodeVariableExpressionpwebActionView_DataSourceActualParam_expressions m = (webActionView__TPPLST_webActionView_WebNodeVariableExpressionpwebActionView_DataSourceActualParam_expressions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_WebNodeSessionExpressionpwebActionView_DataSourceActualParam_expressions: {
      webActionView__TPPLST_webActionView_WebNodeSessionExpressionpwebActionView_DataSourceActualParam_expressions m = (webActionView__TPPLST_webActionView_WebNodeSessionExpressionpwebActionView_DataSourceActualParam_expressions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_WebNodeConstantExpressionpwebActionView_WebNodeActualParam_expressions: {
      webActionView__TPPLST_webActionView_WebNodeConstantExpressionpwebActionView_WebNodeActualParam_expressions m = (webActionView__TPPLST_webActionView_WebNodeConstantExpressionpwebActionView_WebNodeActualParam_expressions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_WebNodeVariableExpressionpwebActionView_WebNodeActualParam_expressions: {
      webActionView__TPPLST_webActionView_WebNodeVariableExpressionpwebActionView_WebNodeActualParam_expressions m = (webActionView__TPPLST_webActionView_WebNodeVariableExpressionpwebActionView_WebNodeActualParam_expressions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_WebNodeSessionExpressionpwebActionView_WebNodeActualParam_expressions: {
      webActionView__TPPLST_webActionView_WebNodeSessionExpressionpwebActionView_WebNodeActualParam_expressions m = (webActionView__TPPLST_webActionView_WebNodeSessionExpressionpwebActionView_WebNodeActualParam_expressions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBHasOnepwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBHasOnepwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBHasOnepwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBHasManypwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBHasManypwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBHasManypwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBStringpwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBStringpwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBStringpwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBTextpwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBTextpwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBTextpwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBIntegerpwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBIntegerpwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBIntegerpwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBLongpwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBLongpwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBLongpwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBFloatpwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBFloatpwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBFloatpwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBDoublepwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBDoublepwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBDoublepwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBBigIntpwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBBigIntpwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBBigIntpwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBDatepwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBDatepwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBDatepwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBTimeStamppwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBTimeStamppwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBTimeStamppwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBBooleanpwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBBooleanpwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBBooleanpwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_DBBlobpwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPLST_webActionView_DBBlobpwebActionView_WebNodeFormalParam_type m = (webActionView__TPPLST_webActionView_DBBlobpwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULErule_1: {
      webActionView__TPPrule_1 m = (webActionView__TPPrule_1) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebNodeSessionExpression_modifier: {
      webActionView__TPPpwebActionView_WebNodeSessionExpression_modifier m = (webActionView__TPPpwebActionView_WebNodeSessionExpression_modifier) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebNodeSessionExpression: {
      webActionView__TPPpwebActionView_WebNodeSessionExpression m = (webActionView__TPPpwebActionView_WebNodeSessionExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebNodeVariableExpression_modifier: {
      webActionView__TPPpwebActionView_WebNodeVariableExpression_modifier m = (webActionView__TPPpwebActionView_WebNodeVariableExpression_modifier) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebNodeVariableExpression: {
      webActionView__TPPpwebActionView_WebNodeVariableExpression m = (webActionView__TPPpwebActionView_WebNodeVariableExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebNodeConstantExpression_modifier: {
      webActionView__TPPpwebActionView_WebNodeConstantExpression_modifier m = (webActionView__TPPpwebActionView_WebNodeConstantExpression_modifier) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebNodeConstantExpression: {
      webActionView__TPPpwebActionView_WebNodeConstantExpression m = (webActionView__TPPpwebActionView_WebNodeConstantExpression) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_LoginOperation_errorhandler: {
      webActionView__TPPpwebActionView_LoginOperation_errorhandler m = (webActionView__TPPpwebActionView_LoginOperation_errorhandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_LogoutOperation_errorhandler: {
      webActionView__TPPpwebActionView_LogoutOperation_errorhandler m = (webActionView__TPPpwebActionView_LogoutOperation_errorhandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_MailingOperation_errorhandler: {
      webActionView__TPPpwebActionView_MailingOperation_errorhandler m = (webActionView__TPPpwebActionView_MailingOperation_errorhandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_JavaOperation_errorhandler: {
      webActionView__TPPpwebActionView_JavaOperation_errorhandler m = (webActionView__TPPpwebActionView_JavaOperation_errorhandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DataBaseOperation_params: {
      webActionView__TPPpwebActionView_DataBaseOperation_params m = (webActionView__TPPpwebActionView_DataBaseOperation_params) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DataBaseOperation_errorhandler: {
      webActionView__TPPpwebActionView_DataBaseOperation_errorhandler m = (webActionView__TPPpwebActionView_DataBaseOperation_errorhandler) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebAction_operations: {
      webActionView__TPPpwebActionView_WebAction_operations m = (webActionView__TPPpwebActionView_WebAction_operations) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebAction_formalParameter: {
      webActionView__TPPpwebActionView_WebAction_formalParameter m = (webActionView__TPPpwebActionView_WebAction_formalParameter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_ActionHandler_params: {
      webActionView__TPPpwebActionView_ActionHandler_params m = (webActionView__TPPpwebActionView_ActionHandler_params) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBHasMany: {
      webActionView__TPPpwebActionView_DBHasMany m = (webActionView__TPPpwebActionView_DBHasMany) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBHasOne: {
      webActionView__TPPpwebActionView_DBHasOne m = (webActionView__TPPpwebActionView_DBHasOne) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBBlob: {
      webActionView__TPPpwebActionView_DBBlob m = (webActionView__TPPpwebActionView_DBBlob) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBBoolean: {
      webActionView__TPPpwebActionView_DBBoolean m = (webActionView__TPPpwebActionView_DBBoolean) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBTimeStamp: {
      webActionView__TPPpwebActionView_DBTimeStamp m = (webActionView__TPPpwebActionView_DBTimeStamp) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBDate: {
      webActionView__TPPpwebActionView_DBDate m = (webActionView__TPPpwebActionView_DBDate) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBBigInt: {
      webActionView__TPPpwebActionView_DBBigInt m = (webActionView__TPPpwebActionView_DBBigInt) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBDouble: {
      webActionView__TPPpwebActionView_DBDouble m = (webActionView__TPPpwebActionView_DBDouble) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBFloat: {
      webActionView__TPPpwebActionView_DBFloat m = (webActionView__TPPpwebActionView_DBFloat) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBLong: {
      webActionView__TPPpwebActionView_DBLong m = (webActionView__TPPpwebActionView_DBLong) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBInteger: {
      webActionView__TPPpwebActionView_DBInteger m = (webActionView__TPPpwebActionView_DBInteger) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBText: {
      webActionView__TPPpwebActionView_DBText m = (webActionView__TPPpwebActionView_DBText) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DBString: {
      webActionView__TPPpwebActionView_DBString m = (webActionView__TPPpwebActionView_DBString) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_DataSourceActualParam_expressions: {
      webActionView__TPPpwebActionView_DataSourceActualParam_expressions m = (webActionView__TPPpwebActionView_DataSourceActualParam_expressions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebNodeActualParam_expressions: {
      webActionView__TPPpwebActionView_WebNodeActualParam_expressions m = (webActionView__TPPpwebActionView_WebNodeActualParam_expressions) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebNodeFormalParam_type: {
      webActionView__TPPpwebActionView_WebNodeFormalParam_type m = (webActionView__TPPpwebActionView_WebNodeFormalParam_type) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_MD5ModifierpwebActionView_WebNodeSessionExpression_modifier: {
      webActionView__TPPLST_webActionView_MD5ModifierpwebActionView_WebNodeSessionExpression_modifier m = (webActionView__TPPLST_webActionView_MD5ModifierpwebActionView_WebNodeSessionExpression_modifier) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_JoinModifierpwebActionView_WebNodeSessionExpression_modifier: {
      webActionView__TPPLST_webActionView_JoinModifierpwebActionView_WebNodeSessionExpression_modifier m = (webActionView__TPPLST_webActionView_JoinModifierpwebActionView_WebNodeSessionExpression_modifier) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_MD5ModifierpwebActionView_WebNodeVariableExpression_modifier: {
      webActionView__TPPLST_webActionView_MD5ModifierpwebActionView_WebNodeVariableExpression_modifier m = (webActionView__TPPLST_webActionView_MD5ModifierpwebActionView_WebNodeVariableExpression_modifier) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_JoinModifierpwebActionView_WebNodeVariableExpression_modifier: {
      webActionView__TPPLST_webActionView_JoinModifierpwebActionView_WebNodeVariableExpression_modifier m = (webActionView__TPPLST_webActionView_JoinModifierpwebActionView_WebNodeVariableExpression_modifier) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_MD5ModifierpwebActionView_WebNodeConstantExpression_modifier: {
      webActionView__TPPLST_webActionView_MD5ModifierpwebActionView_WebNodeConstantExpression_modifier m = (webActionView__TPPLST_webActionView_MD5ModifierpwebActionView_WebNodeConstantExpression_modifier) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULELST_webActionView_JoinModifierpwebActionView_WebNodeConstantExpression_modifier: {
      webActionView__TPPLST_webActionView_JoinModifierpwebActionView_WebNodeConstantExpression_modifier m = (webActionView__TPPLST_webActionView_JoinModifierpwebActionView_WebNodeConstantExpression_modifier) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_JoinModifier: {
      webActionView__TPPpwebActionView_JoinModifier m = (webActionView__TPPpwebActionView_JoinModifier) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpwebActionView_WebAction: {
      webActionView__TPPpwebActionView_WebAction m = (webActionView__TPPpwebActionView_WebAction) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case webActionView_RULEpVIEWROOT_webActionView: {
      webActionView__TPPpVIEWROOT_webActionView m = (webActionView__TPPpVIEWROOT_webActionView) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    default:
        return (NODEPTR) 0;
  }
}

#else
/* To avoid messages about empty files */
static int _dapto;
#endif
