
/* definition of tree node structure */

#ifndef webActionView_NODE_H
#define webActionView_NODE_H
#include "err.h"
#include "webActionView_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef webActionView_NODEPTRSUBSTRUCT
#define webActionView_NODEPTRSUBSTRUCT
struct webActionView_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct webActionView__TSVIEWROOT* webActionView__TSPVIEWROOT;
typedef struct webActionView__TSwebActionView_WebAction* webActionView__TSPwebActionView_WebAction;
typedef struct webActionView__TSwebActionView_WebNodeFormalParam* webActionView__TSPwebActionView_WebNodeFormalParam;
typedef struct webActionView__TSwebActionView_WebNodeFormalParam_name* webActionView__TSPwebActionView_WebNodeFormalParam_name;
typedef struct webActionView__TSwebActionView_WebNodeFormalParam_keyword1* webActionView__TSPwebActionView_WebNodeFormalParam_keyword1;
typedef struct webActionView__TSwebActionView_WebNodeFormalParam_type* webActionView__TSPwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TSwebActionView_DBBlob* webActionView__TSPwebActionView_DBBlob;
typedef struct webActionView__TSwebActionView_DBBoolean* webActionView__TSPwebActionView_DBBoolean;
typedef struct webActionView__TSwebActionView_DBTimeStamp* webActionView__TSPwebActionView_DBTimeStamp;
typedef struct webActionView__TSwebActionView_DBDate* webActionView__TSPwebActionView_DBDate;
typedef struct webActionView__TSwebActionView_DBBigInt* webActionView__TSPwebActionView_DBBigInt;
typedef struct webActionView__TSwebActionView_DBDouble* webActionView__TSPwebActionView_DBDouble;
typedef struct webActionView__TSwebActionView_DBFloat* webActionView__TSPwebActionView_DBFloat;
typedef struct webActionView__TSwebActionView_DBLong* webActionView__TSPwebActionView_DBLong;
typedef struct webActionView__TSwebActionView_DBInteger* webActionView__TSPwebActionView_DBInteger;
typedef struct webActionView__TSwebActionView_DBText* webActionView__TSPwebActionView_DBText;
typedef struct webActionView__TSwebActionView_DBString* webActionView__TSPwebActionView_DBString;
typedef struct webActionView__TSwebActionView_DBHasMany* webActionView__TSPwebActionView_DBHasMany;
typedef struct webActionView__TSwebActionView_DBHasOne* webActionView__TSPwebActionView_DBHasOne;
typedef struct webActionView__TSwebActionView_WebNodeActualParam* webActionView__TSPwebActionView_WebNodeActualParam;
typedef struct webActionView__TSwebActionView_WebNodeActualParam_formalParam* webActionView__TSPwebActionView_WebNodeActualParam_formalParam;
typedef struct webActionView__TSwebActionView_WebNodeActualParam_keyword1* webActionView__TSPwebActionView_WebNodeActualParam_keyword1;
typedef struct webActionView__TSwebActionView_WebNodeActualParam_expressions* webActionView__TSPwebActionView_WebNodeActualParam_expressions;
typedef struct webActionView__TSwebActionView_WebNodeSessionExpression* webActionView__TSPwebActionView_WebNodeSessionExpression;
typedef struct webActionView__TSwebActionView_WebNodeVariableExpression* webActionView__TSPwebActionView_WebNodeVariableExpression;
typedef struct webActionView__TSwebActionView_WebNodeConstantExpression* webActionView__TSPwebActionView_WebNodeConstantExpression;
typedef struct webActionView__TSwebActionView_DataSourceActualParam* webActionView__TSPwebActionView_DataSourceActualParam;
typedef struct webActionView__TSwebActionView_DataSourceActualParam_formalParam* webActionView__TSPwebActionView_DataSourceActualParam_formalParam;
typedef struct webActionView__TSwebActionView_DataSourceActualParam_keyword1* webActionView__TSPwebActionView_DataSourceActualParam_keyword1;
typedef struct webActionView__TSwebActionView_DataSourceActualParam_expressions* webActionView__TSPwebActionView_DataSourceActualParam_expressions;
typedef struct webActionView__TSwebActionView_DBString_keyword1* webActionView__TSPwebActionView_DBString_keyword1;
typedef struct webActionView__TSwebActionView_DBText_keyword1* webActionView__TSPwebActionView_DBText_keyword1;
typedef struct webActionView__TSwebActionView_DBInteger_keyword1* webActionView__TSPwebActionView_DBInteger_keyword1;
typedef struct webActionView__TSwebActionView_DBLong_keyword1* webActionView__TSPwebActionView_DBLong_keyword1;
typedef struct webActionView__TSwebActionView_DBFloat_keyword1* webActionView__TSPwebActionView_DBFloat_keyword1;
typedef struct webActionView__TSwebActionView_DBDouble_keyword1* webActionView__TSPwebActionView_DBDouble_keyword1;
typedef struct webActionView__TSwebActionView_DBBigInt_keyword1* webActionView__TSPwebActionView_DBBigInt_keyword1;
typedef struct webActionView__TSwebActionView_DBDate_keyword1* webActionView__TSPwebActionView_DBDate_keyword1;
typedef struct webActionView__TSwebActionView_DBTimeStamp_keyword1* webActionView__TSPwebActionView_DBTimeStamp_keyword1;
typedef struct webActionView__TSwebActionView_DBBoolean_keyword1* webActionView__TSPwebActionView_DBBoolean_keyword1;
typedef struct webActionView__TSwebActionView_DBBlob_keyword1* webActionView__TSPwebActionView_DBBlob_keyword1;
typedef struct webActionView__TSwebActionView_DBHasOne_keyword1* webActionView__TSPwebActionView_DBHasOne_keyword1;
typedef struct webActionView__TSwebActionView_DBHasOne_dataSourceTable* webActionView__TSPwebActionView_DBHasOne_dataSourceTable;
typedef struct webActionView__TSwebActionView_DBHasMany_keyword1* webActionView__TSPwebActionView_DBHasMany_keyword1;
typedef struct webActionView__TSwebActionView_DBHasMany_dataSourceTable* webActionView__TSPwebActionView_DBHasMany_dataSourceTable;
typedef struct webActionView__TSwebActionView_ActionHandler* webActionView__TSPwebActionView_ActionHandler;
typedef struct webActionView__TSwebActionView_ActionHandler_targetpage* webActionView__TSPwebActionView_ActionHandler_targetpage;
typedef struct webActionView__TSwebActionView_ActionHandler_params* webActionView__TSPwebActionView_ActionHandler_params;
typedef struct webActionView__TSwebActionView_WebAction_name* webActionView__TSPwebActionView_WebAction_name;
typedef struct webActionView__TSwebActionView_WebAction_formalParameter* webActionView__TSPwebActionView_WebAction_formalParameter;
typedef struct webActionView__TSwebActionView_WebAction_successpage* webActionView__TSPwebActionView_WebAction_successpage;
typedef struct webActionView__TSwebActionView_WebAction_operations* webActionView__TSPwebActionView_WebAction_operations;
typedef struct webActionView__TSwebActionView_WebAction_position* webActionView__TSPwebActionView_WebAction_position;
typedef struct webActionView__TSwebActionView_LoginOperation* webActionView__TSPwebActionView_LoginOperation;
typedef struct webActionView__TSwebActionView_LogoutOperation* webActionView__TSPwebActionView_LogoutOperation;
typedef struct webActionView__TSwebActionView_MailingOperation* webActionView__TSPwebActionView_MailingOperation;
typedef struct webActionView__TSwebActionView_JavaOperation* webActionView__TSPwebActionView_JavaOperation;
typedef struct webActionView__TSwebActionView_DataBaseOperation* webActionView__TSPwebActionView_DataBaseOperation;
typedef struct webActionView__TSwebActionView_DataBaseOperation_errorhandler* webActionView__TSPwebActionView_DataBaseOperation_errorhandler;
typedef struct webActionView__TSwebActionView_DataBaseOperation_successMessage* webActionView__TSPwebActionView_DataBaseOperation_successMessage;
typedef struct webActionView__TSwebActionView_DataBaseOperation_errorMessage* webActionView__TSPwebActionView_DataBaseOperation_errorMessage;
typedef struct webActionView__TSwebActionView_DataBaseOperation_filter* webActionView__TSPwebActionView_DataBaseOperation_filter;
typedef struct webActionView__TSwebActionView_DataBaseOperation_params* webActionView__TSPwebActionView_DataBaseOperation_params;
typedef struct webActionView__TSwebActionView_JavaOperation_errorhandler* webActionView__TSPwebActionView_JavaOperation_errorhandler;
typedef struct webActionView__TSwebActionView_JavaOperation_successMessage* webActionView__TSPwebActionView_JavaOperation_successMessage;
typedef struct webActionView__TSwebActionView_JavaOperation_errorMessage* webActionView__TSPwebActionView_JavaOperation_errorMessage;
typedef struct webActionView__TSwebActionView_JavaOperation_content* webActionView__TSPwebActionView_JavaOperation_content;
typedef struct webActionView__TSwebActionView_MailingOperation_errorhandler* webActionView__TSPwebActionView_MailingOperation_errorhandler;
typedef struct webActionView__TSwebActionView_MailingOperation_successMessage* webActionView__TSPwebActionView_MailingOperation_successMessage;
typedef struct webActionView__TSwebActionView_MailingOperation_errorMessage* webActionView__TSPwebActionView_MailingOperation_errorMessage;
typedef struct webActionView__TSwebActionView_MailingOperation_name* webActionView__TSPwebActionView_MailingOperation_name;
typedef struct webActionView__TSwebActionView_MailingOperation_mailTo* webActionView__TSPwebActionView_MailingOperation_mailTo;
typedef struct webActionView__TSwebActionView_MailingOperation_subject* webActionView__TSPwebActionView_MailingOperation_subject;
typedef struct webActionView__TSwebActionView_MailingOperation_content* webActionView__TSPwebActionView_MailingOperation_content;
typedef struct webActionView__TSwebActionView_LogoutOperation_errorhandler* webActionView__TSPwebActionView_LogoutOperation_errorhandler;
typedef struct webActionView__TSwebActionView_LogoutOperation_successMessage* webActionView__TSPwebActionView_LogoutOperation_successMessage;
typedef struct webActionView__TSwebActionView_LogoutOperation_errorMessage* webActionView__TSPwebActionView_LogoutOperation_errorMessage;
typedef struct webActionView__TSwebActionView_LogoutOperation_name* webActionView__TSPwebActionView_LogoutOperation_name;
typedef struct webActionView__TSwebActionView_LoginOperation_errorhandler* webActionView__TSPwebActionView_LoginOperation_errorhandler;
typedef struct webActionView__TSwebActionView_LoginOperation_successMessage* webActionView__TSPwebActionView_LoginOperation_successMessage;
typedef struct webActionView__TSwebActionView_LoginOperation_errorMessage* webActionView__TSPwebActionView_LoginOperation_errorMessage;
typedef struct webActionView__TSwebActionView_LoginOperation_name* webActionView__TSPwebActionView_LoginOperation_name;
typedef struct webActionView__TSwebActionView_LoginOperation_userDBColumn* webActionView__TSPwebActionView_LoginOperation_userDBColumn;
typedef struct webActionView__TSwebActionView_LoginOperation_passwdDBColumn* webActionView__TSPwebActionView_LoginOperation_passwdDBColumn;
typedef struct webActionView__TSwebActionView_LoginOperation_rolesDBColumn* webActionView__TSPwebActionView_LoginOperation_rolesDBColumn;
typedef struct webActionView__TSwebActionView_LoginOperation_userFormField* webActionView__TSPwebActionView_LoginOperation_userFormField;
typedef struct webActionView__TSwebActionView_LoginOperation_passwdFormField* webActionView__TSPwebActionView_LoginOperation_passwdFormField;
typedef struct webActionView__TSwebActionView_MD5Modifier* webActionView__TSPwebActionView_MD5Modifier;
typedef struct webActionView__TSwebActionView_JoinModifier* webActionView__TSPwebActionView_JoinModifier;
typedef struct webActionView__TSwebActionView_JoinModifier_separator* webActionView__TSPwebActionView_JoinModifier_separator;
typedef struct webActionView__TSwebActionView_WebNodeConstantExpression_modifier* webActionView__TSPwebActionView_WebNodeConstantExpression_modifier;
typedef struct webActionView__TSwebActionView_WebNodeConstantExpression_value* webActionView__TSPwebActionView_WebNodeConstantExpression_value;
typedef struct webActionView__TSwebActionView_WebNodeVariableExpression_modifier* webActionView__TSPwebActionView_WebNodeVariableExpression_modifier;
typedef struct webActionView__TSwebActionView_WebNodeVariableExpression_content* webActionView__TSPwebActionView_WebNodeVariableExpression_content;
typedef struct webActionView__TSwebActionView_WebNodeSessionExpression_modifier* webActionView__TSPwebActionView_WebNodeSessionExpression_modifier;
typedef struct webActionView__TSwebActionView_WebNodeSessionExpression_content* webActionView__TSPwebActionView_WebNodeSessionExpression_content;
typedef struct webActionView__TSLST_webActionView_WebNodeFormalParam_type* webActionView__TSPLST_webActionView_WebNodeFormalParam_type;
typedef struct webActionView__TSLST_webActionView_WebNodeActualParam_expressions* webActionView__TSPLST_webActionView_WebNodeActualParam_expressions;
typedef struct webActionView__TSLST_webActionView_DataSourceActualParam_expressions* webActionView__TSPLST_webActionView_DataSourceActualParam_expressions;
typedef struct webActionView__TSLST_webActionView_ActionHandler_params* webActionView__TSPLST_webActionView_ActionHandler_params;
typedef struct webActionView__TSLST_webActionView_WebAction_formalParameter* webActionView__TSPLST_webActionView_WebAction_formalParameter;
typedef struct webActionView__TSLST_webActionView_WebAction_operations* webActionView__TSPLST_webActionView_WebAction_operations;
typedef struct webActionView__TSLST_webActionView_DataBaseOperation_errorhandler* webActionView__TSPLST_webActionView_DataBaseOperation_errorhandler;
typedef struct webActionView__TSLST_webActionView_DataBaseOperation_params* webActionView__TSPLST_webActionView_DataBaseOperation_params;
typedef struct webActionView__TSLST_webActionView_JavaOperation_errorhandler* webActionView__TSPLST_webActionView_JavaOperation_errorhandler;
typedef struct webActionView__TSLST_webActionView_MailingOperation_errorhandler* webActionView__TSPLST_webActionView_MailingOperation_errorhandler;
typedef struct webActionView__TSLST_webActionView_LogoutOperation_errorhandler* webActionView__TSPLST_webActionView_LogoutOperation_errorhandler;
typedef struct webActionView__TSLST_webActionView_LoginOperation_errorhandler* webActionView__TSPLST_webActionView_LoginOperation_errorhandler;
typedef struct webActionView__TSLST_webActionView_WebNodeConstantExpression_modifier* webActionView__TSPLST_webActionView_WebNodeConstantExpression_modifier;
typedef struct webActionView__TSLST_webActionView_WebNodeVariableExpression_modifier* webActionView__TSPLST_webActionView_WebNodeVariableExpression_modifier;
typedef struct webActionView__TSLST_webActionView_WebNodeSessionExpression_modifier* webActionView__TSPLST_webActionView_WebNodeSessionExpression_modifier;
typedef struct webActionView__TPpEmpty* webActionView__TPPpEmpty;
typedef struct webActionView__TPpVIEWROOT_webActionView* webActionView__TPPpVIEWROOT_webActionView;
typedef struct webActionView__TPpwebActionView_WebNodeFormalParam* webActionView__TPPpwebActionView_WebNodeFormalParam;
typedef struct webActionView__TPpwebActionView_WebNodeFormalParam_name* webActionView__TPPpwebActionView_WebNodeFormalParam_name;
typedef struct webActionView__TPpwebActionView_WebNodeFormalParam_keyword1* webActionView__TPPpwebActionView_WebNodeFormalParam_keyword1;
typedef struct webActionView__TPpwebActionView_WebNodeFormalParam_type* webActionView__TPPpwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPpwebActionView_WebNodeActualParam* webActionView__TPPpwebActionView_WebNodeActualParam;
typedef struct webActionView__TPpwebActionView_WebNodeActualParam_formalParam* webActionView__TPPpwebActionView_WebNodeActualParam_formalParam;
typedef struct webActionView__TPpwebActionView_WebNodeActualParam_keyword1* webActionView__TPPpwebActionView_WebNodeActualParam_keyword1;
typedef struct webActionView__TPpwebActionView_WebNodeActualParam_expressions* webActionView__TPPpwebActionView_WebNodeActualParam_expressions;
typedef struct webActionView__TPpwebActionView_DataSourceActualParam* webActionView__TPPpwebActionView_DataSourceActualParam;
typedef struct webActionView__TPpwebActionView_DataSourceActualParam_formalParam* webActionView__TPPpwebActionView_DataSourceActualParam_formalParam;
typedef struct webActionView__TPpwebActionView_DataSourceActualParam_keyword1* webActionView__TPPpwebActionView_DataSourceActualParam_keyword1;
typedef struct webActionView__TPpwebActionView_DataSourceActualParam_expressions* webActionView__TPPpwebActionView_DataSourceActualParam_expressions;
typedef struct webActionView__TPpwebActionView_DBString* webActionView__TPPpwebActionView_DBString;
typedef struct webActionView__TPpwebActionView_DBString_keyword1* webActionView__TPPpwebActionView_DBString_keyword1;
typedef struct webActionView__TPpwebActionView_DBText* webActionView__TPPpwebActionView_DBText;
typedef struct webActionView__TPpwebActionView_DBText_keyword1* webActionView__TPPpwebActionView_DBText_keyword1;
typedef struct webActionView__TPpwebActionView_DBInteger* webActionView__TPPpwebActionView_DBInteger;
typedef struct webActionView__TPpwebActionView_DBInteger_keyword1* webActionView__TPPpwebActionView_DBInteger_keyword1;
typedef struct webActionView__TPpwebActionView_DBLong* webActionView__TPPpwebActionView_DBLong;
typedef struct webActionView__TPpwebActionView_DBLong_keyword1* webActionView__TPPpwebActionView_DBLong_keyword1;
typedef struct webActionView__TPpwebActionView_DBFloat* webActionView__TPPpwebActionView_DBFloat;
typedef struct webActionView__TPpwebActionView_DBFloat_keyword1* webActionView__TPPpwebActionView_DBFloat_keyword1;
typedef struct webActionView__TPpwebActionView_DBDouble* webActionView__TPPpwebActionView_DBDouble;
typedef struct webActionView__TPpwebActionView_DBDouble_keyword1* webActionView__TPPpwebActionView_DBDouble_keyword1;
typedef struct webActionView__TPpwebActionView_DBBigInt* webActionView__TPPpwebActionView_DBBigInt;
typedef struct webActionView__TPpwebActionView_DBBigInt_keyword1* webActionView__TPPpwebActionView_DBBigInt_keyword1;
typedef struct webActionView__TPpwebActionView_DBDate* webActionView__TPPpwebActionView_DBDate;
typedef struct webActionView__TPpwebActionView_DBDate_keyword1* webActionView__TPPpwebActionView_DBDate_keyword1;
typedef struct webActionView__TPpwebActionView_DBTimeStamp* webActionView__TPPpwebActionView_DBTimeStamp;
typedef struct webActionView__TPpwebActionView_DBTimeStamp_keyword1* webActionView__TPPpwebActionView_DBTimeStamp_keyword1;
typedef struct webActionView__TPpwebActionView_DBBoolean* webActionView__TPPpwebActionView_DBBoolean;
typedef struct webActionView__TPpwebActionView_DBBoolean_keyword1* webActionView__TPPpwebActionView_DBBoolean_keyword1;
typedef struct webActionView__TPpwebActionView_DBBlob* webActionView__TPPpwebActionView_DBBlob;
typedef struct webActionView__TPpwebActionView_DBBlob_keyword1* webActionView__TPPpwebActionView_DBBlob_keyword1;
typedef struct webActionView__TPpwebActionView_DBHasOne* webActionView__TPPpwebActionView_DBHasOne;
typedef struct webActionView__TPpwebActionView_DBHasOne_keyword1* webActionView__TPPpwebActionView_DBHasOne_keyword1;
typedef struct webActionView__TPpwebActionView_DBHasOne_dataSourceTable* webActionView__TPPpwebActionView_DBHasOne_dataSourceTable;
typedef struct webActionView__TPpwebActionView_DBHasMany* webActionView__TPPpwebActionView_DBHasMany;
typedef struct webActionView__TPpwebActionView_DBHasMany_keyword1* webActionView__TPPpwebActionView_DBHasMany_keyword1;
typedef struct webActionView__TPpwebActionView_DBHasMany_dataSourceTable* webActionView__TPPpwebActionView_DBHasMany_dataSourceTable;
typedef struct webActionView__TPpwebActionView_ActionHandler* webActionView__TPPpwebActionView_ActionHandler;
typedef struct webActionView__TPpwebActionView_ActionHandler_targetpage* webActionView__TPPpwebActionView_ActionHandler_targetpage;
typedef struct webActionView__TPpwebActionView_ActionHandler_params* webActionView__TPPpwebActionView_ActionHandler_params;
typedef struct webActionView__TPpwebActionView_WebAction* webActionView__TPPpwebActionView_WebAction;
typedef struct webActionView__TPpwebActionView_WebAction_name* webActionView__TPPpwebActionView_WebAction_name;
typedef struct webActionView__TPpwebActionView_WebAction_formalParameter* webActionView__TPPpwebActionView_WebAction_formalParameter;
typedef struct webActionView__TPpwebActionView_WebAction_operations* webActionView__TPPpwebActionView_WebAction_operations;
typedef struct webActionView__TPpwebActionView_WebAction_position* webActionView__TPPpwebActionView_WebAction_position;
typedef struct webActionView__TPpwebActionView_DataBaseOperation* webActionView__TPPpwebActionView_DataBaseOperation;
typedef struct webActionView__TPpwebActionView_DataBaseOperation_errorhandler* webActionView__TPPpwebActionView_DataBaseOperation_errorhandler;
typedef struct webActionView__TPpwebActionView_DataBaseOperation_successMessage* webActionView__TPPpwebActionView_DataBaseOperation_successMessage;
typedef struct webActionView__TPpwebActionView_DataBaseOperation_errorMessage* webActionView__TPPpwebActionView_DataBaseOperation_errorMessage;
typedef struct webActionView__TPpwebActionView_DataBaseOperation_filter* webActionView__TPPpwebActionView_DataBaseOperation_filter;
typedef struct webActionView__TPpwebActionView_DataBaseOperation_params* webActionView__TPPpwebActionView_DataBaseOperation_params;
typedef struct webActionView__TPpwebActionView_JavaOperation* webActionView__TPPpwebActionView_JavaOperation;
typedef struct webActionView__TPpwebActionView_JavaOperation_errorhandler* webActionView__TPPpwebActionView_JavaOperation_errorhandler;
typedef struct webActionView__TPpwebActionView_JavaOperation_successMessage* webActionView__TPPpwebActionView_JavaOperation_successMessage;
typedef struct webActionView__TPpwebActionView_JavaOperation_errorMessage* webActionView__TPPpwebActionView_JavaOperation_errorMessage;
typedef struct webActionView__TPpwebActionView_JavaOperation_content* webActionView__TPPpwebActionView_JavaOperation_content;
typedef struct webActionView__TPpwebActionView_MailingOperation* webActionView__TPPpwebActionView_MailingOperation;
typedef struct webActionView__TPpwebActionView_MailingOperation_errorhandler* webActionView__TPPpwebActionView_MailingOperation_errorhandler;
typedef struct webActionView__TPpwebActionView_MailingOperation_successMessage* webActionView__TPPpwebActionView_MailingOperation_successMessage;
typedef struct webActionView__TPpwebActionView_MailingOperation_errorMessage* webActionView__TPPpwebActionView_MailingOperation_errorMessage;
typedef struct webActionView__TPpwebActionView_MailingOperation_name* webActionView__TPPpwebActionView_MailingOperation_name;
typedef struct webActionView__TPpwebActionView_MailingOperation_mailTo* webActionView__TPPpwebActionView_MailingOperation_mailTo;
typedef struct webActionView__TPpwebActionView_MailingOperation_subject* webActionView__TPPpwebActionView_MailingOperation_subject;
typedef struct webActionView__TPpwebActionView_MailingOperation_content* webActionView__TPPpwebActionView_MailingOperation_content;
typedef struct webActionView__TPpwebActionView_LogoutOperation* webActionView__TPPpwebActionView_LogoutOperation;
typedef struct webActionView__TPpwebActionView_LogoutOperation_errorhandler* webActionView__TPPpwebActionView_LogoutOperation_errorhandler;
typedef struct webActionView__TPpwebActionView_LogoutOperation_successMessage* webActionView__TPPpwebActionView_LogoutOperation_successMessage;
typedef struct webActionView__TPpwebActionView_LogoutOperation_errorMessage* webActionView__TPPpwebActionView_LogoutOperation_errorMessage;
typedef struct webActionView__TPpwebActionView_LogoutOperation_name* webActionView__TPPpwebActionView_LogoutOperation_name;
typedef struct webActionView__TPpwebActionView_LoginOperation* webActionView__TPPpwebActionView_LoginOperation;
typedef struct webActionView__TPpwebActionView_LoginOperation_errorhandler* webActionView__TPPpwebActionView_LoginOperation_errorhandler;
typedef struct webActionView__TPpwebActionView_LoginOperation_successMessage* webActionView__TPPpwebActionView_LoginOperation_successMessage;
typedef struct webActionView__TPpwebActionView_LoginOperation_errorMessage* webActionView__TPPpwebActionView_LoginOperation_errorMessage;
typedef struct webActionView__TPpwebActionView_LoginOperation_name* webActionView__TPPpwebActionView_LoginOperation_name;
typedef struct webActionView__TPpwebActionView_LoginOperation_userDBColumn* webActionView__TPPpwebActionView_LoginOperation_userDBColumn;
typedef struct webActionView__TPpwebActionView_LoginOperation_passwdDBColumn* webActionView__TPPpwebActionView_LoginOperation_passwdDBColumn;
typedef struct webActionView__TPpwebActionView_LoginOperation_rolesDBColumn* webActionView__TPPpwebActionView_LoginOperation_rolesDBColumn;
typedef struct webActionView__TPpwebActionView_LoginOperation_userFormField* webActionView__TPPpwebActionView_LoginOperation_userFormField;
typedef struct webActionView__TPpwebActionView_LoginOperation_passwdFormField* webActionView__TPPpwebActionView_LoginOperation_passwdFormField;
typedef struct webActionView__TPpwebActionView_MD5Modifier* webActionView__TPPpwebActionView_MD5Modifier;
typedef struct webActionView__TPpwebActionView_JoinModifier* webActionView__TPPpwebActionView_JoinModifier;
typedef struct webActionView__TPpwebActionView_JoinModifier_separator* webActionView__TPPpwebActionView_JoinModifier_separator;
typedef struct webActionView__TPpwebActionView_WebNodeConstantExpression* webActionView__TPPpwebActionView_WebNodeConstantExpression;
typedef struct webActionView__TPpwebActionView_WebNodeConstantExpression_modifier* webActionView__TPPpwebActionView_WebNodeConstantExpression_modifier;
typedef struct webActionView__TPpwebActionView_WebNodeConstantExpression_value* webActionView__TPPpwebActionView_WebNodeConstantExpression_value;
typedef struct webActionView__TPpwebActionView_WebNodeVariableExpression* webActionView__TPPpwebActionView_WebNodeVariableExpression;
typedef struct webActionView__TPpwebActionView_WebNodeVariableExpression_modifier* webActionView__TPPpwebActionView_WebNodeVariableExpression_modifier;
typedef struct webActionView__TPpwebActionView_WebNodeVariableExpression_content* webActionView__TPPpwebActionView_WebNodeVariableExpression_content;
typedef struct webActionView__TPpwebActionView_WebNodeSessionExpression* webActionView__TPPpwebActionView_WebNodeSessionExpression;
typedef struct webActionView__TPpwebActionView_WebNodeSessionExpression_modifier* webActionView__TPPpwebActionView_WebNodeSessionExpression_modifier;
typedef struct webActionView__TPpwebActionView_WebNodeSessionExpression_content* webActionView__TPPpwebActionView_WebNodeSessionExpression_content;
typedef struct webActionView__TPrule_1* webActionView__TPPrule_1;
typedef struct webActionView__TPLST_webActionView_DBBlobpwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBBlobpwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBBooleanpwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBBooleanpwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBTimeStamppwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBTimeStamppwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBDatepwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBDatepwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBBigIntpwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBBigIntpwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBDoublepwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBDoublepwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBFloatpwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBFloatpwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBLongpwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBLongpwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBIntegerpwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBIntegerpwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBTextpwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBTextpwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBStringpwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBStringpwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBHasManypwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBHasManypwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_DBHasOnepwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_webActionView_DBHasOnepwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_webActionView_WebNodeSessionExpressionpwebActionView_WebNodeActualParam_expressions* webActionView__TPPLST_webActionView_WebNodeSessionExpressionpwebActionView_WebNodeActualParam_expressions;
typedef struct webActionView__TPLST_webActionView_WebNodeVariableExpressionpwebActionView_WebNodeActualParam_expressions* webActionView__TPPLST_webActionView_WebNodeVariableExpressionpwebActionView_WebNodeActualParam_expressions;
typedef struct webActionView__TPLST_webActionView_WebNodeConstantExpressionpwebActionView_WebNodeActualParam_expressions* webActionView__TPPLST_webActionView_WebNodeConstantExpressionpwebActionView_WebNodeActualParam_expressions;
typedef struct webActionView__TPLST_webActionView_WebNodeSessionExpressionpwebActionView_DataSourceActualParam_expressions* webActionView__TPPLST_webActionView_WebNodeSessionExpressionpwebActionView_DataSourceActualParam_expressions;
typedef struct webActionView__TPLST_webActionView_WebNodeVariableExpressionpwebActionView_DataSourceActualParam_expressions* webActionView__TPPLST_webActionView_WebNodeVariableExpressionpwebActionView_DataSourceActualParam_expressions;
typedef struct webActionView__TPLST_webActionView_WebNodeConstantExpressionpwebActionView_DataSourceActualParam_expressions* webActionView__TPPLST_webActionView_WebNodeConstantExpressionpwebActionView_DataSourceActualParam_expressions;
typedef struct webActionView__TPLST_webActionView_WebNodeActualParampwebActionView_ActionHandler_params* webActionView__TPPLST_webActionView_WebNodeActualParampwebActionView_ActionHandler_params;
typedef struct webActionView__TPLST_webActionView_WebNodeFormalParampwebActionView_WebAction_formalParameter* webActionView__TPPLST_webActionView_WebNodeFormalParampwebActionView_WebAction_formalParameter;
typedef struct webActionView__TPLST_webActionView_LoginOperationpwebActionView_WebAction_operations* webActionView__TPPLST_webActionView_LoginOperationpwebActionView_WebAction_operations;
typedef struct webActionView__TPLST_webActionView_LogoutOperationpwebActionView_WebAction_operations* webActionView__TPPLST_webActionView_LogoutOperationpwebActionView_WebAction_operations;
typedef struct webActionView__TPLST_webActionView_MailingOperationpwebActionView_WebAction_operations* webActionView__TPPLST_webActionView_MailingOperationpwebActionView_WebAction_operations;
typedef struct webActionView__TPLST_webActionView_JavaOperationpwebActionView_WebAction_operations* webActionView__TPPLST_webActionView_JavaOperationpwebActionView_WebAction_operations;
typedef struct webActionView__TPLST_webActionView_DataBaseOperationpwebActionView_WebAction_operations* webActionView__TPPLST_webActionView_DataBaseOperationpwebActionView_WebAction_operations;
typedef struct webActionView__TPLST_webActionView_ActionHandlerpwebActionView_DataBaseOperation_errorhandler* webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_DataBaseOperation_errorhandler;
typedef struct webActionView__TPLST_webActionView_DataSourceActualParampwebActionView_DataBaseOperation_params* webActionView__TPPLST_webActionView_DataSourceActualParampwebActionView_DataBaseOperation_params;
typedef struct webActionView__TPLST_webActionView_ActionHandlerpwebActionView_JavaOperation_errorhandler* webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_JavaOperation_errorhandler;
typedef struct webActionView__TPLST_webActionView_ActionHandlerpwebActionView_MailingOperation_errorhandler* webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_MailingOperation_errorhandler;
typedef struct webActionView__TPLST_webActionView_ActionHandlerpwebActionView_LogoutOperation_errorhandler* webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_LogoutOperation_errorhandler;
typedef struct webActionView__TPLST_webActionView_ActionHandlerpwebActionView_LoginOperation_errorhandler* webActionView__TPPLST_webActionView_ActionHandlerpwebActionView_LoginOperation_errorhandler;
typedef struct webActionView__TPLST_webActionView_JoinModifierpwebActionView_WebNodeConstantExpression_modifier* webActionView__TPPLST_webActionView_JoinModifierpwebActionView_WebNodeConstantExpression_modifier;
typedef struct webActionView__TPLST_webActionView_MD5ModifierpwebActionView_WebNodeConstantExpression_modifier* webActionView__TPPLST_webActionView_MD5ModifierpwebActionView_WebNodeConstantExpression_modifier;
typedef struct webActionView__TPLST_webActionView_JoinModifierpwebActionView_WebNodeVariableExpression_modifier* webActionView__TPPLST_webActionView_JoinModifierpwebActionView_WebNodeVariableExpression_modifier;
typedef struct webActionView__TPLST_webActionView_MD5ModifierpwebActionView_WebNodeVariableExpression_modifier* webActionView__TPPLST_webActionView_MD5ModifierpwebActionView_WebNodeVariableExpression_modifier;
typedef struct webActionView__TPLST_webActionView_JoinModifierpwebActionView_WebNodeSessionExpression_modifier* webActionView__TPPLST_webActionView_JoinModifierpwebActionView_WebNodeSessionExpression_modifier;
typedef struct webActionView__TPLST_webActionView_MD5ModifierpwebActionView_WebNodeSessionExpression_modifier* webActionView__TPPLST_webActionView_MD5ModifierpwebActionView_WebNodeSessionExpression_modifier;
typedef struct webActionView__TPLST_0pwebActionView_WebNodeFormalParam_type* webActionView__TPPLST_0pwebActionView_WebNodeFormalParam_type;
typedef struct webActionView__TPLST_0pwebActionView_WebNodeActualParam_expressions* webActionView__TPPLST_0pwebActionView_WebNodeActualParam_expressions;
typedef struct webActionView__TPLST_0pwebActionView_DataSourceActualParam_expressions* webActionView__TPPLST_0pwebActionView_DataSourceActualParam_expressions;
typedef struct webActionView__TPLST_0pwebActionView_ActionHandler_params* webActionView__TPPLST_0pwebActionView_ActionHandler_params;
typedef struct webActionView__TPLST_0pwebActionView_WebAction_formalParameter* webActionView__TPPLST_0pwebActionView_WebAction_formalParameter;
typedef struct webActionView__TPLST_0pwebActionView_WebAction_operations* webActionView__TPPLST_0pwebActionView_WebAction_operations;
typedef struct webActionView__TPLST_0pwebActionView_DataBaseOperation_errorhandler* webActionView__TPPLST_0pwebActionView_DataBaseOperation_errorhandler;
typedef struct webActionView__TPLST_0pwebActionView_DataBaseOperation_params* webActionView__TPPLST_0pwebActionView_DataBaseOperation_params;
typedef struct webActionView__TPLST_0pwebActionView_JavaOperation_errorhandler* webActionView__TPPLST_0pwebActionView_JavaOperation_errorhandler;
typedef struct webActionView__TPLST_0pwebActionView_MailingOperation_errorhandler* webActionView__TPPLST_0pwebActionView_MailingOperation_errorhandler;
typedef struct webActionView__TPLST_0pwebActionView_LogoutOperation_errorhandler* webActionView__TPPLST_0pwebActionView_LogoutOperation_errorhandler;
typedef struct webActionView__TPLST_0pwebActionView_LoginOperation_errorhandler* webActionView__TPPLST_0pwebActionView_LoginOperation_errorhandler;
typedef struct webActionView__TPLST_0pwebActionView_WebNodeConstantExpression_modifier* webActionView__TPPLST_0pwebActionView_WebNodeConstantExpression_modifier;
typedef struct webActionView__TPLST_0pwebActionView_WebNodeVariableExpression_modifier* webActionView__TPPLST_0pwebActionView_WebNodeVariableExpression_modifier;
typedef struct webActionView__TPLST_0pwebActionView_WebNodeSessionExpression_modifier* webActionView__TPPLST_0pwebActionView_WebNodeSessionExpression_modifier;

struct webActionView__TSVIEWROOT
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_WebAction
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebActionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeFormalParam
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeFormalParamPtr _ATobjPtr;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct webActionView__TSwebActionView_WebNodeFormalParam_name
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeFormalParam_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBBlob
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBBlobPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBBoolean
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBTimeStamp
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBDate
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBBigInt
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBDouble
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBFloat
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBLong
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBInteger
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBText
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBString
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBHasMany
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBHasManyPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBHasOne
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBHasOnePtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeActualParam
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeActualParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct webActionView__TSwebActionView_WebNodeActualParam_formalParam
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeActualParam_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeSessionExpression
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeSessionExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeVariableExpression
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeVariableExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeConstantExpression
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeConstantExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DataSourceActualParam
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceActualParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct webActionView__TSwebActionView_DataSourceActualParam_formalParam
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DataSourceActualParam_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBString_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBText_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBInteger_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBLong_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBFloat_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBDouble_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBBigInt_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBDate_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBTimeStamp_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBBoolean_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBBlob_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBHasOne_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBHasOne_dataSourceTable
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBHasMany_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_DBHasMany_dataSourceTable
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_ActionHandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEActionHandlerPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
};

struct webActionView__TSwebActionView_ActionHandler_targetpage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct webActionView__TSwebActionView_ActionHandler_params
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_WebAction_name
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_WebAction_formalParameter
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
};

struct webActionView__TSwebActionView_WebAction_successpage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
};

struct webActionView__TSwebActionView_WebAction_operations
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
};

struct webActionView__TSwebActionView_WebAction_position
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_LoginOperation
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELoginOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct webActionView__TSwebActionView_LogoutOperation
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELogoutOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct webActionView__TSwebActionView_MailingOperation
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMailingOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct webActionView__TSwebActionView_JavaOperation
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJavaOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct webActionView__TSwebActionView_DataBaseOperation
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataBaseOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct webActionView__TSwebActionView_DataBaseOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_DataBaseOperation_successMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_DataBaseOperation_errorMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_DataBaseOperation_filter
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct webActionView__TSwebActionView_DataBaseOperation_params
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_JavaOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_JavaOperation_successMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_JavaOperation_errorMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_JavaOperation_content
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_MailingOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_MailingOperation_successMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_MailingOperation_errorMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_MailingOperation_name
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_MailingOperation_mailTo
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_MailingOperation_subject
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_MailingOperation_content
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_LogoutOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_LogoutOperation_successMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_LogoutOperation_errorMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_LogoutOperation_name
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_LoginOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_LoginOperation_successMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_LoginOperation_errorMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_LoginOperation_name
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TSwebActionView_LoginOperation_userDBColumn
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_LoginOperation_passwdDBColumn
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_LoginOperation_rolesDBColumn
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_LoginOperation_userFormField
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_LoginOperation_passwdFormField
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_MD5Modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_JoinModifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJoinModifierPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_JoinModifier_separator
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_WebNodeConstantExpression_value
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_WebNodeVariableExpression_content
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSwebActionView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSwebActionView_WebNodeSessionExpression_content
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TSLST_webActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_WebNodeActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_ActionHandler_params
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_WebAction_formalParameter
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_WebAction_operations
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_DataBaseOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_DataBaseOperation_params
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_JavaOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_MailingOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_LogoutOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_LoginOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TSLST_webActionView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpEmpty
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpVIEWROOT_webActionView
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_WebAction _desc1;
};

struct webActionView__TPpwebActionView_WebNodeFormalParam
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeFormalParamPtr _ATobjPtr;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
webActionView__TSPwebActionView_WebNodeFormalParam_name _desc1;
webActionView__TSPwebActionView_WebNodeFormalParam_keyword1 _desc2;
webActionView__TSPwebActionView_WebNodeFormalParam_type _desc3;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_WebNodeFormalParam_name
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_WebNodeFormalParam_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc1;
};

struct webActionView__TPpwebActionView_WebNodeActualParam
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeActualParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
webActionView__TSPwebActionView_WebNodeActualParam_formalParam _desc1;
webActionView__TSPwebActionView_WebNodeActualParam_keyword1 _desc2;
webActionView__TSPwebActionView_WebNodeActualParam_expressions _desc3;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_WebNodeActualParam_formalParam
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_WebNodeActualParam_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_WebNodeActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
webActionView__TSPLST_webActionView_WebNodeActualParam_expressions _desc1;
};

struct webActionView__TPpwebActionView_DataSourceActualParam
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceActualParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
webActionView__TSPwebActionView_DataSourceActualParam_formalParam _desc1;
webActionView__TSPwebActionView_DataSourceActualParam_keyword1 _desc2;
webActionView__TSPwebActionView_DataSourceActualParam_expressions _desc3;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DataSourceActualParam_formalParam
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DataSourceActualParam_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedList_elementCount;
int _ATVPFlowContainer_show;
VLObjectPointer _ATobjId;
webActionView__TSPLST_webActionView_DataSourceActualParam_expressions _desc1;
};

struct webActionView__TPpwebActionView_DBString
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBString_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBString_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBText
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBText_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBText_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBInteger
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBInteger_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBInteger_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBLong
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBLong_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBLong_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBFloat
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBFloat_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBFloat_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBDouble
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBDouble_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBDouble_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBBigInt
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBBigInt_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBBigInt_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBDate
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBDate_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBDate_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBTimeStamp
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBTimeStamp_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBTimeStamp_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBBoolean
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBBoolean_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBBoolean_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBBlob
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBBlobPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBBlob_keyword1 _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBBlob_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBHasOne
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBHasOnePtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBHasOne_keyword1 _desc1;
webActionView__TSPwebActionView_DBHasOne_dataSourceTable _desc2;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBHasOne_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBHasOne_dataSourceTable
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBHasMany
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBHasManyPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_DBHasMany_keyword1 _desc1;
webActionView__TSPwebActionView_DBHasMany_dataSourceTable _desc2;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DBHasMany_keyword1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_DBHasMany_dataSourceTable
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATpersValue;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_ActionHandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEActionHandlerPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
webActionView__TSPwebActionView_ActionHandler_targetpage _desc1;
webActionView__TSPwebActionView_ActionHandler_params _desc2;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_ActionHandler_targetpage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct webActionView__TPpwebActionView_ActionHandler_params
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
webActionView__TSPLST_webActionView_ActionHandler_params _desc1;
};

struct webActionView__TPpwebActionView_WebAction
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebActionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_WebAction_name _desc1;
webActionView__TSPwebActionView_WebAction_formalParameter _desc2;
webActionView__TSPwebActionView_WebAction_successpage _desc3;
webActionView__TSPwebActionView_WebAction_operations _desc4;
webActionView__TSPwebActionView_WebAction_position _desc5;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_WebAction_name
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_WebAction_formalParameter
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
webActionView__TSPLST_webActionView_WebAction_formalParameter _desc1;
};

struct webActionView__TPpwebActionView_WebAction_operations
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
webActionView__TSPLST_webActionView_WebAction_operations _desc1;
};

struct webActionView__TPpwebActionView_WebAction_position
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_DataBaseOperation
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataBaseOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
webActionView__TSPwebActionView_DataBaseOperation_errorhandler _desc1;
webActionView__TSPwebActionView_DataBaseOperation_successMessage _desc2;
webActionView__TSPwebActionView_DataBaseOperation_errorMessage _desc3;
webActionView__TSPwebActionView_DataBaseOperation_filter _desc4;
webActionView__TSPwebActionView_DataBaseOperation_params _desc5;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_DataBaseOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
webActionView__TSPLST_webActionView_DataBaseOperation_errorhandler _desc1;
};

struct webActionView__TPpwebActionView_DataBaseOperation_successMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_DataBaseOperation_errorMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_DataBaseOperation_filter
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct webActionView__TPpwebActionView_DataBaseOperation_params
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
webActionView__TSPLST_webActionView_DataBaseOperation_params _desc1;
};

struct webActionView__TPpwebActionView_JavaOperation
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJavaOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
webActionView__TSPwebActionView_JavaOperation_errorhandler _desc1;
webActionView__TSPwebActionView_JavaOperation_successMessage _desc2;
webActionView__TSPwebActionView_JavaOperation_errorMessage _desc3;
webActionView__TSPwebActionView_JavaOperation_content _desc4;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_JavaOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
webActionView__TSPLST_webActionView_JavaOperation_errorhandler _desc1;
};

struct webActionView__TPpwebActionView_JavaOperation_successMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_JavaOperation_errorMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_JavaOperation_content
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TPpwebActionView_MailingOperation
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMailingOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
webActionView__TSPwebActionView_MailingOperation_errorhandler _desc1;
webActionView__TSPwebActionView_MailingOperation_successMessage _desc2;
webActionView__TSPwebActionView_MailingOperation_errorMessage _desc3;
webActionView__TSPwebActionView_MailingOperation_name _desc4;
webActionView__TSPwebActionView_MailingOperation_mailTo _desc5;
webActionView__TSPwebActionView_MailingOperation_subject _desc6;
webActionView__TSPwebActionView_MailingOperation_content _desc7;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_MailingOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
webActionView__TSPLST_webActionView_MailingOperation_errorhandler _desc1;
};

struct webActionView__TPpwebActionView_MailingOperation_successMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_MailingOperation_errorMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_MailingOperation_name
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_MailingOperation_mailTo
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_MailingOperation_subject
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_MailingOperation_content
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TPpwebActionView_LogoutOperation
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELogoutOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
webActionView__TSPwebActionView_LogoutOperation_errorhandler _desc1;
webActionView__TSPwebActionView_LogoutOperation_successMessage _desc2;
webActionView__TSPwebActionView_LogoutOperation_errorMessage _desc3;
webActionView__TSPwebActionView_LogoutOperation_name _desc4;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_LogoutOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
webActionView__TSPLST_webActionView_LogoutOperation_errorhandler _desc1;
};

struct webActionView__TPpwebActionView_LogoutOperation_successMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_LogoutOperation_errorMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_LogoutOperation_name
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TPpwebActionView_LoginOperation
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELoginOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
webActionView__TSPwebActionView_LoginOperation_errorhandler _desc1;
webActionView__TSPwebActionView_LoginOperation_successMessage _desc2;
webActionView__TSPwebActionView_LoginOperation_errorMessage _desc3;
webActionView__TSPwebActionView_LoginOperation_name _desc4;
webActionView__TSPwebActionView_LoginOperation_userDBColumn _desc5;
webActionView__TSPwebActionView_LoginOperation_passwdDBColumn _desc6;
webActionView__TSPwebActionView_LoginOperation_rolesDBColumn _desc7;
webActionView__TSPwebActionView_LoginOperation_userFormField _desc8;
webActionView__TSPwebActionView_LoginOperation_passwdFormField _desc9;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_LoginOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
VLPoint _ATiPreferedSize;
int _ATVPSpaceDistrib_required;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
VLPoint _ATpad;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
webActionView__TSPLST_webActionView_LoginOperation_errorhandler _desc1;
};

struct webActionView__TPpwebActionView_LoginOperation_successMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_LoginOperation_errorMessage
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_LoginOperation_name
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLPoint _ATiPreferedSize;
VLPoint _ATpad;
VLString _ATfinalText;
VLString _ATinternalFont;
VisContainerInterface2Ptr _ATcontainerSubElement;
VisContainerPosition2Ptr _ATcontainerPosition2Ptr;
};

struct webActionView__TPpwebActionView_LoginOperation_userDBColumn
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_LoginOperation_passwdDBColumn
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_LoginOperation_rolesDBColumn
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_LoginOperation_userFormField
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_LoginOperation_passwdFormField
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_MD5Modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_JoinModifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJoinModifierPtr _ATobjPtr;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_JoinModifier_separator _desc1;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_JoinModifier_separator
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct webActionView__TPpwebActionView_WebNodeConstantExpression
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeConstantExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_WebNodeConstantExpression_modifier _desc1;
webActionView__TSPwebActionView_WebNodeConstantExpression_value _desc2;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPLST_webActionView_WebNodeConstantExpression_modifier _desc1;
};

struct webActionView__TPpwebActionView_WebNodeConstantExpression_value
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_WebNodeVariableExpression
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeVariableExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_WebNodeVariableExpression_modifier _desc1;
webActionView__TSPwebActionView_WebNodeVariableExpression_content _desc2;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPLST_webActionView_WebNodeVariableExpression_modifier _desc1;
};

struct webActionView__TPpwebActionView_WebNodeVariableExpression_content
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPpwebActionView_WebNodeSessionExpression
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeSessionExpressionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
VLObjectPointer _ATobjId;
webActionView__TSPwebActionView_WebNodeSessionExpression_modifier _desc1;
webActionView__TSPwebActionView_WebNodeSessionExpression_content _desc2;
int _ATTERM_1;
};

struct webActionView__TPpwebActionView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPLST_webActionView_WebNodeSessionExpression_modifier _desc1;
};

struct webActionView__TPpwebActionView_WebNodeSessionExpression_content
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct webActionView__TPrule_1
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATisError;
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
webActionView__TSPwebActionView_ActionHandler _desc1;
};

struct webActionView__TPLST_webActionView_DBBlobpwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBBlob _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBBooleanpwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBBoolean _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBTimeStamppwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBTimeStamp _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBDatepwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBDate _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBBigIntpwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBBigInt _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBDoublepwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBDouble _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBFloatpwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBFloat _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBLongpwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBLong _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBIntegerpwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBInteger _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBTextpwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBText _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBStringpwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBString _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBHasManypwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBHasMany _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_DBHasOnepwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DBHasOne _desc1;
webActionView__TSPLST_webActionView_WebNodeFormalParam_type _desc2;
};

struct webActionView__TPLST_webActionView_WebNodeSessionExpressionpwebActionView_WebNodeActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_WebNodeSessionExpression _desc1;
webActionView__TSPLST_webActionView_WebNodeActualParam_expressions _desc2;
};

struct webActionView__TPLST_webActionView_WebNodeVariableExpressionpwebActionView_WebNodeActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_WebNodeVariableExpression _desc1;
webActionView__TSPLST_webActionView_WebNodeActualParam_expressions _desc2;
};

struct webActionView__TPLST_webActionView_WebNodeConstantExpressionpwebActionView_WebNodeActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_WebNodeConstantExpression _desc1;
webActionView__TSPLST_webActionView_WebNodeActualParam_expressions _desc2;
};

struct webActionView__TPLST_webActionView_WebNodeSessionExpressionpwebActionView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_WebNodeSessionExpression _desc1;
webActionView__TSPLST_webActionView_DataSourceActualParam_expressions _desc2;
};

struct webActionView__TPLST_webActionView_WebNodeVariableExpressionpwebActionView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_WebNodeVariableExpression _desc1;
webActionView__TSPLST_webActionView_DataSourceActualParam_expressions _desc2;
};

struct webActionView__TPLST_webActionView_WebNodeConstantExpressionpwebActionView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_WebNodeConstantExpression _desc1;
webActionView__TSPLST_webActionView_DataSourceActualParam_expressions _desc2;
};

struct webActionView__TPLST_webActionView_WebNodeActualParampwebActionView_ActionHandler_params
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_WebNodeActualParam _desc1;
webActionView__TSPLST_webActionView_ActionHandler_params _desc2;
};

struct webActionView__TPLST_webActionView_WebNodeFormalParampwebActionView_WebAction_formalParameter
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_WebNodeFormalParam _desc1;
webActionView__TSPLST_webActionView_WebAction_formalParameter _desc2;
};

struct webActionView__TPLST_webActionView_LoginOperationpwebActionView_WebAction_operations
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_LoginOperation _desc1;
webActionView__TSPLST_webActionView_WebAction_operations _desc2;
};

struct webActionView__TPLST_webActionView_LogoutOperationpwebActionView_WebAction_operations
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_LogoutOperation _desc1;
webActionView__TSPLST_webActionView_WebAction_operations _desc2;
};

struct webActionView__TPLST_webActionView_MailingOperationpwebActionView_WebAction_operations
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_MailingOperation _desc1;
webActionView__TSPLST_webActionView_WebAction_operations _desc2;
};

struct webActionView__TPLST_webActionView_JavaOperationpwebActionView_WebAction_operations
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_JavaOperation _desc1;
webActionView__TSPLST_webActionView_WebAction_operations _desc2;
};

struct webActionView__TPLST_webActionView_DataBaseOperationpwebActionView_WebAction_operations
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DataBaseOperation _desc1;
webActionView__TSPLST_webActionView_WebAction_operations _desc2;
};

struct webActionView__TPLST_webActionView_ActionHandlerpwebActionView_DataBaseOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_ActionHandler _desc1;
webActionView__TSPLST_webActionView_DataBaseOperation_errorhandler _desc2;
};

struct webActionView__TPLST_webActionView_DataSourceActualParampwebActionView_DataBaseOperation_params
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_DataSourceActualParam _desc1;
webActionView__TSPLST_webActionView_DataBaseOperation_params _desc2;
};

struct webActionView__TPLST_webActionView_ActionHandlerpwebActionView_JavaOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_ActionHandler _desc1;
webActionView__TSPLST_webActionView_JavaOperation_errorhandler _desc2;
};

struct webActionView__TPLST_webActionView_ActionHandlerpwebActionView_MailingOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_ActionHandler _desc1;
webActionView__TSPLST_webActionView_MailingOperation_errorhandler _desc2;
};

struct webActionView__TPLST_webActionView_ActionHandlerpwebActionView_LogoutOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_ActionHandler _desc1;
webActionView__TSPLST_webActionView_LogoutOperation_errorhandler _desc2;
};

struct webActionView__TPLST_webActionView_ActionHandlerpwebActionView_LoginOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_ActionHandler _desc1;
webActionView__TSPLST_webActionView_LoginOperation_errorhandler _desc2;
};

struct webActionView__TPLST_webActionView_JoinModifierpwebActionView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_JoinModifier _desc1;
webActionView__TSPLST_webActionView_WebNodeConstantExpression_modifier _desc2;
};

struct webActionView__TPLST_webActionView_MD5ModifierpwebActionView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_MD5Modifier _desc1;
webActionView__TSPLST_webActionView_WebNodeConstantExpression_modifier _desc2;
};

struct webActionView__TPLST_webActionView_JoinModifierpwebActionView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_JoinModifier _desc1;
webActionView__TSPLST_webActionView_WebNodeVariableExpression_modifier _desc2;
};

struct webActionView__TPLST_webActionView_MD5ModifierpwebActionView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_MD5Modifier _desc1;
webActionView__TSPLST_webActionView_WebNodeVariableExpression_modifier _desc2;
};

struct webActionView__TPLST_webActionView_JoinModifierpwebActionView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_JoinModifier _desc1;
webActionView__TSPLST_webActionView_WebNodeSessionExpression_modifier _desc2;
};

struct webActionView__TPLST_webActionView_MD5ModifierpwebActionView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
webActionView__TSPwebActionView_MD5Modifier _desc1;
webActionView__TSPLST_webActionView_WebNodeSessionExpression_modifier _desc2;
};

struct webActionView__TPLST_0pwebActionView_WebNodeFormalParam_type
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_WebNodeActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_ActionHandler_params
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_WebAction_formalParameter
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_WebAction_operations
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_DataBaseOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_DataBaseOperation_params
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_JavaOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_MailingOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_LogoutOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_LoginOperation_errorhandler
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct webActionView__TPLST_0pwebActionView_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public webActionView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
