
/* interface of tree construction functions */

#ifndef webActionView_TREECON_H
#define webActionView_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "webActionView_nodeptr.h"

#include "HEAD.h"


extern void webActionView_InitTree ELI_ARG((void));

extern void webActionView_FreeTree ELI_ARG((void));

extern NODEPTR webActionView_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebAction ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeFormalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeFormalParam_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeFormalParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBBlob ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBBoolean ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBTimeStamp ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBDate ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBBigInt ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBDouble ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBFloat ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBLong ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBInteger ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBString ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBHasMany ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBHasOne ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeActualParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DataSourceActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DataSourceActualParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBString_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBText_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBInteger_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBLong_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBFloat_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBDouble_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBBigInt_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBDate_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBTimeStamp_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBBoolean_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBBlob_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBHasOne_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBHasOne_dataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBHasMany_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DBHasMany_dataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_ActionHandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_ActionHandler_targetpage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_ActionHandler_params ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebAction_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebAction_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebAction_successpage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebAction_operations ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebAction_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LoginOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LogoutOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_MailingOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_JavaOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DataBaseOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DataBaseOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DataBaseOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DataBaseOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DataBaseOperation_filter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_DataBaseOperation_params ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_JavaOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_JavaOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_JavaOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_JavaOperation_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_MailingOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_MailingOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_MailingOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_MailingOperation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_MailingOperation_mailTo ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_MailingOperation_subject ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_MailingOperation_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LogoutOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LogoutOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LogoutOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LogoutOperation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LoginOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LoginOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LoginOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LoginOperation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LoginOperation_userDBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LoginOperation_passwdDBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LoginOperation_rolesDBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LoginOperation_userFormField ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_LoginOperation_passwdFormField ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_MD5Modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_JoinModifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_JoinModifier_separator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkwebActionView_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webActionView_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpVIEWROOT_webActionView ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_WebNodeFormalParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR webActionView_MkpwebActionView_WebNodeFormalParam_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_WebNodeFormalParam_keyword1 ELI_ARG((POSITION *_coordref));
#define webActionView_Mk0pwebActionView_WebNodeFormalParam_type(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_WebNodeFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_WebNodeFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_WebNodeActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR webActionView_MkpwebActionView_WebNodeActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_WebNodeActualParam_keyword1 ELI_ARG((POSITION *_coordref));
#define webActionView_Mk0pwebActionView_WebNodeActualParam_expressions(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_DataSourceActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR webActionView_MkpwebActionView_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DataSourceActualParam_keyword1 ELI_ARG((POSITION *_coordref));
#define webActionView_Mk0pwebActionView_DataSourceActualParam_expressions(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_DBString ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBString_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBText ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBText_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBInteger ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBInteger_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBLong ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBLong_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBFloat ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBFloat_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBDouble ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBDouble_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBBigInt ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBBigInt_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBDate ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBDate_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBTimeStamp ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBTimeStamp_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBBoolean ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBBoolean_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBBlob ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_DBBlob_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBHasOne ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webActionView_MkpwebActionView_DBHasOne_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBHasOne_dataSourceTable ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBHasMany ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webActionView_MkpwebActionView_DBHasMany_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DBHasMany_dataSourceTable ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_ActionHandler ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webActionView_MkpwebActionView_ActionHandler_targetpage ELI_ARG((POSITION *_coordref));
#define webActionView_Mk0pwebActionView_ActionHandler_params(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_ActionHandler_params ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_ActionHandler_params ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_WebAction ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR webActionView_MkpwebActionView_WebAction_name ELI_ARG((POSITION *_coordref));
#define webActionView_Mk0pwebActionView_WebAction_formalParameter(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_WebAction_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_WebAction_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR t));
#define webActionView_Mk0pwebActionView_WebAction_operations(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_WebAction_operations ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_WebAction_operations ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_WebAction_position ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DataBaseOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
#define webActionView_Mk0pwebActionView_DataBaseOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_DataBaseOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_DataBaseOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_DataBaseOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DataBaseOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_DataBaseOperation_filter ELI_ARG((POSITION *_coordref));
#define webActionView_Mk0pwebActionView_DataBaseOperation_params(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_DataBaseOperation_params ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_DataBaseOperation_params ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_JavaOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
#define webActionView_Mk0pwebActionView_JavaOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_JavaOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_JavaOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_JavaOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_JavaOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_JavaOperation_content ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_MailingOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
#define webActionView_Mk0pwebActionView_MailingOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_MailingOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_MailingOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_MailingOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_MailingOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_MailingOperation_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_MailingOperation_mailTo ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_MailingOperation_subject ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_MailingOperation_content ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LogoutOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
#define webActionView_Mk0pwebActionView_LogoutOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_LogoutOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_LogoutOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_LogoutOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LogoutOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LogoutOperation_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LoginOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9));
#define webActionView_Mk0pwebActionView_LoginOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_LoginOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_LoginOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_LoginOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LoginOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LoginOperation_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LoginOperation_userDBColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LoginOperation_passwdDBColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LoginOperation_rolesDBColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LoginOperation_userFormField ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_LoginOperation_passwdFormField ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_MD5Modifier ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webActionView_MkpwebActionView_JoinModifier ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webActionView_MkpwebActionView_JoinModifier_separator ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define webActionView_Mk0pwebActionView_WebNodeConstantExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define webActionView_Mk0pwebActionView_WebNodeVariableExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_MkpwebActionView_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define webActionView_Mk0pwebActionView_WebNodeSessionExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR webActionView_Mk2pwebActionView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webActionView_MkpwebActionView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webActionView_MkpwebActionView_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR webActionView_Mkrule_1 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
#define webActionView_MkID(pos,val) (val)
#endif
