
/* interface of tree construction functions */

#ifndef webPageView_TREECON_H
#define webPageView_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "webPageView_nodeptr.h"

#include "HEAD.h"


extern void webPageView_InitTree ELI_ARG((void));

extern void webPageView_FreeTree ELI_ARG((void));

extern NODEPTR webPageView_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebPage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularCheckboxElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularCheckboxElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularCheckboxElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularCheckboxElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularCheckboxElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DoubleRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_LongRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_StringLengthValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_RegExprValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_CreditCardValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_EmailValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularTextElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularTextElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularTextElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularTextElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularDateElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularDateElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularDateElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularDateElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularFileUploadElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularFileUploadElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularFileUploadElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularFileUploadElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularPasswordElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularPasswordElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularPasswordElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularPasswordElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularTextAreaElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularTextAreaElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularTextAreaElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularTextAreaElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularSelectElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularSelectElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularSelectElement_multiple ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularSelectElement_options ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularSelectElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularDataSourceSelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularConstantSelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DataSourceActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DataSourceActualParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeActualParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeFormalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeFormalParam_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeFormalParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBBlob ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBBoolean ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBTimeStamp ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBDate ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBBigInt ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBDouble ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBFloat ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBLong ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBInteger ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBString ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBHasMany ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBHasOne ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_MapArea ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_MapArea_altText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_MapArea_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_MapArea_coords ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_MapArea_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_MapArea_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_MapArea_queryString ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBString_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBText_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBInteger_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBLong_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBFloat_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBDouble_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBBigInt_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBDate_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBTimeStamp_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBBoolean_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBBlob_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBHasOne_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBHasOne_dataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBHasMany_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DBHasMany_dataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebPage_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebPage_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebPage_title ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebPage_frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebPage_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebPage_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageMap ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_OutputMessagesElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Formular ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Table ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Heading ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Paragraph ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FrameRef ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FrameRef_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FrameRef_frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_BinaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_BinaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ComputationExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ParameterValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_PredefinedExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_UnaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_UnaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_PredefinedExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ComputationExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ComputationExpression_computation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Paragraph_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_OutputFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_TextFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_TextFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_TextFragment_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_TextFragment_fontstyle ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageFragment_width ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageFragment_height ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageFragment_border ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageFragment_verticalAlign ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageFragment_float ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageFragment_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageFragment_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Heading_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Heading_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Heading_level ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Table_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_TableRow ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_TableColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_TableCell ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_TableCell_columnRef ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_TableCell_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Formular_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Formular_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Formular_action ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Formular_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Formular_dataSourceId ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_RegExprValidator_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_StringLengthValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_StringLengthValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_LongRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_LongRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_IntegerNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DoubleNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_IntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_LongConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_BigIntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FloatConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DoubleConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_BooleanConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_DateTimeConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_PatternConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_PatternConverter_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement_layout ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularRadioGroupElement_checked ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_SelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_SelectOption_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_SelectOption_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularDataSourceSelectOption_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularDataSourceSelectOption_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularDataSourceSelectOption_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_FormularDataSourceSelectOption_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_MD5Modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_JoinModifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_JoinModifier_separator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_OutputFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_OutputFragment_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_OutputMessagesElement_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_OutputMessagesElement_errorStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_OutputMessagesElement_infoStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_OutputMessagesElement_layout ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_maxNumberOfElements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_renderAs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_headerStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_evenRowStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputElement_oddRowStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputColumn_header ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputActionConnectionsContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputNumerationContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputProjectionContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputRefContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputConstantContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputConstantContent_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputRefContent_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputProjectionContent_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputNumerationContent_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ActionConnection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ActionConnection_action ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ActionConnection_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ActionConnection_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageMap_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageMap_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageMap_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageMap_altText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkwebPageView_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR webPageView_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpVIEWROOT_webPageView ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_FormularCheckboxElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_FormularCheckboxElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularCheckboxElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularCheckboxElement_type ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
#define webPageView_Mk0pwebPageView_FormularCheckboxElement_validator(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_FormularCheckboxElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularTextElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_FormularTextElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularTextElement_type ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_FormularTextElement_validator(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_FormularTextElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularDateElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_FormularDateElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularDateElement_type ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_FormularDateElement_validator(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_FormularDateElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularFileUploadElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_FormularFileUploadElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularFileUploadElement_type ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_FormularFileUploadElement_validator(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_FormularFileUploadElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularPasswordElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_FormularPasswordElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularPasswordElement_type ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_FormularPasswordElement_validator(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_FormularPasswordElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularTextAreaElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_FormularTextAreaElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularTextAreaElement_type ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_FormularTextAreaElement_validator(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_FormularTextAreaElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularSelectElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_FormularSelectElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularSelectElement_multiple ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_FormularSelectElement_options(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularSelectElement_options ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularSelectElement_options ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_FormularSelectElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioElement_type ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DataSourceActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR webPageView_MkpwebPageView_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DataSourceActualParam_keyword1 ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_DataSourceActualParam_expressions(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_WebNodeActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR webPageView_MkpwebPageView_WebNodeActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_WebNodeActualParam_keyword1 ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_WebNodeActualParam_expressions(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_WebNodeFormalParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR webPageView_MkpwebPageView_WebNodeFormalParam_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_WebNodeFormalParam_keyword1 ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_WebNodeFormalParam_type(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_WebNodeFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_WebNodeFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_MapArea ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6));
extern NODEPTR webPageView_MkpwebPageView_MapArea_altText ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_MapArea_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_MapArea_coords ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_MapArea_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_MapArea_link ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_MapArea_queryString ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBString ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBString_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBText ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBText_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBInteger ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBInteger_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBLong ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBLong_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBFloat ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBFloat_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBDouble ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBDouble_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBBigInt ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBBigInt_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBDate ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBDate_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBTimeStamp ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBTimeStamp_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBBoolean ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBBoolean_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBBlob ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_DBBlob_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBHasOne ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_DBHasOne_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBHasOne_dataSourceTable ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBHasMany ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_DBHasMany_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DBHasMany_dataSourceTable ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_WebPage ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6));
extern NODEPTR webPageView_MkpwebPageView_WebPage_name ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_WebPage_formalParameter(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_WebPage_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_WebPage_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_WebPage_title ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_WebPage_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_WebPage_position ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Frame ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define webPageView_Mk0pwebPageView_Frame_components(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_FrameRef ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_FrameRef_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FrameRef_frame ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_BinaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
#define webPageView_Mk0pwebPageView_BinaryExpression_leftOperand(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR t));
#define webPageView_Mk0pwebPageView_BinaryExpression_rightOperand(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_BinaryExpression_operator ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_UnaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define webPageView_Mk0pwebPageView_UnaryExpression_operand(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_UnaryExpression_operator ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_PredefinedExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_PredefinedExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_ConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_ColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ParameterValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ComputationExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_ComputationExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ComputationExpression_computation ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Paragraph ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_Paragraph_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_Paragraph_fragments(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_TextFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR webPageView_MkpwebPageView_TextFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_TextFragment_value ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_TextFragment_fontstyle ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR webPageView_MkpwebPageView_ImageFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageFragment_width ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageFragment_height ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageFragment_border ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageFragment_verticalAlign ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageFragment_float ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageFragment_text ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageFragment_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Heading ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR webPageView_MkpwebPageView_Heading_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Heading_text ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Heading_level ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Table ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR webPageView_MkpwebPageView_Table_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_Table_rows(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR t));
#define webPageView_Mk0pwebPageView_Table_columns(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_TableRow ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define webPageView_Mk0pwebPageView_TableRow_cells(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_TableColumn ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_TableCell ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_TableCell_columnRef ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Formular ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
extern NODEPTR webPageView_MkpwebPageView_Formular_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Formular_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Formular_action ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Formular_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_Formular_dataSourceId ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_Formular_elements(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
#define webPageView_Mk0pwebPageView_Formular_actualParams(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_EmailValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_CreditCardValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_RegExprValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_RegExprValidator_pattern ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_StringLengthValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_StringLengthValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_StringLengthValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_LongRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_LongRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_LongRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DoubleRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_IntegerNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DoubleNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_IntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_LongConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_BigIntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_FloatConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_DoubleConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_BooleanConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_DateTimeConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_PatternConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_PatternConverter_pattern ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement_required ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_FormularRadioGroupElement_validator(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define webPageView_Mk0pwebPageView_FormularRadioGroupElement_converter(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement_layout ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_FormularRadioGroupElement_elements(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_FormularRadioGroupElement_checked ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularConstantSelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define webPageView_Mk0pwebPageView_FormularConstantSelectOption_options(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_SelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_SelectOption_value ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_SelectOption_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularDataSourceSelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_FormularDataSourceSelectOption_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularDataSourceSelectOption_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularDataSourceSelectOption_value ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_FormularDataSourceSelectOption_label ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_MD5Modifier ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR webPageView_MkpwebPageView_JoinModifier ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_JoinModifier_separator ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define webPageView_Mk0pwebPageView_WebNodeConstantExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define webPageView_Mk0pwebPageView_WebNodeVariableExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define webPageView_Mk0pwebPageView_WebNodeSessionExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_OutputFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_OutputFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_OutputFragment_content ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_OutputMessagesElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_OutputMessagesElement_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_OutputMessagesElement_errorStyleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_OutputMessagesElement_infoStyleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_OutputMessagesElement_layout ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_ListOutputActualParam_formalParam ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_ListOutputActualParam_expression(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_name ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_ListOutputElement_dataSourceActualParams(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_maxNumberOfElements ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_renderAs ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_navigationElement ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_ListOutputElement_columns(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_headerStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_evenRowStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputElement_oddRowStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputColumn ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR webPageView_MkpwebPageView_ListOutputColumn_header ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_ListOutputColumn_content(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_ListOutputConstantContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_ListOutputConstantContent_value ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputRefContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_ListOutputRefContent_column ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputProjectionContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_ListOutputProjectionContent_column ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputNumerationContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR webPageView_MkpwebPageView_ListOutputNumerationContent_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ListOutputActionConnectionsContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define webPageView_Mk0pwebPageView_ListOutputActionConnectionsContent_actionConnections(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_ActionConnection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR webPageView_MkpwebPageView_ActionConnection_action ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ActionConnection_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ActionConnection_text ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_ActionConnection_actualParams(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_MkpwebPageView_ImageMap ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR webPageView_MkpwebPageView_ImageMap_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageMap_name ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageMap_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR webPageView_MkpwebPageView_ImageMap_altText ELI_ARG((POSITION *_coordref));
#define webPageView_Mk0pwebPageView_ImageMap_mapAreas(_coordref) NULLNODEPTR
extern NODEPTR webPageView_Mk2pwebPageView_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR webPageView_MkpwebPageView_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR webPageView_Mkrule_1 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR webPageView_Mkrule_2 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
#define webPageView_MkID(pos,val) (val)
#endif
