
/* definition of tree node structure */

#ifndef wnceDlg_NODE_H
#define wnceDlg_NODE_H
#include "err.h"
#include "wnceDlg_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef wnceDlg_NODEPTRSUBSTRUCT
#define wnceDlg_NODEPTRSUBSTRUCT
struct wnceDlg_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct wnceDlg__TSVIEWROOT* wnceDlg__TSPVIEWROOT;
typedef struct wnceDlg__TSwnceDlg_WebNodeConstantExpression* wnceDlg__TSPwnceDlg_WebNodeConstantExpression;
typedef struct wnceDlg__TSwnceDlg_WebNodeConstantExpression_value* wnceDlg__TSPwnceDlg_WebNodeConstantExpression_value;
typedef struct wnceDlg__TSwnceDlg_WebNodeConstantExpression_modifier* wnceDlg__TSPwnceDlg_WebNodeConstantExpression_modifier;
typedef struct wnceDlg__TSwnceDlg_JoinModifier* wnceDlg__TSPwnceDlg_JoinModifier;
typedef struct wnceDlg__TSwnceDlg_MD5Modifier* wnceDlg__TSPwnceDlg_MD5Modifier;
typedef struct wnceDlg__TSwnceDlg_JoinModifier_separator* wnceDlg__TSPwnceDlg_JoinModifier_separator;
typedef struct wnceDlg__TSLST_wnceDlg_WebNodeConstantExpression_modifier* wnceDlg__TSPLST_wnceDlg_WebNodeConstantExpression_modifier;
typedef struct wnceDlg__TPpEmpty* wnceDlg__TPPpEmpty;
typedef struct wnceDlg__TPpVIEWROOT_wnceDlg* wnceDlg__TPPpVIEWROOT_wnceDlg;
typedef struct wnceDlg__TPpwnceDlg_WebNodeConstantExpression* wnceDlg__TPPpwnceDlg_WebNodeConstantExpression;
typedef struct wnceDlg__TPpwnceDlg_WebNodeConstantExpression_value* wnceDlg__TPPpwnceDlg_WebNodeConstantExpression_value;
typedef struct wnceDlg__TPpwnceDlg_WebNodeConstantExpression_modifier* wnceDlg__TPPpwnceDlg_WebNodeConstantExpression_modifier;
typedef struct wnceDlg__TPpwnceDlg_MD5Modifier* wnceDlg__TPPpwnceDlg_MD5Modifier;
typedef struct wnceDlg__TPpwnceDlg_JoinModifier* wnceDlg__TPPpwnceDlg_JoinModifier;
typedef struct wnceDlg__TPpwnceDlg_JoinModifier_separator* wnceDlg__TPPpwnceDlg_JoinModifier_separator;
typedef struct wnceDlg__TPLST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier* wnceDlg__TPPLST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier;
typedef struct wnceDlg__TPLST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier* wnceDlg__TPPLST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier;
typedef struct wnceDlg__TPLST_0pwnceDlg_WebNodeConstantExpression_modifier* wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier;

struct wnceDlg__TSVIEWROOT
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnceDlg__TSwnceDlg_WebNodeConstantExpression
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeConstantExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATlabelWidth;
};

struct wnceDlg__TSwnceDlg_WebNodeConstantExpression_value
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnceDlg__TSwnceDlg_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnceDlg__TSwnceDlg_JoinModifier
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJoinModifierPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct wnceDlg__TSwnceDlg_MD5Modifier
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct wnceDlg__TSwnceDlg_JoinModifier_separator
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnceDlg__TSLST_wnceDlg_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnceDlg__TPpEmpty
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnceDlg__TPpVIEWROOT_wnceDlg
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
wnceDlg__TSPwnceDlg_WebNodeConstantExpression _desc1;
};

struct wnceDlg__TPpwnceDlg_WebNodeConstantExpression
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeConstantExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATlabelWidth;
wnceDlg__TSPwnceDlg_WebNodeConstantExpression_value _desc1;
wnceDlg__TSPwnceDlg_WebNodeConstantExpression_modifier _desc2;
int _ATTERM_1;
};

struct wnceDlg__TPpwnceDlg_WebNodeConstantExpression_value
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnceDlg__TPpwnceDlg_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
wnceDlg__TSPLST_wnceDlg_WebNodeConstantExpression_modifier _desc1;
};

struct wnceDlg__TPpwnceDlg_MD5Modifier
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct wnceDlg__TPpwnceDlg_JoinModifier
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJoinModifierPtr _ATobjPtr;
VLObjectPointer _ATobjId;
wnceDlg__TSPwnceDlg_JoinModifier_separator _desc1;
int _ATTERM_1;
};

struct wnceDlg__TPpwnceDlg_JoinModifier_separator
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnceDlg__TPLST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
wnceDlg__TSPwnceDlg_JoinModifier _desc1;
wnceDlg__TSPLST_wnceDlg_WebNodeConstantExpression_modifier _desc2;
};

struct wnceDlg__TPLST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
wnceDlg__TSPwnceDlg_MD5Modifier _desc1;
wnceDlg__TSPLST_wnceDlg_WebNodeConstantExpression_modifier _desc2;
};

struct wnceDlg__TPLST_0pwnceDlg_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public wnceDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
