
/* definition of tree node structure */

#ifndef wnveDlg_NODE_H
#define wnveDlg_NODE_H
#include "err.h"
#include "wnveDlg_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef wnveDlg_NODEPTRSUBSTRUCT
#define wnveDlg_NODEPTRSUBSTRUCT
struct wnveDlg_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct wnveDlg__TSVIEWROOT* wnveDlg__TSPVIEWROOT;
typedef struct wnveDlg__TSwnveDlg_WebNodeVariableExpression* wnveDlg__TSPwnveDlg_WebNodeVariableExpression;
typedef struct wnveDlg__TSwnveDlg_WebNodeVariableExpression_content* wnveDlg__TSPwnveDlg_WebNodeVariableExpression_content;
typedef struct wnveDlg__TSwnveDlg_WebNodeVariableExpression_modifier* wnveDlg__TSPwnveDlg_WebNodeVariableExpression_modifier;
typedef struct wnveDlg__TSwnveDlg_JoinModifier* wnveDlg__TSPwnveDlg_JoinModifier;
typedef struct wnveDlg__TSwnveDlg_MD5Modifier* wnveDlg__TSPwnveDlg_MD5Modifier;
typedef struct wnveDlg__TSwnveDlg_JoinModifier_separator* wnveDlg__TSPwnveDlg_JoinModifier_separator;
typedef struct wnveDlg__TSLST_wnveDlg_WebNodeVariableExpression_modifier* wnveDlg__TSPLST_wnveDlg_WebNodeVariableExpression_modifier;
typedef struct wnveDlg__TPpEmpty* wnveDlg__TPPpEmpty;
typedef struct wnveDlg__TPpVIEWROOT_wnveDlg* wnveDlg__TPPpVIEWROOT_wnveDlg;
typedef struct wnveDlg__TPpwnveDlg_WebNodeVariableExpression* wnveDlg__TPPpwnveDlg_WebNodeVariableExpression;
typedef struct wnveDlg__TPpwnveDlg_WebNodeVariableExpression_content* wnveDlg__TPPpwnveDlg_WebNodeVariableExpression_content;
typedef struct wnveDlg__TPpwnveDlg_WebNodeVariableExpression_modifier* wnveDlg__TPPpwnveDlg_WebNodeVariableExpression_modifier;
typedef struct wnveDlg__TPpwnveDlg_MD5Modifier* wnveDlg__TPPpwnveDlg_MD5Modifier;
typedef struct wnveDlg__TPpwnveDlg_JoinModifier* wnveDlg__TPPpwnveDlg_JoinModifier;
typedef struct wnveDlg__TPpwnveDlg_JoinModifier_separator* wnveDlg__TPPpwnveDlg_JoinModifier_separator;
typedef struct wnveDlg__TPLST_wnveDlg_JoinModifierpwnveDlg_WebNodeVariableExpression_modifier* wnveDlg__TPPLST_wnveDlg_JoinModifierpwnveDlg_WebNodeVariableExpression_modifier;
typedef struct wnveDlg__TPLST_wnveDlg_MD5ModifierpwnveDlg_WebNodeVariableExpression_modifier* wnveDlg__TPPLST_wnveDlg_MD5ModifierpwnveDlg_WebNodeVariableExpression_modifier;
typedef struct wnveDlg__TPLST_0pwnveDlg_WebNodeVariableExpression_modifier* wnveDlg__TPPLST_0pwnveDlg_WebNodeVariableExpression_modifier;

struct wnveDlg__TSVIEWROOT
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnveDlg__TSwnveDlg_WebNodeVariableExpression
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeVariableExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct wnveDlg__TSwnveDlg_WebNodeVariableExpression_content
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnveDlg__TSwnveDlg_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnveDlg__TSwnveDlg_JoinModifier
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJoinModifierPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct wnveDlg__TSwnveDlg_MD5Modifier
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct wnveDlg__TSwnveDlg_JoinModifier_separator
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnveDlg__TSLST_wnveDlg_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnveDlg__TPpEmpty
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnveDlg__TPpVIEWROOT_wnveDlg
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
wnveDlg__TSPwnveDlg_WebNodeVariableExpression _desc1;
};

struct wnveDlg__TPpwnveDlg_WebNodeVariableExpression
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeVariableExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
wnveDlg__TSPwnveDlg_WebNodeVariableExpression_content _desc1;
wnveDlg__TSPwnveDlg_WebNodeVariableExpression_modifier _desc2;
int _ATTERM_1;
};

struct wnveDlg__TPpwnveDlg_WebNodeVariableExpression_content
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnveDlg__TPpwnveDlg_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
wnveDlg__TSPLST_wnveDlg_WebNodeVariableExpression_modifier _desc1;
};

struct wnveDlg__TPpwnveDlg_MD5Modifier
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct wnveDlg__TPpwnveDlg_JoinModifier
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJoinModifierPtr _ATobjPtr;
VLObjectPointer _ATobjId;
wnveDlg__TSPwnveDlg_JoinModifier_separator _desc1;
int _ATTERM_1;
};

struct wnveDlg__TPpwnveDlg_JoinModifier_separator
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct wnveDlg__TPLST_wnveDlg_JoinModifierpwnveDlg_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
wnveDlg__TSPwnveDlg_JoinModifier _desc1;
wnveDlg__TSPLST_wnveDlg_WebNodeVariableExpression_modifier _desc2;
};

struct wnveDlg__TPLST_wnveDlg_MD5ModifierpwnveDlg_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
wnveDlg__TSPwnveDlg_MD5Modifier _desc1;
wnveDlg__TSPLST_wnveDlg_WebNodeVariableExpression_modifier _desc2;
};

struct wnveDlg__TPLST_0pwnveDlg_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public wnveDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
