switch (CaseTbl[c = *p++]) {
case 0:	/* sentinel - probably EOB */
  if (c == '\0') {
    p = TokenStart = TokenEnd = auxNUL(TokenStart, 0);
    if (*p) extcode = NORETURN;
    else {
      p = TokenStart = TokenEnd = auxEOF(TokenStart, 0);
      if (*p) extcode = NORETURN;
      else { extcode = EOFTOKEN; EndOfText(p, 0, &extcode, v); }
    }
    goto done;
  } else {
    obstack_grow(Csm_obstk, "char '", 6);
    obstack_cchgrow(Csm_obstk, c);
    message(
      ERROR,
      (char *)obstack_copy0(Csm_obstk, "' is not a token", 16),
      0,
      &curpos);
    TokenEnd = p;
    continue;
  }
  
case 1:	/* space */
  while (scanTbl[c = *p++] & 1<<0) ;
  TokenEnd = p - 1;
  continue;
case 2:	/* tab */
  do { StartLine -= TABSIZE(p - StartLine); }
  while (scanTbl[c = *p++] & 1<<1);
  TokenEnd = p - 1;
  continue;
case 4:	/* carriage return */
  if (*p == '\n') { TokenEnd = p; continue; }
case 3:	/* newline */
  do { LineNum++; } while (scanTbl[c = *p++] & 1<<2);
  StartLine = (TokenEnd = p - 1) - 1;
  continue;

case 5:	/* Entered on:  A-H J-S U-Z _ a-z */
	St_9:
		/*  A-Z _ a-z*/
		while(scanTbl[(c= *p++)+0] & 1<< 3);--p;
			TokenEnd= p; /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;

case 6:	/* Entered on: [ */
	St_12:
		if( scanTbl[(c= *p++)+0] & 1<< 4){ /*  A-R T-Z _ a-z */

		TokenEnd = TokenStart; /* prepare for error fallback */
			goto St_16;}
		else if(c =='S') {
		TokenEnd = TokenStart; /* prepare for error fallback */
			goto St_17;}
		else {TokenEnd=TokenStart;--p; goto fallback; }

case 7:	/* Entered on: T */
	St_11:
		if( scanTbl[(c= *p++)+0] & 1<< 5){ /*  A-G I-Z _ a-z */
			goto St_9;}
		else if(c =='H') {			goto St_15;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}

case 8:	/* Entered on: I */
	St_10:
		if( scanTbl[(c= *p++)+0] & 1<< 6){ /*  A-M O-Z _ a-z */
			goto St_9;}
		else if(c =='N') {			goto St_14;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}


default: TokenEnd=p; extcode=ExtCodeTbl[c]; goto done; /*  (-+ . | */
}
	St_14:
		if( scanTbl[(c= *p++)+0] & 1<< 7){ /*  A-B D-Z _ a-z */
			goto St_9;}
		else if(c =='C') {			goto St_18;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}
	St_18:
		if( scanTbl[(c= *p++)+128] & 1<< 0){ /*  A-K M-Z _ a-z */
			goto St_9;}
		else if(c =='L') {			goto St_24;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}
	St_24:
		if( scanTbl[(c= *p++)+128] & 1<< 1){ /*  A-T V-Z _ a-z */
			goto St_9;}
		else if(c =='U') {			goto St_29;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}
	St_29:
		if( scanTbl[(c= *p++)+128] & 1<< 2){ /*  A-C E-Z _ a-z */
			goto St_9;}
		else if(c =='D') {			goto St_32;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}
	St_32:
		if( scanTbl[(c= *p++)+128] & 1<< 3){ /*  A-H J-Z _ a-z */
			goto St_9;}
		else if(c =='I') {			goto St_34;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}
	St_34:
		if( scanTbl[(c= *p++)+0] & 1<< 6){ /*  A-M O-Z _ a-z */
			goto St_9;}
		else if(c =='N') {			goto St_36;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}
	St_36:
		if( scanTbl[(c= *p++)+128] & 1<< 4){ /*  A-F H-Z _ a-z */
			goto St_9;}
		else if(c =='G') {			goto St_38;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}
	St_38:
		if( scanTbl[(c= *p++)+0] & 1<< 3){ /*  A-Z _ a-z */
			goto St_9;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 3;
			goto done;
			}
	St_15:
		if( scanTbl[(c= *p++)+128] & 1<< 3){ /*  A-H J-Z _ a-z */
			goto St_9;}
		else if(c =='I') {			goto St_19;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}
	St_19:
		if( scanTbl[(c= *p++)+0] & 1<< 4){ /*  A-R T-Z _ a-z */
			goto St_9;}
		else if(c =='S') {			goto St_25;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 2;
			mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}
	St_25:
		if( scanTbl[(c= *p++)+0] & 1<< 3){ /*  A-Z _ a-z */
			goto St_9;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 4;
			goto done;
			}
	St_17:
		if( scanTbl[(c= *p++)+128] & 1<< 5){ /*   1.- 9. 11.-@ [-\ ^ ` {-127. */
			goto St_20;}
		else if( scanTbl[c+128] & 1<< 1){ /*  A-T V-Z _ a-z */
			goto St_21;}
		else if(c ==']') {			goto St_22;}
		else if(c =='U') {			goto St_23;}
		else {--p; goto fallback; }
	St_23:
		if( scanTbl[(c= *p++)+128] & 1<< 5){ /*   1.- 9. 11.-@ [-\ ^ ` {-127. */
			goto St_20;}
		else if( scanTbl[c+128] & 1<< 6){ /*  A C-Z _ a-z */
			goto St_27;}
		else if(c ==']') {			goto St_22;}
		else if(c =='B') {			goto St_28;}
		else {--p; goto fallback; }
	St_28:
		if( scanTbl[(c= *p++)+128] & 1<< 5){ /*   1.- 9. 11.-@ [-\ ^ ` {-127. */
			goto St_20;}
		else if( scanTbl[c+128] & 1<< 7){ /*  A-S U-Z _ a-z */
			goto St_27;}
		else if(c ==']') {			goto St_22;}
		else if(c =='T') {			goto St_31;}
		else {--p; goto fallback; }
	St_31:
		if( scanTbl[(c= *p++)+128] & 1<< 5){ /*   1.- 9. 11.-@ [-\ ^ ` {-127. */
			goto St_20;}
		else if( scanTbl[c+256] & 1<< 0){ /*  A-Q S-Z _ a-z */
			goto St_27;}
		else if(c ==']') {			goto St_22;}
		else if(c =='R') {			goto St_33;}
		else {--p; goto fallback; }
	St_33:
		if( scanTbl[(c= *p++)+128] & 1<< 5){ /*   1.- 9. 11.-@ [-\ ^ ` {-127. */
			goto St_20;}
		else if( scanTbl[c+256] & 1<< 1){ /*  A-D F-Z _ a-z */
			goto St_27;}
		else if(c ==']') {			goto St_22;}
		else if(c =='E') {			goto St_35;}
		else {--p; goto fallback; }
	St_35:
		if( scanTbl[(c= *p++)+128] & 1<< 5){ /*   1.- 9. 11.-@ [-\ ^ ` {-127. */
			goto St_20;}
		else if( scanTbl[c+256] & 1<< 1){ /*  A-D F-Z _ a-z */
			goto St_27;}
		else if(c ==']') {			goto St_22;}
		else if(c =='E') {			goto St_37;}
		else {--p; goto fallback; }
	St_37:
		if( scanTbl[(c= *p++)+256] & 1<< 2){ /*   1.- 9. 11.-31. !-@ [-\ ^ ` {-127. */
			goto St_20;}
		else if( scanTbl[c+0] & 1<< 3){ /*  A-Z _ a-z */
			goto St_27;}
		else if(c ==']') {			goto St_22;}
		else if(c ==' ') {			goto St_39;}
		else {--p; goto fallback; }
	St_39:
		if( scanTbl[(c= *p++)+0] & 1<< 3){ /*  A-Z _ a-z */
			goto St_26;}
		else if(c =='0') {			goto St_40;}
		else {--p; goto fallback; }
	St_40:
		if((c= *p++) =='x') {			goto St_41;}
		else {--p; goto fallback; }
	St_41:
		if( scanTbl[(c= *p++)+256] & 1<< 3){ /*  0-9 a-f */
			goto St_42;}
		else {--p; goto fallback; }
	St_42:
		/*  0-9 a-f*/
		while(scanTbl[(c= *p++)+256] & 1<< 3);--p;
		if((c= *p++) ==']') {			goto St_43;}
		else {--p; goto fallback; }
	St_43:
			TokenEnd= p; /* FINAL, no auxscan, must set */
			extcode = 12;
			c_mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
	St_26:
		/*  A-Z _ a-z*/
		while(scanTbl[(c= *p++)+0] & 1<< 3);--p;
		if((c= *p++) ==']') {			goto St_30;}
		else {--p; goto fallback; }
	St_30:
			TokenEnd= p; /* FINAL, no auxscan, must set */
			extcode = 8;
			c_mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
	St_22:
		if( scanTbl[(c= *p++)+0] & 1<< 3){ /*  A-Z _ a-z */
		extcode = 8;/* remember fallback*/
		TokenEnd = p-1;

		scan = NULL;
		proc = c_mkstr;
			goto St_26;}
		else {
			TokenEnd= (--p); /* FINAL, no auxscan, must set */
			extcode = 8;
			c_mkstr(TokenStart, TokenEnd-TokenStart,&extcode,v);
			goto done;
			}
	St_27:
		/*  A-Z _ a-z*/
		while(scanTbl[(c= *p++)+0] & 1<< 3);--p;
		if( scanTbl[(c= *p++)+128] & 1<< 5){ /*   1.- 9. 11.-@ [-\ ^ ` {-127. */
			goto St_20;}
		else if(c ==']') {			goto St_22;}
		else {--p; goto fallback; }
	St_20:
		if( scanTbl[(c= *p++)+0] & 1<< 3){ /*  A-Z _ a-z */
			goto St_26;}
		else {--p; goto fallback; }
	St_21:
		if( scanTbl[(c= *p++)+128] & 1<< 5){ /*   1.- 9. 11.-@ [-\ ^ ` {-127. */
			goto St_20;}
		else if( scanTbl[c+0] & 1<< 3){ /*  A-Z _ a-z */
			goto St_27;}
		else if(c ==']') {			goto St_22;}
		else {--p; goto fallback; }
	St_16:
		if( scanTbl[(c= *p++)+128] & 1<< 5){ /*   1.- 9. 11.-@ [-\ ^ ` {-127. */
			goto St_20;}
		else if( scanTbl[c+0] & 1<< 3){ /*  A-Z _ a-z */
			goto St_21;}
		else if(c ==']') {			goto St_22;}
		else {--p; goto fallback; }
